function [residual, g1, g2] = BBCDLmodelcomp_nash_c1pid_c2pid_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Inputs : 
%   y         [M_.endo_nbr by 1] double    vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1] double     vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1] double   vector of parameter values in declaration order
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the static model equations 
%                                          in order of declaration of the equations
%   g1        [M_.endo_nbr by M_.endo_nbr] double    Jacobian matrix of the static model equations;
%                                                    columns: equations in order of declaration
%                                                    rows: variables in declaration order
%   g2        [M_.endo_nbr by (M_.endo_nbr)^2] double   Hessian matrix of the static model equations;
%                                                       columns: equations in order of declaration
%                                                       rows: variables in declaration order
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 136, 1);

%
% Model equations
%

T67 = exp(y(7));
T69 = T67^params(4);
T78 = exp(y(12));
T81 = exp(y(10));
T84 = T67^(params(4)-1);
T91 = (T81*exp((-y(48))))^params(25);
T96 = T67*params(4)*params(30)*T78*T81*T84*T91*(1+params(27))/params(27);
T102 = exp((-y(12)));
T106 = exp(y(14));
T111 = params(34)/y(13);
T114 = (1+params(27))*(1+params(25))/params(27);
T115 = T111^T114;
T117 = T84*T78*T67*params(4)*params(5)*params(29)*T102*T106/(T69*T115);
T118 = T96+T117;
T138 = params(6)/(1+params(6));
T140 = (T67*params(32)*exp((-y(9))))^(T138-1);
T142 = T67*params(32)*y(70)*params(6)*exp((-y(9)))*T140/(1+params(6));
T171 = (T67*params(31)*exp((-y(8))))^(T138-1);
T173 = T78*T67*params(6)*params(31)*y(69)*exp((-y(8)))*T171/(1+params(6));
T189 = params(3)*y(13)*T67^(1+params(4));
T199 = exp(y(15));
T201 = T78*T67*T102*params(29)*params(4)*params(5)*y(74)*T199;
T203 = (1+params(27))/params(27);
T205 = T111^(1-T203);
T211 = params(3)*T67^(1+params(4));
T223 = T69*T78*T106*T67*T102*params(29)*params(4)*y(73)*params(5)/(T115*T211);
T230 = params(31)^T138;
T233 = 1/(1+params(6));
T235 = exp(y(8))^(T233-1);
T239 = params(32)^T138;
T243 = T230*exp(y(8))^T233+T239*exp(y(9))^T233;
T244 = T243^params(6);
T258 = T81^(1+params(25));
T261 = exp(y(48))^params(25);
T262 = (1+params(25))*T261;
T263 = params(30)*exp(y(17))*T258/T262;
T297 = T205*T69*T78*T199*T102*params(29)*params(5)*y(74)/(params(3)*T69);
T308 = T69*T78*T106*T102*params(29)*y(73)*params(5)/(T115*params(3)*T69);
T313 = exp(y(9))^(T233-1);
T327 = params(27)*y(13)^2;
T329 = 1+1/params(27);
T330 = T111^T329;
T331 = T327*T330;
T344 = T69*params(3)*y(13)^2;
T353 = T111^(1+T114);
T355 = (1+params(27))*(1+params(25))*exp(y(35))*params(29)*params(34)*y(76)/(T327*T353);
T367 = T344*T111^T203;
T368 = T69*T78*T199*T102*params(29)*y(74)*params(5)*params(34)*(T203-1)/T367;
T381 = (1+params(27))*(1+params(25))*T69*T78*T106*T102*params(29)*y(73)*params(5)*params(34)/(T353*T69*params(3)*T327);
T385 = exp(y(16));
T389 = T385^(params(25)*(1+params(27))/params(27));
T391 = 1+params(25)*(1+params(27))/params(27);
T397 = params(27)*T385^T329;
T405 = params(27)*T385^(1+T114);
T410 = exp((-y(26)));
T426 = (1+y(18))^2;
T436 = (T67*params(31)*exp((-y(8))))^T138;
T443 = (1+params(27))*T91*T69*T81*params(30)*T78/params(27);
T449 = T69*T78*T106*T102*params(5)*params(29)/(T69*T115);
T486 = (T81*exp((-y(48))))^(params(25)-1);
T490 = T443+(1+params(27))*T69*T78*exp((-y(48)))*params(30)*params(25)*exp(2*y(10))*T486/params(27);
T511 = T81*params(30)*exp(y(17))*T81^params(25);
T517 = exp(y(21));
T524 = exp(y(26));
T527 = exp(y(24));
T530 = T517^(params(12)-1);
T537 = (T527*exp((-y(51))))^params(24);
T542 = T517*params(36)*params(12)*T524*T527*T530*T537*(1+params(26))/params(26);
T550 = exp(y(28));
T554 = T517^params(12);
T556 = params(39)/y(27);
T559 = (1+params(26))*(1+params(24))/params(26);
T560 = T556^T559;
T562 = T530*T524*T517*T410*params(12)*params(13)*params(28)*T550/(T554*T560);
T563 = T542+T562;
T586 = params(14)/(1+params(14));
T588 = (T517*params(38)*exp((-y(23))))^(T586-1);
T590 = T517*y(82)*params(38)*params(14)*exp((-y(23)))*T588/(1+params(14));
T604 = (T517*params(37)*exp((-y(22))))^(T586-1);
T606 = T524*T517*params(14)*params(37)*y(81)*exp((-y(22)))*T604/(1+params(14));
T622 = params(3)*y(27)*T517^(1+params(12));
T632 = exp(y(29));
T634 = T524*T517*T410*params(28)*params(12)*params(13)*y(86)*T632;
T636 = (1+params(26))/params(26);
T638 = T556^(1-T636);
T644 = params(3)*T517^(1+params(12));
T656 = T554*T524*T550*T517*T410*params(28)*params(12)*y(85)*params(13)/(T560*T644);
T662 = params(37)^T586;
T665 = 1/(1+params(14));
T667 = exp(y(22))^(T665-1);
T671 = params(38)^T586;
T675 = T662*exp(y(22))^T665+T671*exp(y(23))^T665;
T676 = T675^params(14);
T721 = T638*T554*T524*T632*T410*params(28)*params(13)*y(86)/(params(3)*T554);
T732 = T554*T524*T550*T410*params(28)*y(85)*params(13)/(T560*params(3)*T554);
T737 = exp(y(23))^(T665-1);
T749 = params(26)*y(27)^2;
T751 = 1+1/params(26);
T752 = T556^T751;
T753 = T749*T752;
T766 = T554*params(3)*y(27)^2;
T775 = T556^(1+T559);
T777 = (1+params(26))*(1+params(24))*exp(y(38))*params(28)*params(39)*y(88)/(T749*T775);
T789 = T766*T556^T636;
T790 = T554*T524*T632*T410*params(28)*y(86)*params(13)*params(39)*(T636-1)/T789;
T803 = (1+params(26))*(1+params(24))*T554*T524*T550*T410*params(28)*y(85)*params(13)*params(39)/(T775*T554*params(3)*T749);
T807 = exp(y(30));
T811 = T807^(params(24)*(1+params(26))/params(26));
T813 = 1+params(24)*(1+params(26))/params(26);
T819 = params(26)*T807^T751;
T827 = params(26)*T807^(1+T559);
T835 = (1+y(32))^2;
T845 = (T517*params(37)*exp((-y(22))))^T586;
T852 = (1+params(26))*T537*T554*T527*params(36)*T524/params(26);
T858 = T554*T524*T550*T410*params(13)*params(28)/(T554*T560);
T895 = (T527*exp((-y(51))))^(params(24)-1);
T899 = T852+(1+params(26))*T554*T524*exp((-y(51)))*params(36)*params(24)*exp(2*y(24))*T895/params(26);
T931 = y(34)-params(5)*y(34)+T67^(1-params(4))/(params(4)-1);
T938 = 1/(1+y(18))-T69*T78*params(5)*T102/(y(13)*T69);
T952 = T205*T69*T78*T199*T102*params(5)*params(29)/T69;
T953 = T199-T81*(1+params(35)*exp(y(49)))/params(27)-T952;
T961 = 1/(1+y(32))-T554*T524*T410*params(13)/(y(27)*T554);
T975 = T638*T554*T524*T632*T410*params(13)*params(28)/T554;
T976 = T632-T527*(1+params(40)*exp(y(52)))/params(26)-T975;
T1013 = T171*T78*T67*exp((-y(8)))*params(6)*params(31)*y(109)/(1+params(6));
T1032 = T78*T199*T67*T102*params(29)*params(4)*params(5)*y(114);
T1095 = T205*T69*T78*T199*T102*params(29)*params(5)*y(114)/(params(3)*T69);
T1106 = T69*T78*T106*T102*params(29)*params(5)*y(113)/(T115*params(3)*T69);
T1139 = (1+params(27))*(1+params(25))*exp(y(35))*params(29)*params(34)*y(116)/(T327*T353);
T1158 = (1+params(27))*(1+params(25))*T69*T78*T106*T102*params(29)*params(5)*params(34)*y(113)/(T353*T69*params(3)*T327);
T1254 = T588*T517*exp((-y(23)))*y(122)*params(38)*params(14)/(1+params(14));
T1263 = T604*T524*T517*exp((-y(22)))*params(14)*params(37)*y(121)/(1+params(14));
T1282 = T524*T632*T517*T410*params(28)*params(12)*params(13)*y(126);
T1318 = T527^(1+params(24));
T1321 = exp(y(51))^params(24);
T1322 = (1+params(24))*T1321;
T1323 = params(36)*exp(y(31))*T1318/T1322;
T1352 = T638*T554*T524*T632*T410*params(28)*params(13)*y(126)/(params(3)*T554);
T1363 = T554*T524*T550*T410*params(28)*params(13)*y(125)/(T560*params(3)*T554);
T1395 = (1+params(26))*(1+params(24))*exp(y(38))*params(28)*params(39)*y(128)/(T749*T775);
T1414 = (1+params(26))*(1+params(24))*T554*T524*T550*T410*params(28)*params(13)*params(39)*y(125)/(T775*T554*params(3)*T749);
T1482 = T527*params(36)*exp(y(31))*T527^params(24);
T1483 = T1482/T1321;
T1506 = T67^(1-params(4))/(1-params(4));
T1510 = T67^(-params(4));
T1511 = T1510/T78;
T1517 = T67*params(31)/exp(y(8));
T1523 = T67*params(32)/exp(y(9));
T1536 = params(30)*T203*(T81/exp(y(48)))^params(25);
T1540 = params(5)*params(29)*T1511/T1511;
T1543 = (1+params(25))*(-(1+params(27)))/params(27);
T1544 = T111^T1543;
T1556 = (-1)/params(27);
T1583 = T517^(-params(12));
T1584 = T1583/T524;
T1590 = T517*params(37)/exp(y(22));
T1597 = T517*params(38)/exp(y(23));
T1610 = params(36)*T636*(T527/exp(y(51)))^params(24);
T1614 = params(13)*params(28)*T1584/T1584;
T1617 = (1+params(24))*(-(1+params(26)))/params(26);
T1618 = T556^T1617;
T1630 = (-1)/params(26);
T1667 = exp(y(17))*T258*params(30)*exp(y(48))^(-params(25))/(1+params(25));
T1678 = exp(y(31))*T1318*params(36)*exp(y(51))^(-params(24))/(1+params(24));
T1727 = T67*getPowerDeriv(T67,params(4),1);
T1735 = T67*getPowerDeriv(T67,params(4)-1,1);
T1749 = (1+params(27))*T91*(T67*params(4)*params(30)*T78*T81*T84+T67*params(4)*params(30)*T78*T81*T1735)/params(27)+(T69*T115*(T84*T78*T67*params(4)*params(5)*params(29)*T102*T106+T78*T67*params(4)*params(5)*params(29)*T102*T106*T1735)-T84*T78*T67*params(4)*params(5)*params(29)*T102*T106*T115*T1727)/(T69*T115*T69*T115);
T1758 = T67*params(32)*exp((-y(9)))*getPowerDeriv(T67*params(32)*exp((-y(9))),T138-1,1);
T1761 = (T67*params(32)*y(70)*params(6)*exp((-y(9)))*T140+T67*params(32)*y(70)*params(6)*exp((-y(9)))*T1758)/(1+params(6));
T1767 = T67*params(31)*exp((-y(8)))*getPowerDeriv(T67*params(31)*exp((-y(8))),T138-1,1);
T1770 = (T78*T67*params(6)*params(31)*y(69)*exp((-y(8)))*T171+T78*T67*params(6)*params(31)*y(69)*exp((-y(8)))*T1767)/(1+params(6));
T1803 = params(3)*T67*getPowerDeriv(T67,1+params(4),1);
T1827 = (params(3)*T69*T205*T78*T199*T102*params(29)*params(5)*y(74)*T1727-T205*T69*T78*T199*T102*params(29)*params(5)*y(74)*params(3)*T1727)/(params(3)*T69*params(3)*T69);
T1835 = (T115*params(3)*T69*T78*T106*T102*params(29)*y(73)*params(5)*T1727-T69*T78*T106*T102*params(29)*y(73)*params(5)*T115*params(3)*T1727)/(T115*params(3)*T69*T115*params(3)*T69);
T1838 = params(3)*y(13)^2*T1727;
T1866 = T67*params(31)*exp((-y(8)))*getPowerDeriv(T67*params(31)*exp((-y(8))),T138,1);
T1871 = (1+params(27))*T91*T81*params(30)*T78*T1727/params(27);
T1876 = (T69*T115*T78*T106*T102*params(5)*params(29)*T1727-T69*T78*T106*T102*params(5)*params(29)*T115*T1727)/(T69*T115*T69*T115);
T1903 = T1871+(1+params(27))*T486*T78*exp((-y(48)))*params(30)*params(25)*exp(2*y(10))*T1727/params(27);
T1908 = T67*getPowerDeriv(T67,1-params(4),1)/(params(4)-1);
T1915 = (-((y(13)*T69*T78*params(5)*T102*T1727-T69*T78*params(5)*T102*y(13)*T1727)/(y(13)*T69*y(13)*T69)));
T1928 = (-((T69*T205*T78*T199*T102*params(5)*params(29)*T1727-T205*T69*T78*T199*T102*params(5)*params(29)*T1727)/(T69*T69)));
T1941 = (T140*T67*exp((-y(9)))*params(32)*params(6)*y(110)+T67*exp((-y(9)))*params(32)*params(6)*y(110)*T1758)/(1+params(6));
T1948 = (T171*T78*T67*exp((-y(8)))*params(6)*params(31)*y(109)+T78*T67*exp((-y(8)))*params(6)*params(31)*y(109)*T1767)/(1+params(6));
T1993 = (params(3)*T69*T205*T78*T199*T102*params(29)*params(5)*y(114)*T1727-T205*T69*T78*T199*T102*params(29)*params(5)*y(114)*params(3)*T1727)/(params(3)*T69*params(3)*T69);
T1999 = (T115*params(3)*T69*T78*T106*T102*params(29)*params(5)*y(113)*T1727-T69*T78*T106*T102*params(29)*params(5)*y(113)*T115*params(3)*T1727)/(T115*params(3)*T69*T115*params(3)*T69);
T2053 = (-(T67*getPowerDeriv(T67,1-params(4),1)/(1-params(4))));
T2056 = T67*getPowerDeriv(T67,(-params(4)),1)/T78;
T2099 = getPowerDeriv(T67*params(31)*exp((-y(8))),T138-1,1)*T67*params(31)*(-exp((-y(8))));
T2103 = (T171*T78*T67*params(6)*params(31)*y(69)*(-exp((-y(8))))+T78*T67*params(6)*params(31)*y(69)*exp((-y(8)))*T2099)/(1+params(6));
T2112 = T230*exp(y(8))*getPowerDeriv(exp(y(8)),T233,1)*getPowerDeriv(T243,params(6),1);
T2120 = getPowerDeriv(T67*params(31)*exp((-y(8))),T138,1)*T67*params(31)*(-exp((-y(8))));
T2128 = (T78*T67*exp((-y(8)))*params(6)*params(31)*y(109)*T2099+T171*T78*T67*params(6)*params(31)*y(109)*(-exp((-y(8)))))/(1+params(6));
T2154 = getPowerDeriv(T67*params(32)*exp((-y(9))),T138-1,1)*T67*params(32)*(-exp((-y(9))));
T2158 = (T140*T67*params(32)*y(70)*params(6)*(-exp((-y(9))))+T67*params(32)*y(70)*params(6)*exp((-y(9)))*T2154)/(1+params(6));
T2163 = getPowerDeriv(T243,params(6),1)*T239*exp(y(9))*getPowerDeriv(exp(y(9)),T233,1);
T2180 = (T67*exp((-y(9)))*params(32)*params(6)*y(110)*T2154+T140*T67*params(32)*params(6)*y(110)*(-exp((-y(9)))))/(1+params(6));
T2201 = T81*exp((-y(48)))*getPowerDeriv(T81*exp((-y(48))),params(25),1);
T2205 = (1+params(27))*(T67*params(4)*params(30)*T78*T81*T84*T91+T67*params(4)*params(30)*T78*T81*T84*T2201)/params(27);
T2216 = (1+params(27))*(T91*T69*T81*params(30)*T78+T69*T81*params(30)*T78*T2201)/params(27);
T2231 = T2216+(1+params(27))*(T486*T69*T78*exp((-y(48)))*params(30)*params(25)*2*exp(2*y(10))+T69*T78*exp((-y(48)))*params(30)*params(25)*exp(2*y(10))*T81*exp((-y(48)))*getPowerDeriv(T81*exp((-y(48))),params(25)-1,1))/params(27);
T2244 = (-(T81*(1+params(35)*exp(y(49)))/params(27)));
T2260 = getPowerDeriv(T81/exp(y(48)),params(25),1);
T2282 = T96+T84*(T78*T67*params(4)*params(5)*params(29)*T102*T106+T78*T106*T67*params(4)*params(5)*params(29)*(-T102))/(T69*T115);
T2324 = T205*T69*(T78*T199*T102*params(29)*params(5)*y(74)+T78*T199*params(29)*params(5)*y(74)*(-T102))/(params(3)*T69);
T2331 = T69*(T78*T106*T102*params(29)*y(73)*params(5)+T78*T106*params(29)*y(73)*params(5)*(-T102))/(T115*params(3)*T69);
T2364 = T69*(T78*T106*T102*params(5)*params(29)+T78*T106*params(5)*params(29)*(-T102))/(T69*T115);
T2396 = (-(T205*T69*(T78*T199*T102*params(5)*params(29)+T78*T199*params(5)*params(29)*(-T102))/T69));
T2441 = T205*T69*(T78*T199*T102*params(29)*params(5)*y(114)+T78*T199*params(29)*params(5)*y(114)*(-T102))/(params(3)*T69);
T2448 = T69*(T78*T106*T102*params(29)*params(5)*y(113)+T78*T106*params(29)*params(5)*y(113)*(-T102))/(T115*params(3)*T69);
T2498 = (-(T78*T1510))/(T78*T78);
T2528 = (-params(34))/(y(13)*y(13));
T2530 = T2528*getPowerDeriv(T111,T114,1);
T2534 = (-(T84*T78*T67*params(4)*params(5)*params(29)*T102*T106*T69*T2530))/(T69*T115*T69*T115);
T2546 = T2528*getPowerDeriv(T111,1-T203,1);
T2564 = T69*T78*T199*T102*params(29)*params(5)*y(74)*T2546/(params(3)*T69);
T2569 = (-(T69*T78*T106*T102*params(29)*y(73)*params(5)*params(3)*T69*T2530))/(T115*params(3)*T69*T115*params(3)*T69);
T2602 = T111^T203*T69*params(3)*2*y(13)+T344*T2528*getPowerDeriv(T111,T203,1);
T2611 = T69*params(3)*T327*T2528*getPowerDeriv(T111,1+T114,1)+T353*T69*params(3)*params(27)*2*y(13);
T2618 = (-(T69*T78*T106*T102*params(5)*params(29)*T69*T2530))/(T69*T115*T69*T115);
T2677 = (-(T69*T78*T106*T102*params(29)*params(5)*y(113)*params(3)*T69*T2530))/(T115*params(3)*T69*T115*params(3)*T69);
T2791 = T385*getPowerDeriv(T385,params(25)*(1+params(27))/params(27),1);
T2845 = (-1)/((1+y(18))*(1+y(18)));
T2891 = T517*getPowerDeriv(T517,params(12)-1,1);
T2900 = T517*getPowerDeriv(T517,params(12),1);
T2907 = (1+params(26))*T537*(T517*params(36)*params(12)*T524*T527*T530+T517*params(36)*params(12)*T524*T527*T2891)/params(26)+(T554*T560*(T530*T524*T517*T410*params(12)*params(13)*params(28)*T550+T524*T517*T410*params(12)*params(13)*params(28)*T550*T2891)-T530*T524*T517*T410*params(12)*params(13)*params(28)*T550*T560*T2900)/(T554*T560*T554*T560);
T2914 = T517*params(38)*exp((-y(23)))*getPowerDeriv(T517*params(38)*exp((-y(23))),T586-1,1);
T2917 = (T517*y(82)*params(38)*params(14)*exp((-y(23)))*T588+T517*y(82)*params(38)*params(14)*exp((-y(23)))*T2914)/(1+params(14));
T2920 = T517*params(37)*exp((-y(22)))*getPowerDeriv(T517*params(37)*exp((-y(22))),T586-1,1);
T2923 = (T524*T517*params(14)*params(37)*y(81)*exp((-y(22)))*T604+T524*T517*params(14)*params(37)*y(81)*exp((-y(22)))*T2920)/(1+params(14));
T2957 = params(3)*T517*getPowerDeriv(T517,1+params(12),1);
T2981 = (params(3)*T554*T638*T524*T632*T410*params(28)*params(13)*y(86)*T2900-T638*T554*T524*T632*T410*params(28)*params(13)*y(86)*params(3)*T2900)/(params(3)*T554*params(3)*T554);
T2989 = (T560*params(3)*T554*T524*T550*T410*params(28)*y(85)*params(13)*T2900-T554*T524*T550*T410*params(28)*y(85)*params(13)*T560*params(3)*T2900)/(T560*params(3)*T554*T560*params(3)*T554);
T2992 = params(3)*y(27)^2*T2900;
T3019 = T517*params(37)*exp((-y(22)))*getPowerDeriv(T517*params(37)*exp((-y(22))),T586,1);
T3024 = (1+params(26))*T537*T527*params(36)*T524*T2900/params(26);
T3029 = (T554*T560*T524*T550*T410*params(13)*params(28)*T2900-T554*T524*T550*T410*params(13)*params(28)*T560*T2900)/(T554*T560*T554*T560);
T3056 = T3024+(1+params(26))*T895*T524*exp((-y(51)))*params(36)*params(24)*exp(2*y(24))*T2900/params(26);
T3064 = (-((y(27)*T554*T524*T410*params(13)*T2900-T554*T524*T410*params(13)*y(27)*T2900)/(y(27)*T554*y(27)*T554)));
T3076 = (-((T554*T638*T524*T632*T410*params(13)*params(28)*T2900-T638*T554*T524*T632*T410*params(13)*params(28)*T2900)/(T554*T554)));
T3092 = (T588*T517*exp((-y(23)))*y(122)*params(38)*params(14)+T517*exp((-y(23)))*y(122)*params(38)*params(14)*T2914)/(1+params(14));
T3096 = (T604*T524*T517*exp((-y(22)))*params(14)*params(37)*y(121)+T524*T517*exp((-y(22)))*params(14)*params(37)*y(121)*T2920)/(1+params(14));
T3141 = (params(3)*T554*T638*T524*T632*T410*params(28)*params(13)*y(126)*T2900-T638*T554*T524*T632*T410*params(28)*params(13)*y(126)*params(3)*T2900)/(params(3)*T554*params(3)*T554);
T3147 = (T560*params(3)*T554*T524*T550*T410*params(28)*params(13)*y(125)*T2900-T554*T524*T550*T410*params(28)*params(13)*y(125)*T560*params(3)*T2900)/(T560*params(3)*T554*T560*params(3)*T554);
T3199 = T517*getPowerDeriv(T517,(-params(12)),1)/T524;
T3245 = getPowerDeriv(T517*params(37)*exp((-y(22))),T586-1,1)*T517*params(37)*(-exp((-y(22))));
T3249 = (T604*T524*T517*params(14)*params(37)*y(81)*(-exp((-y(22))))+T524*T517*params(14)*params(37)*y(81)*exp((-y(22)))*T3245)/(1+params(14));
T3258 = T662*exp(y(22))*getPowerDeriv(exp(y(22)),T665,1)*getPowerDeriv(T675,params(14),1);
T3266 = getPowerDeriv(T517*params(37)*exp((-y(22))),T586,1)*T517*params(37)*(-exp((-y(22))));
T3274 = (T524*T517*exp((-y(22)))*params(14)*params(37)*y(121)*T3245+T604*T524*T517*params(14)*params(37)*y(121)*(-exp((-y(22)))))/(1+params(14));
T3300 = getPowerDeriv(T517*params(38)*exp((-y(23))),T586-1,1)*T517*params(38)*(-exp((-y(23))));
T3304 = (T588*T517*y(82)*params(38)*params(14)*(-exp((-y(23))))+T517*y(82)*params(38)*params(14)*exp((-y(23)))*T3300)/(1+params(14));
T3309 = getPowerDeriv(T675,params(14),1)*T671*exp(y(23))*getPowerDeriv(exp(y(23)),T665,1);
T3326 = (T517*exp((-y(23)))*y(122)*params(38)*params(14)*T3300+T588*T517*y(122)*params(38)*params(14)*(-exp((-y(23)))))/(1+params(14));
T3347 = T527*exp((-y(51)))*getPowerDeriv(T527*exp((-y(51))),params(24),1);
T3351 = (1+params(26))*(T517*params(36)*params(12)*T524*T527*T530*T537+T517*params(36)*params(12)*T524*T527*T530*T3347)/params(26);
T3357 = (1+params(26))*(T537*T554*T527*params(36)*T524+T554*T527*params(36)*T524*T3347)/params(26);
T3372 = T3357+(1+params(26))*(T895*T554*T524*exp((-y(51)))*params(36)*params(24)*2*exp(2*y(24))+T554*T524*exp((-y(51)))*params(36)*params(24)*exp(2*y(24))*T527*exp((-y(51)))*getPowerDeriv(T527*exp((-y(51))),params(24)-1,1))/params(26);
T3379 = (-(T527*(1+params(40)*exp(y(52)))/params(26)));
T3406 = getPowerDeriv(T527/exp(y(51)),params(24),1);
T3430 = T542+T530*(T524*T517*T410*params(12)*params(13)*params(28)*T550+T524*T550*T517*params(12)*params(13)*params(28)*(-T410))/(T554*T560);
T3472 = T638*T554*(T524*T632*T410*params(28)*params(13)*y(86)+T524*T632*params(28)*params(13)*y(86)*(-T410))/(params(3)*T554);
T3479 = T554*(T524*T550*T410*params(28)*y(85)*params(13)+T524*T550*params(28)*y(85)*params(13)*(-T410))/(T560*params(3)*T554);
T3510 = T554*(T524*T550*T410*params(13)*params(28)+T524*T550*params(13)*params(28)*(-T410))/(T554*T560);
T3542 = (-(T638*T554*(T524*T632*T410*params(13)*params(28)+T524*T632*params(13)*params(28)*(-T410))/T554));
T3589 = T638*T554*(T524*T632*T410*params(28)*params(13)*y(126)+T524*T632*params(28)*params(13)*y(126)*(-T410))/(params(3)*T554);
T3596 = T554*(T524*T550*T410*params(28)*params(13)*y(125)+T524*T550*params(28)*params(13)*y(125)*(-T410))/(T560*params(3)*T554);
T3647 = (-(T524*T1583))/(T524*T524);
T3674 = (-params(39))/(y(27)*y(27));
T3676 = T3674*getPowerDeriv(T556,T559,1);
T3680 = (-(T530*T524*T517*T410*params(12)*params(13)*params(28)*T550*T554*T3676))/(T554*T560*T554*T560);
T3692 = T3674*getPowerDeriv(T556,1-T636,1);
T3710 = T554*T524*T632*T410*params(28)*params(13)*y(86)*T3692/(params(3)*T554);
T3715 = (-(T554*T524*T550*T410*params(28)*y(85)*params(13)*params(3)*T554*T3676))/(T560*params(3)*T554*T560*params(3)*T554);
T3748 = T556^T636*T554*params(3)*2*y(27)+T766*T3674*getPowerDeriv(T556,T636,1);
T3757 = T554*params(3)*T749*T3674*getPowerDeriv(T556,1+T559,1)+T775*T554*params(3)*params(26)*2*y(27);
T3764 = (-(T554*T524*T550*T410*params(13)*params(28)*T554*T3676))/(T554*T560*T554*T560);
T3823 = (-(T554*T524*T550*T410*params(28)*params(13)*y(125)*params(3)*T554*T3676))/(T560*params(3)*T554*T560*params(3)*T554);
T3937 = T807*getPowerDeriv(T807,params(24)*(1+params(26))/params(26),1);
T3991 = (-1)/((1+y(32))*(1+y(32)));
T4058 = getPowerDeriv(T81*exp((-y(48))),params(25),1)*T81*(-exp((-y(48))));
T4074 = (1+params(27))*T69*T81*params(30)*T78*T4058/params(27);
T4086 = T4074+(1+params(27))*(T486*T69*T78*params(30)*params(25)*exp(2*y(10))*(-exp((-y(48))))+T69*T78*exp((-y(48)))*params(30)*params(25)*exp(2*y(10))*getPowerDeriv(T81*exp((-y(48))),params(25)-1,1)*T81*(-exp((-y(48)))))/params(27);
T4144 = getPowerDeriv(T527*exp((-y(51))),params(24),1)*T527*(-exp((-y(51))));
T4147 = (1+params(26))*T517*params(36)*params(12)*T524*T527*T530*T4144/params(26);
T4152 = (1+params(26))*T554*T527*params(36)*T524*T4144/params(26);
T4164 = T4152+(1+params(26))*(T895*T554*T524*params(36)*params(24)*exp(2*y(24))*(-exp((-y(51))))+T554*T524*exp((-y(51)))*params(36)*params(24)*exp(2*y(24))*getPowerDeriv(T527*exp((-y(51))),params(24)-1,1)*T527*(-exp((-y(51)))))/params(26);
T4238 = (-(T84*T78*T67*params(4)*params(5)*T102/(y(13)*T69)))+T69*T78*T67*params(4)*params(5)*T102/T189;
T4244 = (-(T69*T78*params(5)*T102/(y(13)*T69)))+T69*T78*params(5)*T102/(T69*params(3)*y(13));
T4250 = T171*T78*T67*exp((-y(8)))*params(6)*params(31)/(1+params(6));
T4256 = T140*T67*exp((-y(9)))*params(32)*params(6)/(1+params(6));
T4275 = (-T118)+T69*T78*T67*params(4)*params(5)*params(29)*T102*T106/(T115*T211);
T4286 = (-((1+params(27))*(1+params(25))*T69*T78*T106*T102*params(29)*params(5)*params(34)/(T353*T69*params(3)*T327)));
T4300 = (-(T205*T84*T78*T67*params(4)*params(5)*params(29)*T102*T199/T69))+T205*T69*T78*T67*params(4)*params(5)*params(29)*T102*T199/T211;
T4323 = (-((1+params(27))*(1+params(25))*exp(y(35))*params(29)*params(34)/(T327*T353)));
T4347 = (-(T530*T524*T517*T410*params(12)*params(13)/(y(27)*T554)))+T554*T524*T517*T410*params(12)*params(13)/T622;
T4353 = (-(T554*T524*T410*params(13)/(y(27)*T554)))+T554*T524*T410*params(13)/(T554*params(3)*y(27));
T4359 = T604*T524*T517*exp((-y(22)))*params(14)*params(37)/(1+params(14));
T4367 = T588*T517*exp((-y(23)))*params(38)*params(14)/(1+params(14));
T4384 = (-T563)+T524*T517*T410*params(12)*params(13)*params(28)*T550*T554/(T560*T644);
T4395 = (-((1+params(26))*(1+params(24))*T554*T524*T550*T410*params(28)*params(13)*params(39)/(T775*T554*params(3)*T749)));
T4409 = (-(T638*T530*T524*T517*T410*params(12)*params(13)*params(28)*T632/T554))+T638*T554*T524*T517*T410*params(12)*params(13)*params(28)*T632/T644;
T4432 = (-((1+params(26))*(1+params(24))*exp(y(38))*params(28)*params(39)/(T749*T775)));
lhs =y(133);
rhs =params(1)*y(5)+params(2)*y(6);
residual(1)= lhs-rhs;
lhs =y(134);
rhs =y(133)+y(134)*params(3);
residual(2)= lhs-rhs;
lhs =y(1);
rhs =y(5)+params(3)*y(1);
residual(3)= lhs-rhs;
lhs =y(2);
rhs =y(6)+params(3)*y(2);
residual(4)= lhs-rhs;
lhs =y(3);
rhs =y(13);
residual(5)= lhs-rhs;
lhs =y(4);
rhs =y(27);
residual(6)= lhs-rhs;
lhs =y(35);
rhs =y(17);
residual(7)= lhs-rhs;
lhs =y(41);
rhs =y(35);
residual(8)= lhs-rhs;
lhs =y(36);
rhs =y(18);
residual(9)= lhs-rhs;
lhs =y(42);
rhs =y(36);
residual(10)= lhs-rhs;
lhs =y(37);
rhs =y(12);
residual(11)= lhs-rhs;
lhs =y(43);
rhs =y(37);
residual(12)= lhs-rhs;
lhs =y(38);
rhs =y(31);
residual(13)= lhs-rhs;
lhs =y(44);
rhs =y(38);
residual(14)= lhs-rhs;
lhs =y(39);
rhs =y(32);
residual(15)= lhs-rhs;
lhs =y(45);
rhs =y(39);
residual(16)= lhs-rhs;
lhs =y(40);
rhs =y(26);
residual(17)= lhs-rhs;
lhs =y(46);
rhs =y(40);
residual(18)= lhs-rhs;
residual(19) = T67/T69+T67*y(71)-y(73)*T118-T67*y(67)/T69-T142-T84*T67*params(4)*params(50)*y(92)*params(49)*params(51)*exp((-y(19)))+T173-T84*T78*T67*T102*params(4)*params(5)*y(68)/(y(13)*T69)+T69*T78*T67*T102*params(4)*params(5)*y(68)/T189-T84*T201*T205/T69+T205*T69*T201/T211+T223;
residual(20) = (-y(77))*exp(y(8))-exp(y(8))*y(71)*T230*T235*T244-T173;
residual(21) = y(79);
residual(22) = y(76)*exp(y(17))-params(3)*y(55)-T263;
residual(23) = y(55)-params(3)*y(56)-params(29)*y(76)*exp(y(35))/T115;
residual(24) = y(56);
residual(25) = y(78)*exp(y(11))-y(77)*exp(y(11));
residual(26) = y(74)*T199+T106*y(72)*exp((-y(15)))-T297;
residual(27) = y(73)*T106-T106*y(72)*exp((-y(15)))-T308;
residual(28) = T142-T244*exp(y(9))*y(71)*T239*T313-exp(y(9))*y(89)*params(33);
residual(29) = params(29)*params(34)*y(75)/T331-T78*y(79)*exp((-y(37)))-y(53)+T69*T78*T102*params(5)*y(68)/T344-T355-T368-T381;
residual(30) = y(72)*T385*T389*T391+y(75)*T385*(params(29)-1)/T397-(params(29)-1)*(1+params(27))*(1+params(25))*y(76)*T385/T405;
residual(31) = y(70)*T410*exp(y(19))-T102*exp((-y(19)))*y(82)+T69*params(50)*y(92)*params(49)*params(51)*exp((-y(19)));
residual(32) = params(3)*(-y(57))-y(68)/T426;
residual(33) = y(57)-params(3)*y(58);
residual(34) = y(58);
residual(35) = T297+T308+T78*y(69)*T436-y(73)*(T443+T449)-T102*exp((-y(19)))*y(82)-params(3)*y(59)-T78*exp((-y(37)))*y(13)*y(79)-T69*T78*T102*params(5)*y(68)/(y(13)*T69)+T69*T78*T102*params(5)*y(68)/(T69*params(3)*y(13))-T205*T69*T78*T199*T102*params(29)*params(5)*y(74)/T69;
residual(36) = T78*exp((-y(37)))*y(13)*y(79)+y(59)-params(3)*y(60);
residual(37) = y(60);
residual(38) = T81*y(77)-y(73)*T490-T81*y(74)*(1+params(35)*exp(y(49)))/params(27)-T81*y(78)*params(7)*exp(y(47))-T511/T261;
residual(39) = y(83)*T517-y(85)*T563+T530*T517*params(12)*y(92)*params(47)*params(48)-T590+T606-T530*T524*T517*T410*params(12)*params(13)*y(80)/(y(27)*T554)+T554*T524*T517*T410*params(12)*params(13)*y(80)/T622-T530*T634*T638/T554+T638*T554*T634/T644+T656;
residual(40) = (-y(89))*exp(y(22))-exp(y(22))*y(83)*T662*T667*T676-T606;
residual(41) = y(91);
residual(42) = y(88)*exp(y(31))-params(3)*y(61);
residual(43) = y(61)-params(3)*y(62)-params(28)*y(88)*exp(y(38))/T560;
residual(44) = y(62);
residual(45) = y(90)*exp(y(25))-y(89)*exp(y(25));
residual(46) = y(86)*T632+T550*y(84)*exp((-y(29)))-T721;
residual(47) = y(85)*T550-T550*y(84)*exp((-y(29)))-T732;
residual(48) = T590-T676*exp(y(23))*y(83)*T671*T737-y(77)*exp(y(23))/params(33);
residual(49) = params(28)*params(39)*y(87)/T753-T524*y(91)*exp((-y(40)))-y(54)+T554*T524*T410*params(13)*y(80)/T766-T777-T790-T803;
residual(50) = y(84)*T807*T811*T813+y(87)*T807*(params(28)-1)/T819-(params(28)-1)*(1+params(26))*(1+params(24))*y(88)*T807/T827;
residual(51) = params(3)*(-y(63))-y(80)/T835;
residual(52) = y(63)-params(3)*y(64);
residual(53) = y(64);
residual(54) = T721+T732+T524*y(81)*T845-y(85)*(T852+T858)-params(3)*y(65)-y(70)*T410*exp(y(19))-T524*exp((-y(40)))*y(27)*y(91)-T554*T524*T410*params(13)*y(80)/(y(27)*T554)+T554*T524*T410*params(13)*y(80)/(T554*params(3)*y(27))-T638*T554*T524*T632*T410*params(28)*params(13)*y(86)/T554;
residual(55) = T524*exp((-y(40)))*y(27)*y(91)+y(65)-params(3)*y(66);
residual(56) = y(66);
residual(57) = y(89)*T527-y(85)*T899-T527*y(86)*(1+params(40)*exp(y(52)))/params(26)-T527*y(90)*params(15)*exp(y(50));
residual(58) = y(53);
residual(59) = y(67)-params(5)*y(67)/params(3);
lhs =y(135);
rhs =y(67)*T931+y(68)*T938+y(73)*(T106-T443-T449)+y(74)*T953+y(80)*T961+y(85)*(T550-T852-T858)+y(86)*T976;
residual(60)= lhs-rhs;
residual(61) = T67*y(111)-T118*y(113)-T67*y(107)/T69-T140*T67*exp((-y(9)))*params(32)*params(6)*y(110)/(1+params(6))-T84*T67*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)*y(132)+T1013-T84*T78*T67*T102*params(4)*params(5)*y(108)/(y(13)*T69)+T69*T78*T67*T102*params(4)*params(5)*y(108)/T189-T205*T84*T1032/T69+T205*T69*T1032/T211+T69*T78*T106*T67*T102*params(29)*params(4)*params(5)*y(113)/(T115*T211);
residual(62) = exp(y(8))*(-y(117))-T244*T235*exp(y(8))*T230*y(111)-T1013;
residual(63) = y(119);
residual(64) = exp(y(17))*y(116)-params(3)*y(95);
residual(65) = y(95)-params(3)*y(96)-exp(y(35))*params(29)*y(116)/T115;
residual(66) = y(96);
residual(67) = exp(y(11))*y(118)-exp(y(11))*y(117);
residual(68) = T199*y(114)+T106*exp((-y(15)))*y(112)-T1095;
residual(69) = T106*y(113)-T106*exp((-y(15)))*y(112)-T1106;
residual(70) = T140*T67*exp((-y(9)))*params(32)*params(6)*y(110)/(1+params(6))-T244*T313*exp(y(9))*T239*y(111)-exp(y(9))*params(33)*y(129);
residual(71) = params(29)*params(34)*y(115)/T331-T78*exp((-y(37)))*y(119)-y(93)+T69*T78*T102*params(5)*y(108)/T344-T1139-(T203-1)*T69*T78*T199*T102*params(29)*params(5)*params(34)*y(114)/T367-T1158;
residual(72) = T391*T389*T385*y(112)+(params(29)-1)*T385*y(115)/T397-(params(29)-1)*(1+params(27))*(1+params(25))*T385*y(116)/T405;
residual(73) = exp(y(19))*T410*y(110)-T102*exp((-y(19)))*y(122)+T69*exp((-y(19)))*params(51)*params(50)*params(49)*y(132);
residual(74) = params(3)*(-y(97))-y(108)/T426;
residual(75) = y(97)-params(3)*y(98);
residual(76) = y(98);
residual(77) = T1095+T1106+T436*T78*y(109)-(T443+T449)*y(113)-T102*exp((-y(19)))*y(122)-params(3)*y(99)-T78*exp((-y(37)))*y(13)*y(119)-T69*T78*T102*params(5)*y(108)/(y(13)*T69)+T69*T78*T102*params(5)*y(108)/(T69*params(3)*y(13))-T205*T69*T78*T199*T102*params(29)*params(5)*y(114)/T69;
residual(78) = T78*exp((-y(37)))*y(13)*y(119)+y(99)-params(3)*y(100);
residual(79) = y(100);
residual(80) = T81*y(117)-T490*y(113)-(1+params(35)*exp(y(49)))*T81*y(114)/params(27)-T81*exp(y(47))*params(7)*y(118);
residual(81) = T517/T554+T517*y(123)-T563*y(125)+T530*T517*y(132)*params(12)*params(47)*params(48)-T1254+T1263-T530*T524*T517*T410*params(12)*params(13)*y(120)/(y(27)*T554)+T554*T524*T517*T410*params(12)*params(13)*y(120)/T622-T638*T530*T1282/T554+T638*T554*T1282/T644+T554*T524*T550*T517*T410*params(28)*params(12)*params(13)*y(125)/(T560*T644);
residual(82) = exp(y(22))*(-y(129))-T676*T667*exp(y(22))*T662*y(123)-T1263;
residual(83) = y(131);
residual(84) = exp(y(31))*y(128)-params(3)*y(101)-T1323;
residual(85) = y(101)-params(3)*y(102)-exp(y(38))*params(28)*y(128)/T560;
residual(86) = y(102);
residual(87) = exp(y(25))*y(130)-exp(y(25))*y(129);
residual(88) = T632*y(126)+T550*exp((-y(29)))*y(124)-T1352;
residual(89) = T550*y(125)-T550*exp((-y(29)))*y(124)-T1363;
residual(90) = T1254-T676*T737*exp(y(23))*T671*y(123)-exp(y(23))*y(117)/params(33);
residual(91) = params(28)*params(39)*y(127)/T753-T524*exp((-y(40)))*y(131)-y(94)+T554*T524*T410*params(13)*y(120)/T766-T1395-(T636-1)*T554*T524*T632*T410*params(28)*params(13)*params(39)*y(126)/T789-T1414;
residual(92) = T813*T811*T807*y(124)+(params(28)-1)*T807*y(127)/T819-(params(28)-1)*(1+params(26))*(1+params(24))*T807*y(128)/T827;
residual(93) = params(3)*(-y(103))-y(120)/T835;
residual(94) = y(103)-params(3)*y(104);
residual(95) = y(104);
residual(96) = T1352+T1363+T845*T524*y(121)-(T852+T858)*y(125)-params(3)*y(105)-exp(y(19))*T410*y(110)-T524*exp((-y(40)))*y(27)*y(131)-T554*T524*T410*params(13)*y(120)/(y(27)*T554)+T554*T524*T410*params(13)*y(120)/(T554*params(3)*y(27))-T638*T554*T524*T632*T410*params(28)*params(13)*y(126)/T554;
residual(97) = T524*exp((-y(40)))*y(27)*y(131)+y(105)-params(3)*y(106);
residual(98) = y(106);
residual(99) = T527*y(129)-T899*y(125)-(1+params(40)*exp(y(52)))*T527*y(126)/params(26)-T527*exp(y(50))*params(15)*y(130)-T1483;
residual(100) = y(94);
residual(101) = y(107)-params(5)*y(107)/params(3);
lhs =y(136);
rhs =T931*y(107)+T938*y(108)+(T106-T443-T449)*y(113)+T953*y(114)+T961*y(120)+(T550-T852-T858)*y(125)+T976*y(126);
residual(102)= lhs-rhs;
lhs =y(34);
rhs =params(5)*y(34)+T1506;
residual(103)= lhs-rhs;
lhs =1/(1+y(18));
rhs =params(5)*T1511/T1511/y(13);
residual(104)= lhs-rhs;
lhs =T78*T1517^T138;
rhs =1;
residual(105)= lhs-rhs;
lhs =exp(y(19))/T524;
rhs =T1523^T138;
residual(106)= lhs-rhs;
lhs =T67;
rhs =T243^(1+params(6));
residual(107)= lhs-rhs;
lhs =T385^(1+params(25)*T203);
rhs =T106/T199;
residual(108)= lhs-rhs;
lhs =T106;
rhs =T81*T1536/T1511+T106*T1540*T1544;
residual(109)= lhs-rhs;
lhs =T199;
rhs =T81*(1+params(35)*exp(y(49)))/params(27)+T199*T205*T1540;
residual(110)= lhs-rhs;
lhs =(1-params(29))*T385^T1556+params(29)*T111^T1556;
rhs =1;
residual(111)= lhs-rhs;
lhs =exp(y(17));
rhs =(1-params(29))*T385^T1543+exp(y(35))*params(29)*T1544;
residual(112)= lhs-rhs;
lhs =T81;
rhs =exp(y(8))+exp(y(11))+exp(y(23))*1/params(33);
residual(113)= lhs-rhs;
lhs =exp(y(11));
rhs =exp(y(47))*T81*params(7);
residual(114)= lhs-rhs;
lhs =y(20);
rhs =y(13)*T78/exp(y(37));
residual(115)= lhs-rhs;
lhs =1/(1+y(32));
rhs =params(13)*T1584/T1584/y(27);
residual(116)= lhs-rhs;
lhs =T524*T1590^T586;
rhs =1;
residual(117)= lhs-rhs;
lhs =1/exp(y(19))/T78;
rhs =T1597^T586;
residual(118)= lhs-rhs;
lhs =T517;
rhs =T675^(1+params(14));
residual(119)= lhs-rhs;
lhs =T807^(1+params(24)*T636);
rhs =T550/T632;
residual(120)= lhs-rhs;
lhs =T550;
rhs =T527*T1610/T1584+T550*T1614*T1618;
residual(121)= lhs-rhs;
lhs =T632;
rhs =T527*(1+params(40)*exp(y(52)))/params(26)+T632*T638*T1614;
residual(122)= lhs-rhs;
lhs =(1-params(28))*T807^T1630+params(28)*T556^T1630;
rhs =1;
residual(123)= lhs-rhs;
lhs =exp(y(31));
rhs =(1-params(28))*T807^T1617+exp(y(38))*params(28)*T1618;
residual(124)= lhs-rhs;
lhs =T527;
rhs =exp(y(22))+exp(y(25))+exp(y(9))*params(33);
residual(125)= lhs-rhs;
lhs =exp(y(25));
rhs =exp(y(50))*T527*params(15);
residual(126)= lhs-rhs;
lhs =y(33);
rhs =y(27)*T524/exp(y(40));
residual(127)= lhs-rhs;
lhs =params(48)*params(47)/T1583;
rhs =params(51)*params(50)*params(49)/exp(y(19))/T1510;
residual(128)= lhs-rhs;
lhs =y(5);
rhs =T1506-T1667;
residual(129)= lhs-rhs;
lhs =y(6);
rhs =T517^(1-params(12))/(1-params(12))-T1678;
residual(130)= lhs-rhs;
lhs =y(47);
rhs =y(47)*params(8)+params(9)*x(1);
residual(131)= lhs-rhs;
lhs =y(48);
rhs =y(48)*params(10)+params(11)*x(2);
residual(132)= lhs-rhs;
lhs =y(49);
rhs =y(49)*params(22)+params(23)*x(6);
residual(133)= lhs-rhs;
lhs =y(50);
rhs =y(50)*params(16)+params(17)*x(3);
residual(134)= lhs-rhs;
lhs =y(51);
rhs =y(51)*params(18)+params(19)*x(4);
residual(135)= lhs-rhs;
lhs =y(52);
rhs =y(52)*params(20)+params(21)*x(5);
residual(136)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(136, 136);

  %
  % Jacobian matrix
  %

  g1(1,5)=(-params(1));
  g1(1,6)=(-params(2));
  g1(1,133)=1;
  g1(2,133)=(-1);
  g1(2,134)=1-params(3);
  g1(3,1)=1-params(3);
  g1(3,5)=(-1);
  g1(4,2)=1-params(3);
  g1(4,6)=(-1);
  g1(5,3)=1;
  g1(5,13)=(-1);
  g1(6,4)=1;
  g1(6,27)=(-1);
  g1(7,17)=(-1);
  g1(7,35)=1;
  g1(8,35)=(-1);
  g1(8,41)=1;
  g1(9,18)=(-1);
  g1(9,36)=1;
  g1(10,36)=(-1);
  g1(10,42)=1;
  g1(11,12)=(-1);
  g1(11,37)=1;
  g1(12,37)=(-1);
  g1(12,43)=1;
  g1(13,31)=(-1);
  g1(13,38)=1;
  g1(14,38)=(-1);
  g1(14,44)=1;
  g1(15,32)=(-1);
  g1(15,39)=1;
  g1(16,39)=(-1);
  g1(16,45)=1;
  g1(17,26)=(-1);
  g1(17,40)=1;
  g1(18,40)=(-1);
  g1(18,46)=1;
  g1(19,7)=T67*y(71)+(T67*T69-T67*T1727)/(T69*T69)-y(73)*T1749-(T69*T67*y(67)-T67*y(67)*T1727)/(T69*T69)-T1761-(T84*T67*params(4)*params(50)*y(92)*params(49)*params(51)*exp((-y(19)))+T67*params(4)*params(50)*y(92)*params(49)*params(51)*exp((-y(19)))*T1735)+T1770-(y(13)*T69*(T84*T78*T67*T102*params(4)*params(5)*y(68)+T78*T67*T102*params(4)*params(5)*y(68)*T1735)-T84*T78*T67*T102*params(4)*params(5)*y(68)*y(13)*T1727)/(y(13)*T69*y(13)*T69)+(T189*(T69*T78*T67*T102*params(4)*params(5)*y(68)+T78*T67*T102*params(4)*params(5)*y(68)*T1727)-T69*T78*T67*T102*params(4)*params(5)*y(68)*params(3)*y(13)*T67*getPowerDeriv(T67,1+params(4),1))/(T189*T189)-(T69*T205*(T84*T201+T201*T1735)-T84*T201*T205*T1727)/(T69*T69)+(T211*T205*(T69*T201+T201*T1727)-T205*T69*T201*T1803)/(T211*T211)+(T115*T211*(T69*T78*T106*T67*T102*params(29)*params(4)*y(73)*params(5)+T78*T106*T67*T102*params(29)*params(4)*y(73)*params(5)*T1727)-T69*T78*T106*T67*T102*params(29)*params(4)*y(73)*params(5)*T115*T1803)/(T115*T211*T115*T211);
  g1(19,8)=T2103;
  g1(19,9)=(-T2158);
  g1(19,10)=(-(y(73)*T2205));
  g1(19,12)=T173+(-(y(73)*T2282))-T84*(T78*T67*T102*params(4)*params(5)*y(68)+T78*T67*params(4)*params(5)*y(68)*(-T102))/(y(13)*T69)+T69*(T78*T67*T102*params(4)*params(5)*y(68)+T78*T67*params(4)*params(5)*y(68)*(-T102))/T189-T205*T84*(T201+T78*T199*T67*params(29)*params(4)*params(5)*y(74)*(-T102))/T69+T205*T69*(T201+T78*T199*T67*params(29)*params(4)*params(5)*y(74)*(-T102))/T211+T69*(T78*T106*T67*T102*params(29)*params(4)*y(73)*params(5)+T78*T106*T67*params(29)*params(4)*y(73)*params(5)*(-T102))/(T115*T211);
  g1(19,13)=(-(y(73)*T2534))-(-(T69*T84*T78*T67*T102*params(4)*params(5)*y(68)))/(y(13)*T69*y(13)*T69)+(-(T69*T78*T67*T102*params(4)*params(5)*y(68)*T211))/(T189*T189)-T84*T201*T2546/T69+T69*T201*T2546/T211+(-(T69*T78*T106*T67*T102*params(29)*params(4)*y(73)*params(5)*T211*T2530))/(T115*T211*T115*T211);
  g1(19,14)=T223+(-(y(73)*T117));
  g1(19,15)=T205*T69*T201/T211+(-(T84*T201*T205/T69));
  g1(19,19)=(-(T84*T67*params(4)*params(50)*y(92)*params(49)*params(51)*(-exp((-y(19))))));
  g1(19,48)=(-(y(73)*(1+params(27))*T67*params(4)*params(30)*T78*T81*T84*T4058/params(27)));
  g1(19,67)=(-(T67/T69));
  g1(19,68)=T4238;
  g1(19,69)=T4250;
  g1(19,70)=(-T4256);
  g1(19,71)=T67;
  g1(19,73)=T4275;
  g1(19,74)=T4300;
  g1(19,92)=(-(T84*T67*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)));
  g1(20,7)=(-T1770);
  g1(20,8)=(-y(77))*exp(y(8))-(T244*(exp(y(8))*y(71)*T230*T235+exp(y(8))*y(71)*T230*exp(y(8))*getPowerDeriv(exp(y(8)),T233-1,1))+exp(y(8))*y(71)*T230*T235*T2112)-T2103;
  g1(20,9)=(-(exp(y(8))*y(71)*T230*T235*T2163));
  g1(20,12)=(-T173);
  g1(20,69)=(-T4250);
  g1(20,71)=(-(T244*T235*exp(y(8))*T230));
  g1(20,77)=(-exp(y(8)));
  g1(21,79)=1;
  g1(22,10)=(-(params(30)*exp(y(17))*T81*getPowerDeriv(T81,1+params(25),1)/T262));
  g1(22,17)=y(76)*exp(y(17))-T263;
  g1(22,48)=(-((-(params(30)*exp(y(17))*T258*(1+params(25))*exp(y(48))*getPowerDeriv(exp(y(48)),params(25),1)))/(T262*T262)));
  g1(22,55)=(-params(3));
  g1(22,76)=exp(y(17));
  g1(23,13)=(-((-(params(29)*y(76)*exp(y(35))*T2530))/(T115*T115)));
  g1(23,35)=(-(params(29)*y(76)*exp(y(35))/T115));
  g1(23,55)=1;
  g1(23,56)=(-params(3));
  g1(23,76)=(-(params(29)*exp(y(35))/T115));
  g1(24,56)=1;
  g1(25,11)=y(78)*exp(y(11))-y(77)*exp(y(11));
  g1(25,77)=(-exp(y(11)));
  g1(25,78)=exp(y(11));
  g1(26,7)=(-T1827);
  g1(26,12)=(-T2324);
  g1(26,13)=(-T2564);
  g1(26,14)=T106*y(72)*exp((-y(15)));
  g1(26,15)=y(74)*T199+T106*y(72)*(-exp((-y(15))))-T297;
  g1(26,72)=T106*exp((-y(15)));
  g1(26,74)=T199-T205*T69*T78*T199*T102*params(5)*params(29)/(params(3)*T69);
  g1(27,7)=(-T1835);
  g1(27,12)=(-T2331);
  g1(27,13)=(-T2569);
  g1(27,14)=y(73)*T106-T106*y(72)*exp((-y(15)))-T308;
  g1(27,15)=(-(T106*y(72)*(-exp((-y(15))))));
  g1(27,72)=(-(T106*exp((-y(15)))));
  g1(27,73)=T106-T69*T78*T106*T102*params(5)*params(29)/(T115*params(3)*T69);
  g1(28,7)=T1761;
  g1(28,8)=(-(exp(y(9))*y(71)*T239*T313*T2112));
  g1(28,9)=T2158-(exp(y(9))*y(71)*T239*T313*T2163+T244*(exp(y(9))*y(71)*T239*T313+exp(y(9))*y(71)*T239*exp(y(9))*getPowerDeriv(exp(y(9)),T233-1,1)))-exp(y(9))*y(89)*params(33);
  g1(28,70)=T4256;
  g1(28,71)=(-(T244*T313*T239*exp(y(9))));
  g1(28,89)=(-(exp(y(9))*params(33)));
  g1(29,7)=(T344*T78*T102*params(5)*y(68)*T1727-T69*T78*T102*params(5)*y(68)*T1838)/(T344*T344)-(T367*(T203-1)*T78*T199*T102*params(29)*y(74)*params(5)*params(34)*T1727-T69*T78*T199*T102*params(29)*y(74)*params(5)*params(34)*(T203-1)*T111^T203*T1838)/(T367*T367)-(T353*T69*params(3)*T327*(1+params(27))*(1+params(25))*T78*T106*T102*params(29)*y(73)*params(5)*params(34)*T1727-(1+params(27))*(1+params(25))*T69*T78*T106*T102*params(29)*y(73)*params(5)*params(34)*T353*params(3)*T327*T1727)/(T353*T69*params(3)*T327*T353*T69*params(3)*T327);
  g1(29,12)=(-(T78*y(79)*exp((-y(37)))))+T69*(T78*T102*params(5)*y(68)+T78*params(5)*y(68)*(-T102))/T344-(T203-1)*T69*(T78*T199*T102*params(29)*y(74)*params(5)*params(34)+T78*T199*params(29)*y(74)*params(5)*params(34)*(-T102))/T367-(1+params(27))*(1+params(25))*T69*(T78*T106*T102*params(29)*y(73)*params(5)*params(34)+T78*T106*params(29)*y(73)*params(5)*params(34)*(-T102))/(T353*T69*params(3)*T327);
  g1(29,13)=(-(params(29)*params(34)*y(75)*(T330*params(27)*2*y(13)+T327*T2528*getPowerDeriv(T111,T329,1))))/(T331*T331)+(-(T69*T78*T102*params(5)*y(68)*T69*params(3)*2*y(13)))/(T344*T344)-(-((1+params(27))*(1+params(25))*exp(y(35))*params(29)*params(34)*y(76)*(T353*params(27)*2*y(13)+T327*T2528*getPowerDeriv(T111,1+T114,1))))/(T327*T353*T327*T353)-(-(T69*T78*T199*T102*params(29)*y(74)*params(5)*params(34)*(T203-1)*T2602))/(T367*T367)-(-((1+params(27))*(1+params(25))*T69*T78*T106*T102*params(29)*y(73)*params(5)*params(34)*T2611))/(T353*T69*params(3)*T327*T353*T69*params(3)*T327);
  g1(29,14)=(-T381);
  g1(29,15)=(-T368);
  g1(29,35)=(-T355);
  g1(29,37)=(-(T78*y(79)*(-exp((-y(37))))));
  g1(29,53)=(-1);
  g1(29,68)=T69*T78*params(5)*T102/T344;
  g1(29,73)=T4286;
  g1(29,74)=(-((T203-1)*T69*T78*T199*T102*params(29)*params(5)*params(34)/T367));
  g1(29,75)=params(29)*params(34)/T331;
  g1(29,76)=T4323;
  g1(29,79)=(-(T78*exp((-y(37)))));
  g1(30,16)=T391*(y(72)*T385*T389+y(72)*T385*T2791)+(y(75)*T385*(params(29)-1)*T397-y(75)*T385*(params(29)-1)*params(27)*T385*getPowerDeriv(T385,T329,1))/(T397*T397)-((params(29)-1)*(1+params(27))*(1+params(25))*y(76)*T385*T405-(params(29)-1)*(1+params(27))*(1+params(25))*y(76)*T385*params(27)*T385*getPowerDeriv(T385,1+T114,1))/(T405*T405);
  g1(30,72)=T391*T385*T389;
  g1(30,75)=T385*(params(29)-1)/T397;
  g1(30,76)=(-((params(29)-1)*(1+params(27))*(1+params(25))*T385/T405));
  g1(31,7)=params(50)*y(92)*params(49)*params(51)*exp((-y(19)))*T1727;
  g1(31,12)=(-(exp((-y(19)))*y(82)*(-T102)));
  g1(31,19)=y(70)*T410*exp(y(19))-T102*y(82)*(-exp((-y(19))))+T69*params(50)*y(92)*params(49)*params(51)*(-exp((-y(19))));
  g1(31,26)=exp(y(19))*y(70)*(-T410);
  g1(31,70)=T410*exp(y(19));
  g1(31,82)=(-(T102*exp((-y(19)))));
  g1(31,92)=T69*exp((-y(19)))*params(51)*params(50)*params(49);
  g1(32,18)=(-((-(y(68)*2*(1+y(18))))/(T426*T426)));
  g1(32,57)=(-params(3));
  g1(32,68)=(-(1/T426));
  g1(33,57)=1;
  g1(33,58)=(-params(3));
  g1(34,58)=1;
  g1(35,7)=T1827+T1835+T78*y(69)*T1866-y(73)*(T1871+T1876)-(y(13)*T69*T78*T102*params(5)*y(68)*T1727-T69*T78*T102*params(5)*y(68)*y(13)*T1727)/(y(13)*T69*y(13)*T69)+(T69*params(3)*y(13)*T78*T102*params(5)*y(68)*T1727-T69*T78*T102*params(5)*y(68)*params(3)*y(13)*T1727)/(T69*params(3)*y(13)*T69*params(3)*y(13))-(T69*T205*T78*T199*T102*params(29)*params(5)*y(74)*T1727-T205*T69*T78*T199*T102*params(29)*params(5)*y(74)*T1727)/(T69*T69);
  g1(35,8)=T78*y(69)*T2120;
  g1(35,10)=(-(y(73)*T2216));
  g1(35,12)=T2324+T2331+T78*y(69)*T436-y(73)*(T443+T2364)-exp((-y(19)))*y(82)*(-T102)-T78*exp((-y(37)))*y(13)*y(79)-T69*(T78*T102*params(5)*y(68)+T78*params(5)*y(68)*(-T102))/(y(13)*T69)+T69*(T78*T102*params(5)*y(68)+T78*params(5)*y(68)*(-T102))/(T69*params(3)*y(13))-T205*T69*(T78*T199*T102*params(29)*params(5)*y(74)+T78*T199*params(29)*params(5)*y(74)*(-T102))/T69;
  g1(35,13)=T2564+T2569+(-(y(73)*T2618))-T78*y(79)*exp((-y(37)))-(-(T69*T69*T78*T102*params(5)*y(68)))/(y(13)*T69*y(13)*T69)+(-(params(3)*T69*T69*T78*T102*params(5)*y(68)))/(T69*params(3)*y(13)*T69*params(3)*y(13))-T69*T78*T199*T102*params(29)*params(5)*y(74)*T2546/T69;
  g1(35,14)=T308-y(73)*T449;
  g1(35,15)=T297-T205*T69*T78*T199*T102*params(29)*params(5)*y(74)/T69;
  g1(35,19)=(-(T102*y(82)*(-exp((-y(19))))));
  g1(35,37)=(-(T78*y(13)*y(79)*(-exp((-y(37))))));
  g1(35,48)=(-(y(73)*T4074));
  g1(35,59)=(-params(3));
  g1(35,68)=T4244;
  g1(35,69)=T78*T436;
  g1(35,73)=T69*T78*T106*T102*params(5)*params(29)/(T115*params(3)*T69)-(T443+T449);
  g1(35,74)=T205*T69*T78*T199*T102*params(5)*params(29)/(params(3)*T69)-T952;
  g1(35,79)=(-(T78*y(13)*exp((-y(37)))));
  g1(35,82)=(-(T102*exp((-y(19)))));
  g1(36,12)=T78*exp((-y(37)))*y(13)*y(79);
  g1(36,13)=T78*y(79)*exp((-y(37)));
  g1(36,37)=T78*y(13)*y(79)*(-exp((-y(37))));
  g1(36,59)=1;
  g1(36,60)=(-params(3));
  g1(36,79)=T78*y(13)*exp((-y(37)));
  g1(37,60)=1;
  g1(38,7)=(-(y(73)*T1903));
  g1(38,10)=T81*y(77)-y(73)*T2231-T81*y(74)*(1+params(35)*exp(y(49)))/params(27)-T81*y(78)*params(7)*exp(y(47))-(T511+T81*params(30)*exp(y(17))*T81*getPowerDeriv(T81,params(25),1))/T261;
  g1(38,12)=(-(y(73)*T490));
  g1(38,17)=(-(T511/T261));
  g1(38,47)=(-(T81*y(78)*params(7)*exp(y(47))));
  g1(38,48)=(-(y(73)*T4086))-(-(T511*exp(y(48))*getPowerDeriv(exp(y(48)),params(25),1)))/(T261*T261);
  g1(38,49)=(-(T81*y(74)*params(35)*exp(y(49))/params(27)));
  g1(38,73)=(-T490);
  g1(38,74)=T2244;
  g1(38,77)=T81;
  g1(38,78)=(-(T81*params(7)*exp(y(47))));
  g1(39,21)=y(83)*T517-y(85)*T2907+T530*T517*params(12)*y(92)*params(47)*params(48)+T517*params(12)*y(92)*params(47)*params(48)*T2891-T2917+T2923-(y(27)*T554*(T530*T524*T517*T410*params(12)*params(13)*y(80)+T524*T517*T410*params(12)*params(13)*y(80)*T2891)-T530*T524*T517*T410*params(12)*params(13)*y(80)*y(27)*T2900)/(y(27)*T554*y(27)*T554)+(T622*(T554*T524*T517*T410*params(12)*params(13)*y(80)+T524*T517*T410*params(12)*params(13)*y(80)*T2900)-T554*T524*T517*T410*params(12)*params(13)*y(80)*params(3)*y(27)*T517*getPowerDeriv(T517,1+params(12),1))/(T622*T622)-(T554*T638*(T530*T634+T634*T2891)-T530*T634*T638*T2900)/(T554*T554)+(T644*T638*(T554*T634+T634*T2900)-T638*T554*T634*T2957)/(T644*T644)+(T560*T644*(T554*T524*T550*T517*T410*params(28)*params(12)*y(85)*params(13)+T524*T550*T517*T410*params(28)*params(12)*y(85)*params(13)*T2900)-T554*T524*T550*T517*T410*params(28)*params(12)*y(85)*params(13)*T560*T2957)/(T560*T644*T560*T644);
  g1(39,22)=T3249;
  g1(39,23)=(-T3304);
  g1(39,24)=(-(y(85)*T3351));
  g1(39,26)=T606+(-(y(85)*T3430))-T530*(T524*T517*T410*params(12)*params(13)*y(80)+T524*T517*params(12)*params(13)*y(80)*(-T410))/(y(27)*T554)+T554*(T524*T517*T410*params(12)*params(13)*y(80)+T524*T517*params(12)*params(13)*y(80)*(-T410))/T622-T638*T530*(T634+T524*T632*T517*params(28)*params(12)*params(13)*y(86)*(-T410))/T554+T638*T554*(T634+T524*T632*T517*params(28)*params(12)*params(13)*y(86)*(-T410))/T644+T554*(T524*T550*T517*T410*params(28)*params(12)*y(85)*params(13)+T524*T550*T517*params(28)*params(12)*y(85)*params(13)*(-T410))/(T560*T644);
  g1(39,27)=(-(y(85)*T3680))-(-(T554*T530*T524*T517*T410*params(12)*params(13)*y(80)))/(y(27)*T554*y(27)*T554)+(-(T554*T524*T517*T410*params(12)*params(13)*y(80)*T644))/(T622*T622)-T530*T634*T3692/T554+T554*T634*T3692/T644+(-(T554*T524*T550*T517*T410*params(28)*params(12)*y(85)*params(13)*T644*T3676))/(T560*T644*T560*T644);
  g1(39,28)=T656+(-(y(85)*T562));
  g1(39,29)=T638*T554*T634/T644+(-(T530*T634*T638/T554));
  g1(39,51)=(-(y(85)*T4147));
  g1(39,80)=T4347;
  g1(39,81)=T4359;
  g1(39,82)=(-T4367);
  g1(39,83)=T517;
  g1(39,85)=T4384;
  g1(39,86)=T4409;
  g1(39,92)=T530*T517*params(12)*params(47)*params(48);
  g1(40,21)=(-T2923);
  g1(40,22)=(-y(89))*exp(y(22))-(T676*(exp(y(22))*y(83)*T662*T667+exp(y(22))*y(83)*T662*exp(y(22))*getPowerDeriv(exp(y(22)),T665-1,1))+exp(y(22))*y(83)*T662*T667*T3258)-T3249;
  g1(40,23)=(-(exp(y(22))*y(83)*T662*T667*T3309));
  g1(40,26)=(-T606);
  g1(40,81)=(-T4359);
  g1(40,83)=(-(T676*T667*exp(y(22))*T662));
  g1(40,89)=(-exp(y(22)));
  g1(41,91)=1;
  g1(42,31)=y(88)*exp(y(31));
  g1(42,61)=(-params(3));
  g1(42,88)=exp(y(31));
  g1(43,27)=(-((-(params(28)*y(88)*exp(y(38))*T3676))/(T560*T560)));
  g1(43,38)=(-(params(28)*y(88)*exp(y(38))/T560));
  g1(43,61)=1;
  g1(43,62)=(-params(3));
  g1(43,88)=(-(params(28)*exp(y(38))/T560));
  g1(44,62)=1;
  g1(45,25)=y(90)*exp(y(25))-y(89)*exp(y(25));
  g1(45,89)=(-exp(y(25)));
  g1(45,90)=exp(y(25));
  g1(46,21)=(-T2981);
  g1(46,26)=(-T3472);
  g1(46,27)=(-T3710);
  g1(46,28)=T550*y(84)*exp((-y(29)));
  g1(46,29)=y(86)*T632+T550*y(84)*(-exp((-y(29))))-T721;
  g1(46,84)=T550*exp((-y(29)));
  g1(46,86)=T632-T638*T554*T524*T632*T410*params(13)*params(28)/(params(3)*T554);
  g1(47,21)=(-T2989);
  g1(47,26)=(-T3479);
  g1(47,27)=(-T3715);
  g1(47,28)=y(85)*T550-T550*y(84)*exp((-y(29)))-T732;
  g1(47,29)=(-(T550*y(84)*(-exp((-y(29))))));
  g1(47,84)=(-(T550*exp((-y(29)))));
  g1(47,85)=T550-T554*T524*T550*T410*params(13)*params(28)/(T560*params(3)*T554);
  g1(48,21)=T2917;
  g1(48,22)=(-(exp(y(23))*y(83)*T671*T737*T3258));
  g1(48,23)=T3304-(exp(y(23))*y(83)*T671*T737*T3309+T676*(exp(y(23))*y(83)*T671*T737+exp(y(23))*y(83)*T671*exp(y(23))*getPowerDeriv(exp(y(23)),T665-1,1)))-y(77)*exp(y(23))/params(33);
  g1(48,77)=(-(exp(y(23))/params(33)));
  g1(48,82)=T4367;
  g1(48,83)=(-(T676*T737*T671*exp(y(23))));
  g1(49,21)=(T766*T524*T410*params(13)*y(80)*T2900-T554*T524*T410*params(13)*y(80)*T2992)/(T766*T766)-(T789*(T636-1)*T524*T632*T410*params(28)*y(86)*params(13)*params(39)*T2900-T554*T524*T632*T410*params(28)*y(86)*params(13)*params(39)*(T636-1)*T556^T636*T2992)/(T789*T789)-(T775*T554*params(3)*T749*(1+params(26))*(1+params(24))*T524*T550*T410*params(28)*y(85)*params(13)*params(39)*T2900-(1+params(26))*(1+params(24))*T554*T524*T550*T410*params(28)*y(85)*params(13)*params(39)*T775*params(3)*T749*T2900)/(T775*T554*params(3)*T749*T775*T554*params(3)*T749);
  g1(49,26)=(-(T524*y(91)*exp((-y(40)))))+T554*(T524*T410*params(13)*y(80)+T524*params(13)*y(80)*(-T410))/T766-(T636-1)*T554*(T524*T632*T410*params(28)*y(86)*params(13)*params(39)+T524*T632*params(28)*y(86)*params(13)*params(39)*(-T410))/T789-(1+params(26))*(1+params(24))*T554*(T524*T550*T410*params(28)*y(85)*params(13)*params(39)+T524*T550*params(28)*y(85)*params(13)*params(39)*(-T410))/(T775*T554*params(3)*T749);
  g1(49,27)=(-(params(28)*params(39)*y(87)*(T752*params(26)*2*y(27)+T749*T3674*getPowerDeriv(T556,T751,1))))/(T753*T753)+(-(T554*T524*T410*params(13)*y(80)*T554*params(3)*2*y(27)))/(T766*T766)-(-((1+params(26))*(1+params(24))*exp(y(38))*params(28)*params(39)*y(88)*(T775*params(26)*2*y(27)+T749*T3674*getPowerDeriv(T556,1+T559,1))))/(T749*T775*T749*T775)-(-(T554*T524*T632*T410*params(28)*y(86)*params(13)*params(39)*(T636-1)*T3748))/(T789*T789)-(-((1+params(26))*(1+params(24))*T554*T524*T550*T410*params(28)*y(85)*params(13)*params(39)*T3757))/(T775*T554*params(3)*T749*T775*T554*params(3)*T749);
  g1(49,28)=(-T803);
  g1(49,29)=(-T790);
  g1(49,38)=(-T777);
  g1(49,40)=(-(T524*y(91)*(-exp((-y(40))))));
  g1(49,54)=(-1);
  g1(49,80)=T554*T524*T410*params(13)/T766;
  g1(49,85)=T4395;
  g1(49,86)=(-((T636-1)*T554*T524*T632*T410*params(28)*params(13)*params(39)/T789));
  g1(49,87)=params(28)*params(39)/T753;
  g1(49,88)=T4432;
  g1(49,91)=(-(T524*exp((-y(40)))));
  g1(50,30)=T813*(y(84)*T807*T811+y(84)*T807*T3937)+(y(87)*T807*(params(28)-1)*T819-y(87)*T807*(params(28)-1)*params(26)*T807*getPowerDeriv(T807,T751,1))/(T819*T819)-((params(28)-1)*(1+params(26))*(1+params(24))*y(88)*T807*T827-(params(28)-1)*(1+params(26))*(1+params(24))*y(88)*T807*params(26)*T807*getPowerDeriv(T807,1+T559,1))/(T827*T827);
  g1(50,84)=T813*T807*T811;
  g1(50,87)=T807*(params(28)-1)/T819;
  g1(50,88)=(-((params(28)-1)*(1+params(26))*(1+params(24))*T807/T827));
  g1(51,32)=(-((-(y(80)*2*(1+y(32))))/(T835*T835)));
  g1(51,63)=(-params(3));
  g1(51,80)=(-(1/T835));
  g1(52,63)=1;
  g1(52,64)=(-params(3));
  g1(53,64)=1;
  g1(54,19)=(-(y(70)*T410*exp(y(19))));
  g1(54,21)=T2981+T2989+T524*y(81)*T3019-y(85)*(T3024+T3029)-(y(27)*T554*T524*T410*params(13)*y(80)*T2900-T554*T524*T410*params(13)*y(80)*y(27)*T2900)/(y(27)*T554*y(27)*T554)+(T554*params(3)*y(27)*T524*T410*params(13)*y(80)*T2900-T554*T524*T410*params(13)*y(80)*params(3)*y(27)*T2900)/(T554*params(3)*y(27)*T554*params(3)*y(27))-(T554*T638*T524*T632*T410*params(28)*params(13)*y(86)*T2900-T638*T554*T524*T632*T410*params(28)*params(13)*y(86)*T2900)/(T554*T554);
  g1(54,22)=T524*y(81)*T3266;
  g1(54,24)=(-(y(85)*T3357));
  g1(54,26)=T3472+T3479+T524*y(81)*T845-y(85)*(T852+T3510)-exp(y(19))*y(70)*(-T410)-T524*exp((-y(40)))*y(27)*y(91)-T554*(T524*T410*params(13)*y(80)+T524*params(13)*y(80)*(-T410))/(y(27)*T554)+T554*(T524*T410*params(13)*y(80)+T524*params(13)*y(80)*(-T410))/(T554*params(3)*y(27))-T638*T554*(T524*T632*T410*params(28)*params(13)*y(86)+T524*T632*params(28)*params(13)*y(86)*(-T410))/T554;
  g1(54,27)=T3710+T3715+(-(y(85)*T3764))-T524*y(91)*exp((-y(40)))-(-(T554*T554*T524*T410*params(13)*y(80)))/(y(27)*T554*y(27)*T554)+(-(params(3)*T554*T554*T524*T410*params(13)*y(80)))/(T554*params(3)*y(27)*T554*params(3)*y(27))-T554*T524*T632*T410*params(28)*params(13)*y(86)*T3692/T554;
  g1(54,28)=T732-y(85)*T858;
  g1(54,29)=T721-T638*T554*T524*T632*T410*params(28)*params(13)*y(86)/T554;
  g1(54,40)=(-(T524*y(27)*y(91)*(-exp((-y(40))))));
  g1(54,51)=(-(y(85)*T4152));
  g1(54,65)=(-params(3));
  g1(54,70)=(-(T410*exp(y(19))));
  g1(54,80)=T4353;
  g1(54,81)=T524*T845;
  g1(54,85)=T554*T524*T550*T410*params(13)*params(28)/(T560*params(3)*T554)-(T852+T858);
  g1(54,86)=T638*T554*T524*T632*T410*params(13)*params(28)/(params(3)*T554)-T975;
  g1(54,91)=(-(T524*y(27)*exp((-y(40)))));
  g1(55,26)=T524*exp((-y(40)))*y(27)*y(91);
  g1(55,27)=T524*y(91)*exp((-y(40)));
  g1(55,40)=T524*y(27)*y(91)*(-exp((-y(40))));
  g1(55,65)=1;
  g1(55,66)=(-params(3));
  g1(55,91)=T524*y(27)*exp((-y(40)));
  g1(56,66)=1;
  g1(57,21)=(-(y(85)*T3056));
  g1(57,24)=y(89)*T527-y(85)*T3372-T527*y(86)*(1+params(40)*exp(y(52)))/params(26)-T527*y(90)*params(15)*exp(y(50));
  g1(57,26)=(-(y(85)*T899));
  g1(57,50)=(-(T527*y(90)*params(15)*exp(y(50))));
  g1(57,51)=(-(y(85)*T4164));
  g1(57,52)=(-(T527*y(86)*params(40)*exp(y(52))/params(26)));
  g1(57,85)=(-T899);
  g1(57,86)=T3379;
  g1(57,89)=T527;
  g1(57,90)=(-(T527*params(15)*exp(y(50))));
  g1(58,53)=1;
  g1(59,67)=1-params(5)/params(3);
  g1(60,7)=(-(y(67)*T1908+y(68)*T1915+y(73)*((-T1871)-T1876)+y(74)*T1928));
  g1(60,10)=(-(y(73)*(-T2216)+y(74)*T2244));
  g1(60,12)=(-(y(68)*(-(T69*(T78*params(5)*T102+T78*params(5)*(-T102))/(y(13)*T69)))+y(73)*((-T443)-T2364)+y(74)*T2396));
  g1(60,13)=(-(y(68)*(-((-(T69*T69*T78*params(5)*T102))/(y(13)*T69*y(13)*T69)))+y(73)*(-T2618)+y(74)*(-(T69*T78*T199*T102*params(5)*params(29)*T2546/T69))));
  g1(60,14)=(-(y(73)*(T106-T449)));
  g1(60,15)=(-(y(74)*(T199-T952)));
  g1(60,18)=(-(y(68)*T2845));
  g1(60,21)=(-(y(80)*T3064+y(85)*((-T3024)-T3029)+y(86)*T3076));
  g1(60,24)=(-(y(85)*(-T3357)+y(86)*T3379));
  g1(60,26)=(-(y(80)*(-(T554*(T524*T410*params(13)+T524*params(13)*(-T410))/(y(27)*T554)))+y(85)*((-T852)-T3510)+y(86)*T3542));
  g1(60,27)=(-(y(80)*(-((-(T554*T554*T524*T410*params(13)))/(y(27)*T554*y(27)*T554)))+y(85)*(-T3764)+y(86)*(-(T554*T524*T632*T410*params(13)*params(28)*T3692/T554))));
  g1(60,28)=(-(y(85)*(T550-T858)));
  g1(60,29)=(-(y(86)*(T632-T975)));
  g1(60,32)=(-(y(80)*T3991));
  g1(60,34)=(-(y(67)*(1-params(5))));
  g1(60,48)=(-(y(73)*(-T4074)));
  g1(60,49)=(-(y(74)*(-(T81*params(35)*exp(y(49))/params(27)))));
  g1(60,51)=(-(y(85)*(-T4152)));
  g1(60,52)=(-(y(86)*(-(T527*params(40)*exp(y(52))/params(26)))));
  g1(60,67)=(-T931);
  g1(60,68)=(-T938);
  g1(60,73)=(-(T106-T443-T449));
  g1(60,74)=(-T953);
  g1(60,80)=(-T961);
  g1(60,85)=(-(T550-T852-T858));
  g1(60,86)=(-T976);
  g1(60,135)=1;
  g1(61,7)=T67*y(111)-y(113)*T1749-(T69*T67*y(107)-T67*y(107)*T1727)/(T69*T69)-T1941-(T84*T67*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)*y(132)+T67*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)*y(132)*T1735)+T1948-(y(13)*T69*(T84*T78*T67*T102*params(4)*params(5)*y(108)+T78*T67*T102*params(4)*params(5)*y(108)*T1735)-T84*T78*T67*T102*params(4)*params(5)*y(108)*y(13)*T1727)/(y(13)*T69*y(13)*T69)+(T189*(T69*T78*T67*T102*params(4)*params(5)*y(108)+T78*T67*T102*params(4)*params(5)*y(108)*T1727)-T69*T78*T67*T102*params(4)*params(5)*y(108)*params(3)*y(13)*T67*getPowerDeriv(T67,1+params(4),1))/(T189*T189)-(T69*T205*(T84*T1032+T1032*T1735)-T205*T84*T1032*T1727)/(T69*T69)+(T211*T205*(T69*T1032+T1032*T1727)-T205*T69*T1032*T1803)/(T211*T211)+(T115*T211*(T69*T78*T106*T67*T102*params(29)*params(4)*params(5)*y(113)+T78*T106*T67*T102*params(29)*params(4)*params(5)*y(113)*T1727)-T69*T78*T106*T67*T102*params(29)*params(4)*params(5)*y(113)*T115*T1803)/(T115*T211*T115*T211);
  g1(61,8)=T2128;
  g1(61,9)=(-T2180);
  g1(61,10)=(-(y(113)*T2205));
  g1(61,12)=T1013+(-(y(113)*T2282))-T84*(T78*T67*T102*params(4)*params(5)*y(108)+T78*T67*params(4)*params(5)*y(108)*(-T102))/(y(13)*T69)+T69*(T78*T67*T102*params(4)*params(5)*y(108)+T78*T67*params(4)*params(5)*y(108)*(-T102))/T189-T205*T84*(T1032+T78*T199*T67*params(29)*params(4)*params(5)*y(114)*(-T102))/T69+T205*T69*(T1032+T78*T199*T67*params(29)*params(4)*params(5)*y(114)*(-T102))/T211+T69*(T78*T106*T67*T102*params(29)*params(4)*params(5)*y(113)+T78*T106*T67*params(29)*params(4)*params(5)*y(113)*(-T102))/(T115*T211);
  g1(61,13)=(-(y(113)*T2534))-(-(T69*T84*T78*T67*T102*params(4)*params(5)*y(108)))/(y(13)*T69*y(13)*T69)+(-(T211*T69*T78*T67*T102*params(4)*params(5)*y(108)))/(T189*T189)-T84*T1032*T2546/T69+T69*T1032*T2546/T211+(-(T69*T78*T106*T67*T102*params(29)*params(4)*params(5)*y(113)*T211*T2530))/(T115*T211*T115*T211);
  g1(61,14)=T69*T78*T106*T67*T102*params(29)*params(4)*params(5)*y(113)/(T115*T211)+(-(T117*y(113)));
  g1(61,15)=T205*T69*T1032/T211+(-(T205*T84*T1032/T69));
  g1(61,19)=(-(T84*T67*params(4)*params(51)*params(50)*params(49)*y(132)*(-exp((-y(19))))));
  g1(61,48)=(-(y(113)*(1+params(27))*T67*params(4)*params(30)*T78*T81*T84*T4058/params(27)));
  g1(61,107)=(-(T67/T69));
  g1(61,108)=T4238;
  g1(61,109)=T4250;
  g1(61,110)=(-T4256);
  g1(61,111)=T67;
  g1(61,113)=T4275;
  g1(61,114)=T4300;
  g1(61,132)=(-(T84*T67*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)));
  g1(62,7)=(-T1948);
  g1(62,8)=exp(y(8))*(-y(117))-(T235*exp(y(8))*T230*y(111)*T2112+T244*(T235*exp(y(8))*T230*y(111)+exp(y(8))*T230*y(111)*exp(y(8))*getPowerDeriv(exp(y(8)),T233-1,1)))-T2128;
  g1(62,9)=(-(T235*exp(y(8))*T230*y(111)*T2163));
  g1(62,12)=(-T1013);
  g1(62,109)=(-T4250);
  g1(62,111)=(-(T244*T235*exp(y(8))*T230));
  g1(62,117)=(-exp(y(8)));
  g1(63,119)=1;
  g1(64,17)=exp(y(17))*y(116);
  g1(64,95)=(-params(3));
  g1(64,116)=exp(y(17));
  g1(65,13)=(-((-(exp(y(35))*params(29)*y(116)*T2530))/(T115*T115)));
  g1(65,35)=(-(exp(y(35))*params(29)*y(116)/T115));
  g1(65,95)=1;
  g1(65,96)=(-params(3));
  g1(65,116)=(-(params(29)*exp(y(35))/T115));
  g1(66,96)=1;
  g1(67,11)=exp(y(11))*y(118)-exp(y(11))*y(117);
  g1(67,117)=(-exp(y(11)));
  g1(67,118)=exp(y(11));
  g1(68,7)=(-T1993);
  g1(68,12)=(-T2441);
  g1(68,13)=(-(T69*T78*T199*T102*params(29)*params(5)*y(114)*T2546/(params(3)*T69)));
  g1(68,14)=T106*exp((-y(15)))*y(112);
  g1(68,15)=T199*y(114)+T106*y(112)*(-exp((-y(15))))-T1095;
  g1(68,112)=T106*exp((-y(15)));
  g1(68,114)=T199-T205*T69*T78*T199*T102*params(5)*params(29)/(params(3)*T69);
  g1(69,7)=(-T1999);
  g1(69,12)=(-T2448);
  g1(69,13)=(-T2677);
  g1(69,14)=T106*y(113)-T106*exp((-y(15)))*y(112)-T1106;
  g1(69,15)=(-(T106*y(112)*(-exp((-y(15))))));
  g1(69,112)=(-(T106*exp((-y(15)))));
  g1(69,113)=T106-T69*T78*T106*T102*params(5)*params(29)/(T115*params(3)*T69);
  g1(70,7)=T1941;
  g1(70,8)=(-(T313*exp(y(9))*T239*y(111)*T2112));
  g1(70,9)=T2180-(T313*exp(y(9))*T239*y(111)*T2163+T244*(T313*exp(y(9))*T239*y(111)+exp(y(9))*T239*y(111)*exp(y(9))*getPowerDeriv(exp(y(9)),T233-1,1)))-exp(y(9))*params(33)*y(129);
  g1(70,110)=T4256;
  g1(70,111)=(-(T244*T313*T239*exp(y(9))));
  g1(70,129)=(-(exp(y(9))*params(33)));
  g1(71,7)=(T344*T78*T102*params(5)*y(108)*T1727-T69*T78*T102*params(5)*y(108)*T1838)/(T344*T344)-(T367*(T203-1)*T78*T199*T102*params(29)*params(5)*params(34)*y(114)*T1727-(T203-1)*T69*T78*T199*T102*params(29)*params(5)*params(34)*y(114)*T111^T203*T1838)/(T367*T367)-(T353*T69*params(3)*T327*(1+params(27))*(1+params(25))*T78*T106*T102*params(29)*params(5)*params(34)*y(113)*T1727-(1+params(27))*(1+params(25))*T69*T78*T106*T102*params(29)*params(5)*params(34)*y(113)*T353*params(3)*T327*T1727)/(T353*T69*params(3)*T327*T353*T69*params(3)*T327);
  g1(71,12)=(-(T78*exp((-y(37)))*y(119)))+T69*(T78*T102*params(5)*y(108)+T78*params(5)*y(108)*(-T102))/T344-(T203-1)*T69*(T78*T199*T102*params(29)*params(5)*params(34)*y(114)+T78*T199*params(29)*params(5)*params(34)*y(114)*(-T102))/T367-(1+params(27))*(1+params(25))*T69*(T78*T106*T102*params(29)*params(5)*params(34)*y(113)+T78*T106*params(29)*params(5)*params(34)*y(113)*(-T102))/(T353*T69*params(3)*T327);
  g1(71,13)=(-(params(29)*params(34)*y(115)*(T330*params(27)*2*y(13)+T327*T2528*getPowerDeriv(T111,T329,1))))/(T331*T331)+(-(T69*T78*T102*params(5)*y(108)*T69*params(3)*2*y(13)))/(T344*T344)-(-((1+params(27))*(1+params(25))*exp(y(35))*params(29)*params(34)*y(116)*(T353*params(27)*2*y(13)+T327*T2528*getPowerDeriv(T111,1+T114,1))))/(T327*T353*T327*T353)-(-((T203-1)*T69*T78*T199*T102*params(29)*params(5)*params(34)*y(114)*T2602))/(T367*T367)-(-((1+params(27))*(1+params(25))*T69*T78*T106*T102*params(29)*params(5)*params(34)*y(113)*T2611))/(T353*T69*params(3)*T327*T353*T69*params(3)*T327);
  g1(71,14)=(-T1158);
  g1(71,15)=(-((T203-1)*T69*T78*T199*T102*params(29)*params(5)*params(34)*y(114)/T367));
  g1(71,35)=(-T1139);
  g1(71,37)=(-(T78*y(119)*(-exp((-y(37))))));
  g1(71,93)=(-1);
  g1(71,108)=T69*T78*params(5)*T102/T344;
  g1(71,113)=T4286;
  g1(71,114)=(-((T203-1)*T69*T78*T199*T102*params(29)*params(5)*params(34)/T367));
  g1(71,115)=params(29)*params(34)/T331;
  g1(71,116)=T4323;
  g1(71,119)=(-(T78*exp((-y(37)))));
  g1(72,16)=T391*(T389*T385*y(112)+T385*y(112)*T2791)+(T397*(params(29)-1)*T385*y(115)-(params(29)-1)*T385*y(115)*params(27)*T385*getPowerDeriv(T385,T329,1))/(T397*T397)-(T405*(params(29)-1)*(1+params(27))*(1+params(25))*T385*y(116)-(params(29)-1)*(1+params(27))*(1+params(25))*T385*y(116)*params(27)*T385*getPowerDeriv(T385,1+T114,1))/(T405*T405);
  g1(72,112)=T391*T385*T389;
  g1(72,115)=T385*(params(29)-1)/T397;
  g1(72,116)=(-((params(29)-1)*(1+params(27))*(1+params(25))*T385/T405));
  g1(73,7)=exp((-y(19)))*params(51)*params(50)*params(49)*y(132)*T1727;
  g1(73,12)=(-(exp((-y(19)))*y(122)*(-T102)));
  g1(73,19)=exp(y(19))*T410*y(110)-T102*y(122)*(-exp((-y(19))))+T69*params(51)*params(50)*params(49)*y(132)*(-exp((-y(19))));
  g1(73,26)=exp(y(19))*y(110)*(-T410);
  g1(73,110)=T410*exp(y(19));
  g1(73,122)=(-(T102*exp((-y(19)))));
  g1(73,132)=T69*exp((-y(19)))*params(51)*params(50)*params(49);
  g1(74,18)=(-((-(y(108)*2*(1+y(18))))/(T426*T426)));
  g1(74,97)=(-params(3));
  g1(74,108)=(-(1/T426));
  g1(75,97)=1;
  g1(75,98)=(-params(3));
  g1(76,98)=1;
  g1(77,7)=T1993+T1999+T78*y(109)*T1866-y(113)*(T1871+T1876)-(y(13)*T69*T78*T102*params(5)*y(108)*T1727-T69*T78*T102*params(5)*y(108)*y(13)*T1727)/(y(13)*T69*y(13)*T69)+(T69*params(3)*y(13)*T78*T102*params(5)*y(108)*T1727-T69*T78*T102*params(5)*y(108)*params(3)*y(13)*T1727)/(T69*params(3)*y(13)*T69*params(3)*y(13))-(T69*T205*T78*T199*T102*params(29)*params(5)*y(114)*T1727-T205*T69*T78*T199*T102*params(29)*params(5)*y(114)*T1727)/(T69*T69);
  g1(77,8)=T78*y(109)*T2120;
  g1(77,10)=(-(y(113)*T2216));
  g1(77,12)=T2441+T2448+T436*T78*y(109)-y(113)*(T443+T2364)-exp((-y(19)))*y(122)*(-T102)-T78*exp((-y(37)))*y(13)*y(119)-T69*(T78*T102*params(5)*y(108)+T78*params(5)*y(108)*(-T102))/(y(13)*T69)+T69*(T78*T102*params(5)*y(108)+T78*params(5)*y(108)*(-T102))/(T69*params(3)*y(13))-T205*T69*(T78*T199*T102*params(29)*params(5)*y(114)+T78*T199*params(29)*params(5)*y(114)*(-T102))/T69;
  g1(77,13)=T69*T78*T199*T102*params(29)*params(5)*y(114)*T2546/(params(3)*T69)+T2677+(-(y(113)*T2618))-T78*exp((-y(37)))*y(119)-(-(T69*T69*T78*T102*params(5)*y(108)))/(y(13)*T69*y(13)*T69)+(-(params(3)*T69*T69*T78*T102*params(5)*y(108)))/(T69*params(3)*y(13)*T69*params(3)*y(13))-T69*T78*T199*T102*params(29)*params(5)*y(114)*T2546/T69;
  g1(77,14)=T1106-T449*y(113);
  g1(77,15)=T1095-T205*T69*T78*T199*T102*params(29)*params(5)*y(114)/T69;
  g1(77,19)=(-(T102*y(122)*(-exp((-y(19))))));
  g1(77,37)=(-(T78*y(13)*y(119)*(-exp((-y(37))))));
  g1(77,48)=(-(y(113)*T4074));
  g1(77,99)=(-params(3));
  g1(77,108)=T4244;
  g1(77,109)=T78*T436;
  g1(77,113)=T69*T78*T106*T102*params(5)*params(29)/(T115*params(3)*T69)-(T443+T449);
  g1(77,114)=T205*T69*T78*T199*T102*params(5)*params(29)/(params(3)*T69)-T952;
  g1(77,119)=(-(T78*y(13)*exp((-y(37)))));
  g1(77,122)=(-(T102*exp((-y(19)))));
  g1(78,12)=T78*exp((-y(37)))*y(13)*y(119);
  g1(78,13)=T78*exp((-y(37)))*y(119);
  g1(78,37)=T78*y(13)*y(119)*(-exp((-y(37))));
  g1(78,99)=1;
  g1(78,100)=(-params(3));
  g1(78,119)=T78*y(13)*exp((-y(37)));
  g1(79,100)=1;
  g1(80,7)=(-(y(113)*T1903));
  g1(80,10)=T81*y(117)-y(113)*T2231-(1+params(35)*exp(y(49)))*T81*y(114)/params(27)-T81*exp(y(47))*params(7)*y(118);
  g1(80,12)=(-(T490*y(113)));
  g1(80,47)=(-(T81*exp(y(47))*params(7)*y(118)));
  g1(80,48)=(-(y(113)*T4086));
  g1(80,49)=(-(params(35)*exp(y(49))*T81*y(114)/params(27)));
  g1(80,113)=(-T490);
  g1(80,114)=T2244;
  g1(80,117)=T81;
  g1(80,118)=(-(T81*params(7)*exp(y(47))));
  g1(81,21)=T517*y(123)+(T517*T554-T517*T2900)/(T554*T554)-y(125)*T2907+T530*T517*y(132)*params(12)*params(47)*params(48)+T517*y(132)*params(12)*params(47)*params(48)*T2891-T3092+T3096-(y(27)*T554*(T530*T524*T517*T410*params(12)*params(13)*y(120)+T524*T517*T410*params(12)*params(13)*y(120)*T2891)-T530*T524*T517*T410*params(12)*params(13)*y(120)*y(27)*T2900)/(y(27)*T554*y(27)*T554)+(T622*(T554*T524*T517*T410*params(12)*params(13)*y(120)+T524*T517*T410*params(12)*params(13)*y(120)*T2900)-T554*T524*T517*T410*params(12)*params(13)*y(120)*params(3)*y(27)*T517*getPowerDeriv(T517,1+params(12),1))/(T622*T622)-(T554*T638*(T530*T1282+T1282*T2891)-T638*T530*T1282*T2900)/(T554*T554)+(T644*T638*(T554*T1282+T1282*T2900)-T638*T554*T1282*T2957)/(T644*T644)+(T560*T644*(T554*T524*T550*T517*T410*params(28)*params(12)*params(13)*y(125)+T524*T550*T517*T410*params(28)*params(12)*params(13)*y(125)*T2900)-T554*T524*T550*T517*T410*params(28)*params(12)*params(13)*y(125)*T560*T2957)/(T560*T644*T560*T644);
  g1(81,22)=T3274;
  g1(81,23)=(-T3326);
  g1(81,24)=(-(y(125)*T3351));
  g1(81,26)=T1263+(-(y(125)*T3430))-T530*(T524*T517*T410*params(12)*params(13)*y(120)+T524*T517*params(12)*params(13)*y(120)*(-T410))/(y(27)*T554)+T554*(T524*T517*T410*params(12)*params(13)*y(120)+T524*T517*params(12)*params(13)*y(120)*(-T410))/T622-T638*T530*(T1282+T524*T632*T517*params(28)*params(12)*params(13)*y(126)*(-T410))/T554+T638*T554*(T1282+T524*T632*T517*params(28)*params(12)*params(13)*y(126)*(-T410))/T644+T554*(T524*T550*T517*T410*params(28)*params(12)*params(13)*y(125)+T524*T550*T517*params(28)*params(12)*params(13)*y(125)*(-T410))/(T560*T644);
  g1(81,27)=(-(y(125)*T3680))-(-(T554*T530*T524*T517*T410*params(12)*params(13)*y(120)))/(y(27)*T554*y(27)*T554)+(-(T644*T554*T524*T517*T410*params(12)*params(13)*y(120)))/(T622*T622)-T530*T1282*T3692/T554+T554*T1282*T3692/T644+(-(T554*T524*T550*T517*T410*params(28)*params(12)*params(13)*y(125)*T644*T3676))/(T560*T644*T560*T644);
  g1(81,28)=T554*T524*T550*T517*T410*params(28)*params(12)*params(13)*y(125)/(T560*T644)+(-(T562*y(125)));
  g1(81,29)=T638*T554*T1282/T644+(-(T638*T530*T1282/T554));
  g1(81,51)=(-(y(125)*T4147));
  g1(81,120)=T4347;
  g1(81,121)=T4359;
  g1(81,122)=(-T4367);
  g1(81,123)=T517;
  g1(81,125)=T4384;
  g1(81,126)=T4409;
  g1(81,132)=T530*T517*params(12)*params(47)*params(48);
  g1(82,21)=(-T3096);
  g1(82,22)=exp(y(22))*(-y(129))-(T667*exp(y(22))*T662*y(123)*T3258+T676*(T667*exp(y(22))*T662*y(123)+exp(y(22))*T662*y(123)*exp(y(22))*getPowerDeriv(exp(y(22)),T665-1,1)))-T3274;
  g1(82,23)=(-(T667*exp(y(22))*T662*y(123)*T3309));
  g1(82,26)=(-T1263);
  g1(82,121)=(-T4359);
  g1(82,123)=(-(T676*T667*exp(y(22))*T662));
  g1(82,129)=(-exp(y(22)));
  g1(83,131)=1;
  g1(84,24)=(-(params(36)*exp(y(31))*T527*getPowerDeriv(T527,1+params(24),1)/T1322));
  g1(84,31)=exp(y(31))*y(128)-T1323;
  g1(84,51)=(-((-(params(36)*exp(y(31))*T1318*(1+params(24))*exp(y(51))*getPowerDeriv(exp(y(51)),params(24),1)))/(T1322*T1322)));
  g1(84,101)=(-params(3));
  g1(84,128)=exp(y(31));
  g1(85,27)=(-((-(exp(y(38))*params(28)*y(128)*T3676))/(T560*T560)));
  g1(85,38)=(-(exp(y(38))*params(28)*y(128)/T560));
  g1(85,101)=1;
  g1(85,102)=(-params(3));
  g1(85,128)=(-(params(28)*exp(y(38))/T560));
  g1(86,102)=1;
  g1(87,25)=exp(y(25))*y(130)-exp(y(25))*y(129);
  g1(87,129)=(-exp(y(25)));
  g1(87,130)=exp(y(25));
  g1(88,21)=(-T3141);
  g1(88,26)=(-T3589);
  g1(88,27)=(-(T554*T524*T632*T410*params(28)*params(13)*y(126)*T3692/(params(3)*T554)));
  g1(88,28)=T550*exp((-y(29)))*y(124);
  g1(88,29)=T632*y(126)+T550*y(124)*(-exp((-y(29))))-T1352;
  g1(88,124)=T550*exp((-y(29)));
  g1(88,126)=T632-T638*T554*T524*T632*T410*params(13)*params(28)/(params(3)*T554);
  g1(89,21)=(-T3147);
  g1(89,26)=(-T3596);
  g1(89,27)=(-T3823);
  g1(89,28)=T550*y(125)-T550*exp((-y(29)))*y(124)-T1363;
  g1(89,29)=(-(T550*y(124)*(-exp((-y(29))))));
  g1(89,124)=(-(T550*exp((-y(29)))));
  g1(89,125)=T550-T554*T524*T550*T410*params(13)*params(28)/(T560*params(3)*T554);
  g1(90,21)=T3092;
  g1(90,22)=(-(T737*exp(y(23))*T671*y(123)*T3258));
  g1(90,23)=T3326-(T737*exp(y(23))*T671*y(123)*T3309+T676*(T737*exp(y(23))*T671*y(123)+exp(y(23))*T671*y(123)*exp(y(23))*getPowerDeriv(exp(y(23)),T665-1,1)))-exp(y(23))*y(117)/params(33);
  g1(90,117)=(-(exp(y(23))/params(33)));
  g1(90,122)=T4367;
  g1(90,123)=(-(T676*T737*T671*exp(y(23))));
  g1(91,21)=(T766*T524*T410*params(13)*y(120)*T2900-T554*T524*T410*params(13)*y(120)*T2992)/(T766*T766)-(T789*(T636-1)*T524*T632*T410*params(28)*params(13)*params(39)*y(126)*T2900-(T636-1)*T554*T524*T632*T410*params(28)*params(13)*params(39)*y(126)*T556^T636*T2992)/(T789*T789)-(T775*T554*params(3)*T749*(1+params(26))*(1+params(24))*T524*T550*T410*params(28)*params(13)*params(39)*y(125)*T2900-(1+params(26))*(1+params(24))*T554*T524*T550*T410*params(28)*params(13)*params(39)*y(125)*T775*params(3)*T749*T2900)/(T775*T554*params(3)*T749*T775*T554*params(3)*T749);
  g1(91,26)=(-(T524*exp((-y(40)))*y(131)))+T554*(T524*T410*params(13)*y(120)+T524*params(13)*y(120)*(-T410))/T766-(T636-1)*T554*(T524*T632*T410*params(28)*params(13)*params(39)*y(126)+T524*T632*params(28)*params(13)*params(39)*y(126)*(-T410))/T789-(1+params(26))*(1+params(24))*T554*(T524*T550*T410*params(28)*params(13)*params(39)*y(125)+T524*T550*params(28)*params(13)*params(39)*y(125)*(-T410))/(T775*T554*params(3)*T749);
  g1(91,27)=(-(params(28)*params(39)*y(127)*(T752*params(26)*2*y(27)+T749*T3674*getPowerDeriv(T556,T751,1))))/(T753*T753)+(-(T554*T524*T410*params(13)*y(120)*T554*params(3)*2*y(27)))/(T766*T766)-(-((1+params(26))*(1+params(24))*exp(y(38))*params(28)*params(39)*y(128)*(T775*params(26)*2*y(27)+T749*T3674*getPowerDeriv(T556,1+T559,1))))/(T749*T775*T749*T775)-(-((T636-1)*T554*T524*T632*T410*params(28)*params(13)*params(39)*y(126)*T3748))/(T789*T789)-(-((1+params(26))*(1+params(24))*T554*T524*T550*T410*params(28)*params(13)*params(39)*y(125)*T3757))/(T775*T554*params(3)*T749*T775*T554*params(3)*T749);
  g1(91,28)=(-T1414);
  g1(91,29)=(-((T636-1)*T554*T524*T632*T410*params(28)*params(13)*params(39)*y(126)/T789));
  g1(91,38)=(-T1395);
  g1(91,40)=(-(T524*y(131)*(-exp((-y(40))))));
  g1(91,94)=(-1);
  g1(91,120)=T554*T524*T410*params(13)/T766;
  g1(91,125)=T4395;
  g1(91,126)=(-((T636-1)*T554*T524*T632*T410*params(28)*params(13)*params(39)/T789));
  g1(91,127)=params(28)*params(39)/T753;
  g1(91,128)=T4432;
  g1(91,131)=(-(T524*exp((-y(40)))));
  g1(92,30)=T813*(T811*T807*y(124)+T807*y(124)*T3937)+(T819*(params(28)-1)*T807*y(127)-(params(28)-1)*T807*y(127)*params(26)*T807*getPowerDeriv(T807,T751,1))/(T819*T819)-(T827*(params(28)-1)*(1+params(26))*(1+params(24))*T807*y(128)-(params(28)-1)*(1+params(26))*(1+params(24))*T807*y(128)*params(26)*T807*getPowerDeriv(T807,1+T559,1))/(T827*T827);
  g1(92,124)=T813*T807*T811;
  g1(92,127)=T807*(params(28)-1)/T819;
  g1(92,128)=(-((params(28)-1)*(1+params(26))*(1+params(24))*T807/T827));
  g1(93,32)=(-((-(y(120)*2*(1+y(32))))/(T835*T835)));
  g1(93,103)=(-params(3));
  g1(93,120)=(-(1/T835));
  g1(94,103)=1;
  g1(94,104)=(-params(3));
  g1(95,104)=1;
  g1(96,19)=(-(exp(y(19))*T410*y(110)));
  g1(96,21)=T3141+T3147+T524*y(121)*T3019-y(125)*(T3024+T3029)-(y(27)*T554*T524*T410*params(13)*y(120)*T2900-T554*T524*T410*params(13)*y(120)*y(27)*T2900)/(y(27)*T554*y(27)*T554)+(T554*params(3)*y(27)*T524*T410*params(13)*y(120)*T2900-T554*T524*T410*params(13)*y(120)*params(3)*y(27)*T2900)/(T554*params(3)*y(27)*T554*params(3)*y(27))-(T554*T638*T524*T632*T410*params(28)*params(13)*y(126)*T2900-T638*T554*T524*T632*T410*params(28)*params(13)*y(126)*T2900)/(T554*T554);
  g1(96,22)=T524*y(121)*T3266;
  g1(96,24)=(-(y(125)*T3357));
  g1(96,26)=T3589+T3596+T845*T524*y(121)-y(125)*(T852+T3510)-exp(y(19))*y(110)*(-T410)-T524*exp((-y(40)))*y(27)*y(131)-T554*(T524*T410*params(13)*y(120)+T524*params(13)*y(120)*(-T410))/(y(27)*T554)+T554*(T524*T410*params(13)*y(120)+T524*params(13)*y(120)*(-T410))/(T554*params(3)*y(27))-T638*T554*(T524*T632*T410*params(28)*params(13)*y(126)+T524*T632*params(28)*params(13)*y(126)*(-T410))/T554;
  g1(96,27)=T554*T524*T632*T410*params(28)*params(13)*y(126)*T3692/(params(3)*T554)+T3823+(-(y(125)*T3764))-T524*exp((-y(40)))*y(131)-(-(T554*T554*T524*T410*params(13)*y(120)))/(y(27)*T554*y(27)*T554)+(-(params(3)*T554*T554*T524*T410*params(13)*y(120)))/(T554*params(3)*y(27)*T554*params(3)*y(27))-T554*T524*T632*T410*params(28)*params(13)*y(126)*T3692/T554;
  g1(96,28)=T1363-T858*y(125);
  g1(96,29)=T1352-T638*T554*T524*T632*T410*params(28)*params(13)*y(126)/T554;
  g1(96,40)=(-(T524*y(27)*y(131)*(-exp((-y(40))))));
  g1(96,51)=(-(y(125)*T4152));
  g1(96,105)=(-params(3));
  g1(96,110)=(-(T410*exp(y(19))));
  g1(96,120)=T4353;
  g1(96,121)=T524*T845;
  g1(96,125)=T554*T524*T550*T410*params(13)*params(28)/(T560*params(3)*T554)-(T852+T858);
  g1(96,126)=T638*T554*T524*T632*T410*params(13)*params(28)/(params(3)*T554)-T975;
  g1(96,131)=(-(T524*y(27)*exp((-y(40)))));
  g1(97,26)=T524*exp((-y(40)))*y(27)*y(131);
  g1(97,27)=T524*exp((-y(40)))*y(131);
  g1(97,40)=T524*y(27)*y(131)*(-exp((-y(40))));
  g1(97,105)=1;
  g1(97,106)=(-params(3));
  g1(97,131)=T524*y(27)*exp((-y(40)));
  g1(98,106)=1;
  g1(99,21)=(-(y(125)*T3056));
  g1(99,24)=T527*y(129)-y(125)*T3372-(1+params(40)*exp(y(52)))*T527*y(126)/params(26)-T527*exp(y(50))*params(15)*y(130)-(T1482+T527*params(36)*exp(y(31))*T527*getPowerDeriv(T527,params(24),1))/T1321;
  g1(99,26)=(-(T899*y(125)));
  g1(99,31)=(-T1483);
  g1(99,50)=(-(T527*exp(y(50))*params(15)*y(130)));
  g1(99,51)=(-(y(125)*T4164))-(-(T1482*exp(y(51))*getPowerDeriv(exp(y(51)),params(24),1)))/(T1321*T1321);
  g1(99,52)=(-(params(40)*exp(y(52))*T527*y(126)/params(26)));
  g1(99,125)=(-T899);
  g1(99,126)=T3379;
  g1(99,129)=T527;
  g1(99,130)=(-(T527*params(15)*exp(y(50))));
  g1(100,94)=1;
  g1(101,107)=1-params(5)/params(3);
  g1(102,7)=(-(y(107)*T1908+y(108)*T1915+y(113)*((-T1871)-T1876)+y(114)*T1928));
  g1(102,10)=(-(y(113)*(-T2216)+y(114)*T2244));
  g1(102,12)=(-(y(108)*(-(T69*(T78*params(5)*T102+T78*params(5)*(-T102))/(y(13)*T69)))+y(113)*((-T443)-T2364)+y(114)*T2396));
  g1(102,13)=(-(y(108)*(-((-(T69*T69*T78*params(5)*T102))/(y(13)*T69*y(13)*T69)))+y(113)*(-T2618)+y(114)*(-(T69*T78*T199*T102*params(5)*params(29)*T2546/T69))));
  g1(102,14)=(-(y(113)*(T106-T449)));
  g1(102,15)=(-(y(114)*(T199-T952)));
  g1(102,18)=(-(y(108)*T2845));
  g1(102,21)=(-(y(120)*T3064+y(125)*((-T3024)-T3029)+y(126)*T3076));
  g1(102,24)=(-(y(125)*(-T3357)+y(126)*T3379));
  g1(102,26)=(-(y(120)*(-(T554*(T524*T410*params(13)+T524*params(13)*(-T410))/(y(27)*T554)))+y(125)*((-T852)-T3510)+y(126)*T3542));
  g1(102,27)=(-(y(120)*(-((-(T554*T554*T524*T410*params(13)))/(y(27)*T554*y(27)*T554)))+y(125)*(-T3764)+y(126)*(-(T554*T524*T632*T410*params(13)*params(28)*T3692/T554))));
  g1(102,28)=(-(y(125)*(T550-T858)));
  g1(102,29)=(-(y(126)*(T632-T975)));
  g1(102,32)=(-(y(120)*T3991));
  g1(102,34)=(-(y(107)*(1-params(5))));
  g1(102,48)=(-(y(113)*(-T4074)));
  g1(102,49)=(-(y(114)*(-(T81*params(35)*exp(y(49))/params(27)))));
  g1(102,51)=(-(y(125)*(-T4152)));
  g1(102,52)=(-(y(126)*(-(T527*params(40)*exp(y(52))/params(26)))));
  g1(102,107)=(-T931);
  g1(102,108)=(-T938);
  g1(102,113)=(-(T106-T443-T449));
  g1(102,114)=(-T953);
  g1(102,120)=(-T961);
  g1(102,125)=(-(T550-T852-T858));
  g1(102,126)=(-T976);
  g1(102,136)=1;
  g1(103,7)=T2053;
  g1(103,34)=1-params(5);
  g1(104,7)=(-((T1511*params(5)*T2056-params(5)*T1511*T2056)/(T1511*T1511)/y(13)));
  g1(104,12)=(-((T1511*params(5)*T2498-params(5)*T1511*T2498)/(T1511*T1511)/y(13)));
  g1(104,13)=(-((-(params(5)*T1511/T1511))/(y(13)*y(13))));
  g1(104,18)=T2845;
  g1(105,7)=T78*T1517*getPowerDeriv(T1517,T138,1);
  g1(105,8)=T78*getPowerDeriv(T1517,T138,1)*(-(exp(y(8))*T67*params(31)))/(exp(y(8))*exp(y(8)));
  g1(105,12)=T78*T1517^T138;
  g1(106,7)=(-(T1523*getPowerDeriv(T1523,T138,1)));
  g1(106,9)=(-(getPowerDeriv(T1523,T138,1)*(-(exp(y(9))*T67*params(32)))/(exp(y(9))*exp(y(9)))));
  g1(106,19)=exp(y(19))/T524;
  g1(106,26)=(-(exp(y(19))*T524))/(T524*T524);
  g1(107,7)=T67;
  g1(107,8)=(-(T230*exp(y(8))*getPowerDeriv(exp(y(8)),T233,1)*getPowerDeriv(T243,1+params(6),1)));
  g1(107,9)=(-(getPowerDeriv(T243,1+params(6),1)*T239*exp(y(9))*getPowerDeriv(exp(y(9)),T233,1)));
  g1(108,14)=(-(T106/T199));
  g1(108,15)=(-((-(T106*T199))/(T199*T199)));
  g1(108,16)=T385*getPowerDeriv(T385,1+params(25)*T203,1);
  g1(109,7)=(-(T81*(-(T1536*T2056))/(T1511*T1511)+T106*T1544*(T1511*params(5)*params(29)*T2056-params(5)*params(29)*T1511*T2056)/(T1511*T1511)));
  g1(109,10)=(-(T81*T1536/T1511+T81*params(30)*T203*T81/exp(y(48))*T2260/T1511));
  g1(109,12)=(-(T81*(-(T1536*T2498))/(T1511*T1511)+T106*T1544*(T1511*params(5)*params(29)*T2498-params(5)*params(29)*T1511*T2498)/(T1511*T1511)));
  g1(109,13)=(-(T106*T1540*T2528*getPowerDeriv(T111,T1543,1)));
  g1(109,14)=T106-T106*T1540*T1544;
  g1(109,48)=(-(T81*params(30)*T203*T2260*(-(T81*exp(y(48))))/(exp(y(48))*exp(y(48)))/T1511));
  g1(110,7)=(-(T199*T205*(T1511*params(5)*params(29)*T2056-params(5)*params(29)*T1511*T2056)/(T1511*T1511)));
  g1(110,10)=(-(T81*(1+params(35)*exp(y(49)))/params(27)));
  g1(110,12)=(-(T199*T205*(T1511*params(5)*params(29)*T2498-params(5)*params(29)*T1511*T2498)/(T1511*T1511)));
  g1(110,13)=(-(T199*T1540*T2546));
  g1(110,15)=T199-T199*T205*T1540;
  g1(110,49)=(-(T81*params(35)*exp(y(49))/params(27)));
  g1(111,13)=params(29)*T2528*getPowerDeriv(T111,T1556,1);
  g1(111,16)=(1-params(29))*T385*getPowerDeriv(T385,T1556,1);
  g1(112,13)=(-(exp(y(35))*params(29)*T2528*getPowerDeriv(T111,T1543,1)));
  g1(112,16)=(-((1-params(29))*T385*getPowerDeriv(T385,T1543,1)));
  g1(112,17)=exp(y(17));
  g1(112,35)=(-(exp(y(35))*params(29)*T1544));
  g1(113,8)=(-exp(y(8)));
  g1(113,10)=T81;
  g1(113,11)=(-exp(y(11)));
  g1(113,23)=(-(exp(y(23))*1/params(33)));
  g1(114,10)=(-(exp(y(47))*T81*params(7)));
  g1(114,11)=exp(y(11));
  g1(114,47)=(-(exp(y(47))*T81*params(7)));
  g1(115,12)=(-(y(13)*T78/exp(y(37))));
  g1(115,13)=(-(T78/exp(y(37))));
  g1(115,20)=1;
  g1(115,37)=(-(y(13)*(-(T78*exp(y(37))))/(exp(y(37))*exp(y(37)))));
  g1(116,21)=(-((T1584*params(13)*T3199-params(13)*T1584*T3199)/(T1584*T1584)/y(27)));
  g1(116,26)=(-((T1584*params(13)*T3647-params(13)*T1584*T3647)/(T1584*T1584)/y(27)));
  g1(116,27)=(-((-(params(13)*T1584/T1584))/(y(27)*y(27))));
  g1(116,32)=T3991;
  g1(117,21)=T524*T1590*getPowerDeriv(T1590,T586,1);
  g1(117,22)=T524*getPowerDeriv(T1590,T586,1)*(-(exp(y(22))*T517*params(37)))/(exp(y(22))*exp(y(22)));
  g1(117,26)=T524*T1590^T586;
  g1(118,12)=(-(T78*1/exp(y(19))))/(T78*T78);
  g1(118,19)=(-exp(y(19)))/(exp(y(19))*exp(y(19)))/T78;
  g1(118,21)=(-(T1597*getPowerDeriv(T1597,T586,1)));
  g1(118,23)=(-(getPowerDeriv(T1597,T586,1)*(-(exp(y(23))*T517*params(38)))/(exp(y(23))*exp(y(23)))));
  g1(119,21)=T517;
  g1(119,22)=(-(T662*exp(y(22))*getPowerDeriv(exp(y(22)),T665,1)*getPowerDeriv(T675,1+params(14),1)));
  g1(119,23)=(-(getPowerDeriv(T675,1+params(14),1)*T671*exp(y(23))*getPowerDeriv(exp(y(23)),T665,1)));
  g1(120,28)=(-(T550/T632));
  g1(120,29)=(-((-(T550*T632))/(T632*T632)));
  g1(120,30)=T807*getPowerDeriv(T807,1+params(24)*T636,1);
  g1(121,21)=(-(T527*(-(T1610*T3199))/(T1584*T1584)+T550*T1618*(T1584*params(13)*params(28)*T3199-params(13)*params(28)*T1584*T3199)/(T1584*T1584)));
  g1(121,24)=(-(T527*T1610/T1584+T527*params(36)*T636*T527/exp(y(51))*T3406/T1584));
  g1(121,26)=(-(T527*(-(T1610*T3647))/(T1584*T1584)+T550*T1618*(T1584*params(13)*params(28)*T3647-params(13)*params(28)*T1584*T3647)/(T1584*T1584)));
  g1(121,27)=(-(T550*T1614*T3674*getPowerDeriv(T556,T1617,1)));
  g1(121,28)=T550-T550*T1614*T1618;
  g1(121,51)=(-(T527*params(36)*T636*T3406*(-(T527*exp(y(51))))/(exp(y(51))*exp(y(51)))/T1584));
  g1(122,21)=(-(T632*T638*(T1584*params(13)*params(28)*T3199-params(13)*params(28)*T1584*T3199)/(T1584*T1584)));
  g1(122,24)=(-(T527*(1+params(40)*exp(y(52)))/params(26)));
  g1(122,26)=(-(T632*T638*(T1584*params(13)*params(28)*T3647-params(13)*params(28)*T1584*T3647)/(T1584*T1584)));
  g1(122,27)=(-(T632*T1614*T3692));
  g1(122,29)=T632-T632*T638*T1614;
  g1(122,52)=(-(T527*params(40)*exp(y(52))/params(26)));
  g1(123,27)=params(28)*T3674*getPowerDeriv(T556,T1630,1);
  g1(123,30)=(1-params(28))*T807*getPowerDeriv(T807,T1630,1);
  g1(124,27)=(-(exp(y(38))*params(28)*T3674*getPowerDeriv(T556,T1617,1)));
  g1(124,30)=(-((1-params(28))*T807*getPowerDeriv(T807,T1617,1)));
  g1(124,31)=exp(y(31));
  g1(124,38)=(-(exp(y(38))*params(28)*T1618));
  g1(125,9)=(-(exp(y(9))*params(33)));
  g1(125,22)=(-exp(y(22)));
  g1(125,24)=T527;
  g1(125,25)=(-exp(y(25)));
  g1(126,24)=(-(exp(y(50))*T527*params(15)));
  g1(126,25)=exp(y(25));
  g1(126,50)=(-(exp(y(50))*T527*params(15)));
  g1(127,26)=(-(y(27)*T524/exp(y(40))));
  g1(127,27)=(-(T524/exp(y(40))));
  g1(127,33)=1;
  g1(127,40)=(-(y(27)*(-(T524*exp(y(40))))/(exp(y(40))*exp(y(40)))));
  g1(128,7)=(-(params(51)*(-(params(50)*params(49)/exp(y(19))*T67*getPowerDeriv(T67,(-params(4)),1)))/(T1510*T1510)));
  g1(128,19)=(-(params(51)*params(50)*(-(params(49)*exp(y(19))))/(exp(y(19))*exp(y(19)))/T1510));
  g1(128,21)=params(48)*(-(params(47)*T517*getPowerDeriv(T517,(-params(12)),1)))/(T1583*T1583);
  g1(129,5)=1;
  g1(129,7)=T2053;
  g1(129,10)=exp(y(17))*params(30)*exp(y(48))^(-params(25))*T81*getPowerDeriv(T81,1+params(25),1)/(1+params(25));
  g1(129,17)=T1667;
  g1(129,48)=exp(y(17))*T258*params(30)*exp(y(48))*getPowerDeriv(exp(y(48)),(-params(25)),1)/(1+params(25));
  g1(130,6)=1;
  g1(130,21)=(-(T517*getPowerDeriv(T517,1-params(12),1)/(1-params(12))));
  g1(130,24)=exp(y(31))*params(36)*exp(y(51))^(-params(24))*T527*getPowerDeriv(T527,1+params(24),1)/(1+params(24));
  g1(130,31)=T1678;
  g1(130,51)=exp(y(31))*T1318*params(36)*exp(y(51))*getPowerDeriv(exp(y(51)),(-params(24)),1)/(1+params(24));
  g1(131,47)=1-params(8);
  g1(132,48)=1-params(10);
  g1(133,49)=1-params(22);
  g1(134,50)=1-params(16);
  g1(135,51)=1-params(18);
  g1(136,52)=1-params(20);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],136,18496);
end
end
