function [residual, g1, g2] = BBCDLmodelcomp_nash_c1ngdp_c2dnxf_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Inputs : 
%   y         [M_.endo_nbr by 1] double    vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1] double     vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1] double   vector of parameter values in declaration order
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the static model equations 
%                                          in order of declaration of the equations
%   g1        [M_.endo_nbr by M_.endo_nbr] double    Jacobian matrix of the static model equations;
%                                                    columns: equations in order of declaration
%                                                    rows: variables in declaration order
%   g2        [M_.endo_nbr by (M_.endo_nbr)^2] double   Hessian matrix of the static model equations;
%                                                       columns: equations in order of declaration
%                                                       rows: variables in declaration order
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 161, 1);

%
% Model equations
%

T78 = exp(y(7));
T80 = T78^params(4);
T89 = exp(y(12));
T91 = exp(y(10));
T94 = T78^(params(4)-1);
T101 = (T91*exp((-y(57))))^params(25);
T106 = T78*params(4)*params(30)*T89*T91*T94*T101*(1+params(27))/params(27);
T112 = exp((-y(12)));
T116 = exp(y(14));
T122 = params(34)/y(13);
T125 = (1+params(27))*(1+params(25))/params(27);
T126 = T122^T125;
T128 = T94*T89*T78*params(4)*params(5)*params(29)*T112*T116/(T80*T126);
T129 = T106+T128;
T149 = params(6)/(1+params(6));
T151 = (T78*params(32)*exp((-y(9))))^(T149-1);
T153 = T78*params(32)*y(81)*params(6)*exp((-y(9)))*T151/(1+params(6));
T181 = (T78*params(31)*exp((-y(8))))^(T149-1);
T183 = T89*T78*params(6)*params(31)*y(80)*exp((-y(8)))*T181/(1+params(6));
T199 = params(3)*y(13)*T78^(1+params(4));
T209 = exp(y(15));
T211 = T89*T78*T112*params(29)*params(4)*params(5)*y(85)*T209;
T213 = (1+params(27))/params(27);
T215 = T122^(1-T213);
T221 = params(3)*T78^(1+params(4));
T233 = T80*T89*T116*T78*T112*params(29)*params(4)*y(84)*params(5)/(T126*T221);
T240 = params(31)^T149;
T243 = 1/(1+params(6));
T245 = exp(y(8))^(T243-1);
T249 = params(32)^T149;
T253 = T240*exp(y(8))^T243+T249*exp(y(9))^T243;
T254 = T253^params(6);
T274 = y(20)^2;
T285 = T91^(1+params(25));
T288 = exp(y(57))^params(25);
T289 = (1+params(25))*T288;
T290 = params(30)*exp(y(17))*T285/T289;
T323 = T215*T80*T89*T209*T112*params(29)*params(5)*y(85)/(params(3)*T80);
T334 = T80*T89*T116*T112*params(29)*y(84)*params(5)/(T126*params(3)*T80);
T339 = exp(y(9))^(T243-1);
T379 = params(27)*y(13)^2;
T381 = 1+1/params(27);
T382 = T122^T381;
T383 = T379*T382;
T399 = T80*params(3)*y(13)^2;
T408 = T122^(1+T125);
T410 = (1+params(27))*(1+params(25))*exp(y(42))*params(29)*params(34)*y(87)/(T379*T408);
T422 = T399*T122^T213;
T423 = T80*T89*T209*T112*params(29)*y(85)*params(5)*params(34)*(T213-1)/T422;
T436 = (1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*y(84)*params(5)*params(34)/(T408*T80*params(3)*T379);
T440 = exp(y(16));
T444 = T440^(params(25)*(1+params(27))/params(27));
T446 = 1+params(25)*(1+params(27))/params(27);
T452 = params(27)*T440^T381;
T460 = params(27)*T440^(1+T125);
T465 = exp(y(19));
T475 = exp((-y(29)));
T494 = (1+y(18))^2;
T500 = (T78*params(31)*exp((-y(8))))^T149;
T507 = (1+params(27))*T101*T80*T91*params(30)*T89/params(27);
T513 = T80*T89*T116*T112*params(5)*params(29)/(T80*T126);
T514 = T507+T513;
T546 = (T91*exp((-y(57))))^(params(25)-1);
T550 = T507+(1+params(27))*T80*T89*exp((-y(57)))*params(30)*params(25)*exp(2*y(10))*T546/params(27);
T578 = T91*params(30)*exp(y(17))*T91^params(25);
T579 = T578/T288;
T586 = exp(y(24));
T593 = exp(y(29));
T595 = exp(y(27));
T598 = T586^(params(12)-1);
T605 = (T595*exp((-y(60))))^params(24);
T610 = T586*params(36)*params(12)*T593*T595*T598*T605*(1+params(26))/params(26);
T618 = exp(y(31));
T622 = T586^params(12);
T625 = params(39)/y(30);
T628 = (1+params(26))*(1+params(24))/params(26);
T629 = T625^T628;
T631 = T598*T593*T586*T475*params(12)*params(13)*params(28)*T618/(T622*T629);
T632 = T610+T631;
T655 = params(14)/(1+params(14));
T657 = (T586*params(38)*exp((-y(26))))^(T655-1);
T659 = T586*y(95)*params(38)*params(14)*exp((-y(26)))*T657/(1+params(14));
T673 = (T586*params(37)*exp((-y(25))))^(T655-1);
T675 = T593*T586*params(14)*params(37)*y(94)*exp((-y(25)))*T673/(1+params(14));
T691 = params(3)*y(30)*T586^(1+params(12));
T701 = exp(y(32));
T703 = T593*T586*T475*params(28)*params(12)*params(13)*y(99)*T701;
T705 = (1+params(26))/params(26);
T707 = T625^(1-T705);
T713 = params(3)*T586^(1+params(12));
T725 = T622*T593*T618*T586*T475*params(28)*params(12)*y(98)*params(13)/(T629*T713);
T731 = params(37)^T655;
T734 = 1/(1+params(14));
T736 = exp(y(25))^(T734-1);
T740 = params(38)^T655;
T744 = T731*exp(y(25))^T734+T740*exp(y(26))^T734;
T745 = T744^params(14);
T758 = y(37)^2;
T801 = T707*T622*T593*T701*T475*params(28)*params(13)*y(99)/(params(3)*T622);
T812 = T622*T593*T618*T475*params(28)*y(98)*params(13)/(T629*params(3)*T622);
T817 = exp(y(26))^(T734-1);
T853 = params(26)*y(30)^2;
T855 = 1+1/params(26);
T856 = T625^T855;
T857 = T853*T856;
T873 = T622*params(3)*y(30)^2;
T882 = T625^(1+T628);
T884 = (1+params(26))*(1+params(24))*exp(y(49))*params(28)*params(39)*y(101)/(T853*T882);
T896 = T873*T625^T705;
T897 = T622*T593*T701*T475*params(28)*y(99)*params(13)*params(39)*(T705-1)/T896;
T910 = (1+params(26))*(1+params(24))*T622*T593*T618*T475*params(28)*y(98)*params(13)*params(39)/(T882*T622*params(3)*T853);
T914 = exp(y(33));
T918 = T914^(params(24)*(1+params(26))/params(26));
T920 = 1+params(24)*(1+params(26))/params(26);
T926 = params(26)*T914^T855;
T934 = params(26)*T914^(1+T628);
T957 = (1+y(35))^2;
T963 = (T586*params(37)*exp((-y(25))))^T655;
T970 = (1+params(26))*T605*T622*T595*params(36)*T593/params(26);
T976 = T622*T593*T618*T475*params(13)*params(28)/(T622*T629);
T977 = T970+T976;
T1009 = (T595*exp((-y(60))))^(params(24)-1);
T1013 = T970+(1+params(26))*T622*T593*exp((-y(60)))*params(36)*params(24)*exp(2*y(27))*T1009/params(26);
T1080 = T181*T89*T78*exp((-y(8)))*params(6)*params(31)*y(129)/(1+params(6));
T1099 = T89*T209*T78*T112*params(29)*params(4)*params(5)*y(134);
T1172 = T215*T80*T89*T209*T112*params(29)*params(5)*y(134)/(params(3)*T80);
T1183 = T80*T89*T116*T112*params(29)*params(5)*y(133)/(T126*params(3)*T80);
T1237 = (1+params(27))*(1+params(25))*exp(y(42))*params(29)*params(34)*y(136)/(T379*T408);
T1246 = (T213-1)*T80*T89*T209*T112*params(29)*params(5)*params(34)*y(134)/T422;
T1256 = (1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*params(5)*params(34)*y(133)/(T408*T80*params(3)*T379);
T1364 = T657*T586*exp((-y(26)))*y(144)*params(38)*params(14)/(1+params(14));
T1373 = T673*T593*T586*exp((-y(25)))*params(14)*params(37)*y(143)/(1+params(14));
T1392 = T593*T701*T586*T475*params(28)*params(12)*params(13)*y(148);
T1437 = T595^(1+params(24));
T1440 = exp(y(60))^params(24);
T1441 = (1+params(24))*T1440;
T1442 = params(36)*exp(y(34))*T1437/T1441;
T1472 = T707*T622*T593*T701*T475*params(28)*params(13)*y(148)/(params(3)*T622);
T1483 = T622*T593*T618*T475*params(28)*params(13)*y(147)/(T629*params(3)*T622);
T1534 = (1+params(26))*(1+params(24))*exp(y(49))*params(28)*params(39)*y(150)/(T853*T882);
T1543 = (T705-1)*T622*T593*T701*T475*params(28)*params(13)*params(39)*y(148)/T896;
T1553 = (1+params(26))*(1+params(24))*T622*T593*T618*T475*params(28)*params(13)*params(39)*y(147)/(T882*T622*params(3)*T853);
T1630 = T595*params(36)*exp(y(34))*T595^params(24);
T1631 = T1630/T1440;
T1644 = T78^(1-params(4))/(1-params(4));
T1650 = T78^(-params(4));
T1651 = T1650/T89;
T1657 = T78*params(31)/exp(y(8));
T1663 = T78*params(32)/exp(y(9));
T1676 = params(30)*T213*(T91/exp(y(57)))^params(25);
T1680 = params(5)*params(29)*T1651/T1651;
T1683 = (1+params(25))*(-(1+params(27)))/params(27);
T1684 = T122^T1683;
T1696 = (-1)/params(27);
T1732 = T586^(-params(12));
T1733 = T1732/T593;
T1739 = T586*params(37)/exp(y(25));
T1746 = T586*params(38)/exp(y(26));
T1759 = params(36)*T705*(T595/exp(y(60)))^params(24);
T1763 = params(13)*params(28)*T1733/T1733;
T1766 = (1+params(24))*(-(1+params(26)))/params(26);
T1767 = T625^T1766;
T1779 = (-1)/params(26);
T1836 = exp(y(17))*T285*params(30)*exp(y(57))^(-params(25))/(1+params(25));
T1847 = exp(y(34))*T1437*params(36)*exp(y(60))^(-params(24))/(1+params(24));
T1896 = T78*getPowerDeriv(T78,params(4),1);
T1904 = T78*getPowerDeriv(T78,params(4)-1,1);
T1918 = (1+params(27))*T101*(T78*params(4)*params(30)*T89*T91*T94+T78*params(4)*params(30)*T89*T91*T1904)/params(27)+(T80*T126*(T94*T89*T78*params(4)*params(5)*params(29)*T112*T116+T89*T78*params(4)*params(5)*params(29)*T112*T116*T1904)-T94*T89*T78*params(4)*params(5)*params(29)*T112*T116*T126*T1896)/(T80*T126*T80*T126);
T1927 = T78*params(32)*exp((-y(9)))*getPowerDeriv(T78*params(32)*exp((-y(9))),T149-1,1);
T1930 = (T78*params(32)*y(81)*params(6)*exp((-y(9)))*T151+T78*params(32)*y(81)*params(6)*exp((-y(9)))*T1927)/(1+params(6));
T1936 = T78*params(31)*exp((-y(8)))*getPowerDeriv(T78*params(31)*exp((-y(8))),T149-1,1);
T1939 = (T89*T78*params(6)*params(31)*y(80)*exp((-y(8)))*T181+T89*T78*params(6)*params(31)*y(80)*exp((-y(8)))*T1936)/(1+params(6));
T1972 = params(3)*T78*getPowerDeriv(T78,1+params(4),1);
T1996 = (params(3)*T80*T215*T89*T209*T112*params(29)*params(5)*y(85)*T1896-T215*T80*T89*T209*T112*params(29)*params(5)*y(85)*params(3)*T1896)/(params(3)*T80*params(3)*T80);
T2004 = (T126*params(3)*T80*T89*T116*T112*params(29)*y(84)*params(5)*T1896-T80*T89*T116*T112*params(29)*y(84)*params(5)*T126*params(3)*T1896)/(T126*params(3)*T80*T126*params(3)*T80);
T2007 = params(3)*y(13)^2*T1896;
T2035 = T78*params(31)*exp((-y(8)))*getPowerDeriv(T78*params(31)*exp((-y(8))),T149,1);
T2046 = (1+params(27))*T101*T91*params(30)*T89*T1896/params(27)+(T80*T126*T89*T116*T112*params(5)*params(29)*T1896-T80*T89*T116*T112*params(5)*params(29)*T126*T1896)/(T80*T126*T80*T126);
T2072 = (1+params(27))*T101*T91*params(30)*T89*T1896/params(27)+(1+params(27))*T546*T89*exp((-y(57)))*params(30)*params(25)*exp(2*y(10))*T1896/params(27);
T2084 = (T151*T78*exp((-y(9)))*params(32)*params(6)*y(130)+T78*exp((-y(9)))*params(32)*params(6)*y(130)*T1927)/(1+params(6));
T2091 = (T181*T89*T78*exp((-y(8)))*params(6)*params(31)*y(129)+T89*T78*exp((-y(8)))*params(6)*params(31)*y(129)*T1936)/(1+params(6));
T2136 = (params(3)*T80*T215*T89*T209*T112*params(29)*params(5)*y(134)*T1896-T215*T80*T89*T209*T112*params(29)*params(5)*y(134)*params(3)*T1896)/(params(3)*T80*params(3)*T80);
T2142 = (T126*params(3)*T80*T89*T116*T112*params(29)*params(5)*y(133)*T1896-T80*T89*T116*T112*params(29)*params(5)*y(133)*T126*params(3)*T1896)/(T126*params(3)*T80*T126*params(3)*T80);
T2190 = (-(T78*getPowerDeriv(T78,1-params(4),1)/(1-params(4))));
T2193 = T78*getPowerDeriv(T78,(-params(4)),1)/T89;
T2236 = getPowerDeriv(T78*params(31)*exp((-y(8))),T149-1,1)*T78*params(31)*(-exp((-y(8))));
T2240 = (T181*T89*T78*params(6)*params(31)*y(80)*(-exp((-y(8))))+T89*T78*params(6)*params(31)*y(80)*exp((-y(8)))*T2236)/(1+params(6));
T2249 = T240*exp(y(8))*getPowerDeriv(exp(y(8)),T243,1)*getPowerDeriv(T253,params(6),1);
T2257 = getPowerDeriv(T78*params(31)*exp((-y(8))),T149,1)*T78*params(31)*(-exp((-y(8))));
T2265 = (T89*T78*exp((-y(8)))*params(6)*params(31)*y(129)*T2236+T181*T89*T78*params(6)*params(31)*y(129)*(-exp((-y(8)))))/(1+params(6));
T2291 = getPowerDeriv(T78*params(32)*exp((-y(9))),T149-1,1)*T78*params(32)*(-exp((-y(9))));
T2295 = (T151*T78*params(32)*y(81)*params(6)*(-exp((-y(9))))+T78*params(32)*y(81)*params(6)*exp((-y(9)))*T2291)/(1+params(6));
T2300 = getPowerDeriv(T253,params(6),1)*T249*exp(y(9))*getPowerDeriv(exp(y(9)),T243,1);
T2317 = (T78*exp((-y(9)))*params(32)*params(6)*y(130)*T2291+T151*T78*params(32)*params(6)*y(130)*(-exp((-y(9)))))/(1+params(6));
T2338 = T91*exp((-y(57)))*getPowerDeriv(T91*exp((-y(57))),params(25),1);
T2342 = (1+params(27))*(T78*params(4)*params(30)*T89*T91*T94*T101+T78*params(4)*params(30)*T89*T91*T94*T2338)/params(27);
T2354 = (1+params(27))*(T101*T80*T91*params(30)*T89+T80*T91*params(30)*T89*T2338)/params(27);
T2369 = T2354+(1+params(27))*(T546*T80*T89*exp((-y(57)))*params(30)*params(25)*2*exp(2*y(10))+T80*T89*exp((-y(57)))*params(30)*params(25)*exp(2*y(10))*T91*exp((-y(57)))*getPowerDeriv(T91*exp((-y(57))),params(25)-1,1))/params(27);
T2391 = getPowerDeriv(T91/exp(y(57)),params(25),1);
T2414 = T106+T94*(T89*T78*params(4)*params(5)*params(29)*T112*T116+T89*T116*T78*params(4)*params(5)*params(29)*(-T112))/(T80*T126);
T2456 = T215*T80*(T89*T209*T112*params(29)*params(5)*y(85)+T89*T209*params(29)*params(5)*y(85)*(-T112))/(params(3)*T80);
T2463 = T80*(T89*T116*T112*params(29)*y(84)*params(5)+T89*T116*params(29)*y(84)*params(5)*(-T112))/(T126*params(3)*T80);
T2497 = T507+T80*(T89*T116*T112*params(5)*params(29)+T89*T116*params(5)*params(29)*(-T112))/(T80*T126);
T2552 = T215*T80*(T89*T209*T112*params(29)*params(5)*y(134)+T89*T209*params(29)*params(5)*y(134)*(-T112))/(params(3)*T80);
T2559 = T80*(T89*T116*T112*params(29)*params(5)*y(133)+T89*T116*params(29)*params(5)*y(133)*(-T112))/(T126*params(3)*T80);
T2603 = (-(T89*T1650))/(T89*T89);
T2633 = (-params(34))/(y(13)*y(13));
T2635 = T2633*getPowerDeriv(T122,T125,1);
T2639 = (-(T94*T89*T78*params(4)*params(5)*params(29)*T112*T116*T80*T2635))/(T80*T126*T80*T126);
T2651 = T2633*getPowerDeriv(T122,1-T213,1);
T2669 = T80*T89*T209*T112*params(29)*params(5)*y(85)*T2651/(params(3)*T80);
T2674 = (-(T80*T89*T116*T112*params(29)*y(84)*params(5)*params(3)*T80*T2635))/(T126*params(3)*T80*T126*params(3)*T80);
T2707 = T122^T213*T80*params(3)*2*y(13)+T399*T2633*getPowerDeriv(T122,T213,1);
T2716 = T80*params(3)*T379*T2633*getPowerDeriv(T122,1+T125,1)+T408*T80*params(3)*params(27)*2*y(13);
T2723 = (-(T80*T89*T116*T112*params(5)*params(29)*T80*T2635))/(T80*T126*T80*T126);
T2764 = T80*T89*T209*T112*params(29)*params(5)*y(134)*T2651/(params(3)*T80);
T2768 = (-(T80*T89*T116*T112*params(29)*params(5)*y(133)*params(3)*T80*T2635))/(T126*params(3)*T80*T126*params(3)*T80);
T2868 = T440*getPowerDeriv(T440,params(25)*(1+params(27))/params(27),1);
T2996 = (-(exp(y(40))/y(37)));
T3006 = T586*getPowerDeriv(T586,params(12)-1,1);
T3015 = T586*getPowerDeriv(T586,params(12),1);
T3022 = (1+params(26))*T605*(T586*params(36)*params(12)*T593*T595*T598+T586*params(36)*params(12)*T593*T595*T3006)/params(26)+(T622*T629*(T598*T593*T586*T475*params(12)*params(13)*params(28)*T618+T593*T586*T475*params(12)*params(13)*params(28)*T618*T3006)-T598*T593*T586*T475*params(12)*params(13)*params(28)*T618*T629*T3015)/(T622*T629*T622*T629);
T3029 = T586*params(38)*exp((-y(26)))*getPowerDeriv(T586*params(38)*exp((-y(26))),T655-1,1);
T3032 = (T586*y(95)*params(38)*params(14)*exp((-y(26)))*T657+T586*y(95)*params(38)*params(14)*exp((-y(26)))*T3029)/(1+params(14));
T3035 = T586*params(37)*exp((-y(25)))*getPowerDeriv(T586*params(37)*exp((-y(25))),T655-1,1);
T3038 = (T593*T586*params(14)*params(37)*y(94)*exp((-y(25)))*T673+T593*T586*params(14)*params(37)*y(94)*exp((-y(25)))*T3035)/(1+params(14));
T3072 = params(3)*T586*getPowerDeriv(T586,1+params(12),1);
T3096 = (params(3)*T622*T707*T593*T701*T475*params(28)*params(13)*y(99)*T3015-T707*T622*T593*T701*T475*params(28)*params(13)*y(99)*params(3)*T3015)/(params(3)*T622*params(3)*T622);
T3104 = (T629*params(3)*T622*T593*T618*T475*params(28)*y(98)*params(13)*T3015-T622*T593*T618*T475*params(28)*y(98)*params(13)*T629*params(3)*T3015)/(T629*params(3)*T622*T629*params(3)*T622);
T3107 = params(3)*y(30)^2*T3015;
T3134 = T586*params(37)*exp((-y(25)))*getPowerDeriv(T586*params(37)*exp((-y(25))),T655,1);
T3145 = (1+params(26))*T605*T595*params(36)*T593*T3015/params(26)+(T622*T629*T593*T618*T475*params(13)*params(28)*T3015-T622*T593*T618*T475*params(13)*params(28)*T629*T3015)/(T622*T629*T622*T629);
T3171 = (1+params(26))*T605*T595*params(36)*T593*T3015/params(26)+(1+params(26))*T1009*T593*exp((-y(60)))*params(36)*params(24)*exp(2*y(27))*T3015/params(26);
T3186 = (T657*T586*exp((-y(26)))*y(144)*params(38)*params(14)+T586*exp((-y(26)))*y(144)*params(38)*params(14)*T3029)/(1+params(14));
T3190 = (T673*T593*T586*exp((-y(25)))*params(14)*params(37)*y(143)+T593*T586*exp((-y(25)))*params(14)*params(37)*y(143)*T3035)/(1+params(14));
T3235 = (params(3)*T622*T707*T593*T701*T475*params(28)*params(13)*y(148)*T3015-T707*T622*T593*T701*T475*params(28)*params(13)*y(148)*params(3)*T3015)/(params(3)*T622*params(3)*T622);
T3241 = (T629*params(3)*T622*T593*T618*T475*params(28)*params(13)*y(147)*T3015-T622*T593*T618*T475*params(28)*params(13)*y(147)*T629*params(3)*T3015)/(T629*params(3)*T622*T629*params(3)*T622);
T3287 = T586*getPowerDeriv(T586,(-params(12)),1)/T593;
T3333 = getPowerDeriv(T586*params(37)*exp((-y(25))),T655-1,1)*T586*params(37)*(-exp((-y(25))));
T3337 = (T673*T593*T586*params(14)*params(37)*y(94)*(-exp((-y(25))))+T593*T586*params(14)*params(37)*y(94)*exp((-y(25)))*T3333)/(1+params(14));
T3346 = T731*exp(y(25))*getPowerDeriv(exp(y(25)),T734,1)*getPowerDeriv(T744,params(14),1);
T3354 = getPowerDeriv(T586*params(37)*exp((-y(25))),T655,1)*T586*params(37)*(-exp((-y(25))));
T3362 = (T593*T586*exp((-y(25)))*params(14)*params(37)*y(143)*T3333+T673*T593*T586*params(14)*params(37)*y(143)*(-exp((-y(25)))))/(1+params(14));
T3388 = getPowerDeriv(T586*params(38)*exp((-y(26))),T655-1,1)*T586*params(38)*(-exp((-y(26))));
T3392 = (T657*T586*y(95)*params(38)*params(14)*(-exp((-y(26))))+T586*y(95)*params(38)*params(14)*exp((-y(26)))*T3388)/(1+params(14));
T3397 = getPowerDeriv(T744,params(14),1)*T740*exp(y(26))*getPowerDeriv(exp(y(26)),T734,1);
T3414 = (T586*exp((-y(26)))*y(144)*params(38)*params(14)*T3388+T657*T586*y(144)*params(38)*params(14)*(-exp((-y(26)))))/(1+params(14));
T3435 = T595*exp((-y(60)))*getPowerDeriv(T595*exp((-y(60))),params(24),1);
T3439 = (1+params(26))*(T586*params(36)*params(12)*T593*T595*T598*T605+T586*params(36)*params(12)*T593*T595*T598*T3435)/params(26);
T3446 = (1+params(26))*(T605*T622*T595*params(36)*T593+T622*T595*params(36)*T593*T3435)/params(26);
T3461 = T3446+(1+params(26))*(T1009*T622*T593*exp((-y(60)))*params(36)*params(24)*2*exp(2*y(27))+T622*T593*exp((-y(60)))*params(36)*params(24)*exp(2*y(27))*T595*exp((-y(60)))*getPowerDeriv(T595*exp((-y(60))),params(24)-1,1))/params(26);
T3488 = getPowerDeriv(T595/exp(y(60)),params(24),1);
T3513 = T610+T598*(T593*T586*T475*params(12)*params(13)*params(28)*T618+T593*T618*T586*params(12)*params(13)*params(28)*(-T475))/(T622*T629);
T3555 = T707*T622*(T593*T701*T475*params(28)*params(13)*y(99)+T593*T701*params(28)*params(13)*y(99)*(-T475))/(params(3)*T622);
T3562 = T622*(T593*T618*T475*params(28)*y(98)*params(13)+T593*T618*params(28)*y(98)*params(13)*(-T475))/(T629*params(3)*T622);
T3594 = T970+T622*(T593*T618*T475*params(13)*params(28)+T593*T618*params(13)*params(28)*(-T475))/(T622*T629);
T3651 = T707*T622*(T593*T701*T475*params(28)*params(13)*y(148)+T593*T701*params(28)*params(13)*y(148)*(-T475))/(params(3)*T622);
T3658 = T622*(T593*T618*T475*params(28)*params(13)*y(147)+T593*T618*params(28)*params(13)*y(147)*(-T475))/(T629*params(3)*T622);
T3703 = (-(T593*T1732))/(T593*T593);
T3730 = (-params(39))/(y(30)*y(30));
T3732 = T3730*getPowerDeriv(T625,T628,1);
T3736 = (-(T598*T593*T586*T475*params(12)*params(13)*params(28)*T618*T622*T3732))/(T622*T629*T622*T629);
T3748 = T3730*getPowerDeriv(T625,1-T705,1);
T3766 = T622*T593*T701*T475*params(28)*params(13)*y(99)*T3748/(params(3)*T622);
T3771 = (-(T622*T593*T618*T475*params(28)*y(98)*params(13)*params(3)*T622*T3732))/(T629*params(3)*T622*T629*params(3)*T622);
T3804 = T625^T705*T622*params(3)*2*y(30)+T873*T3730*getPowerDeriv(T625,T705,1);
T3813 = T622*params(3)*T853*T3730*getPowerDeriv(T625,1+T628,1)+T882*T622*params(3)*params(26)*2*y(30);
T3820 = (-(T622*T593*T618*T475*params(13)*params(28)*T622*T3732))/(T622*T629*T622*T629);
T3861 = T622*T593*T701*T475*params(28)*params(13)*y(148)*T3748/(params(3)*T622);
T3865 = (-(T622*T593*T618*T475*params(28)*params(13)*y(147)*params(3)*T622*T3732))/(T629*params(3)*T622*T629*params(3)*T622);
T3965 = T914*getPowerDeriv(T914,params(24)*(1+params(26))/params(26),1);
T4063 = (-(exp(y(23))/y(20)));
T4074 = (-(exp(y(40))*y(20)/y(37)));
T4233 = getPowerDeriv(T91*exp((-y(57))),params(25),1)*T91*(-exp((-y(57))));
T4249 = (1+params(27))*T80*T91*params(30)*T89*T4233/params(27);
T4261 = T4249+(1+params(27))*(T546*T80*T89*params(30)*params(25)*exp(2*y(10))*(-exp((-y(57))))+T80*T89*exp((-y(57)))*params(30)*params(25)*exp(2*y(10))*getPowerDeriv(T91*exp((-y(57))),params(25)-1,1)*T91*(-exp((-y(57)))))/params(27);
T4307 = getPowerDeriv(T595*exp((-y(60))),params(24),1)*T595*(-exp((-y(60))));
T4315 = (1+params(26))*T622*T595*params(36)*T593*T4307/params(26);
T4327 = T4315+(1+params(26))*(T1009*T622*T593*params(36)*params(24)*exp(2*y(27))*(-exp((-y(60))))+T622*T593*exp((-y(60)))*params(36)*params(24)*exp(2*y(27))*getPowerDeriv(T595*exp((-y(60))),params(24)-1,1)*T595*(-exp((-y(60)))))/params(26);
T4388 = (-(T94*T89*T78*params(4)*params(5)*T112/(T80*y(13))))+T80*T89*T78*params(4)*params(5)*T112/T199;
T4398 = (-(T80*T89*params(5)*T112/(T80*y(13))))+T80*T89*params(5)*T112/(T80*params(3)*y(13));
T4403 = T181*T89*T78*exp((-y(8)))*params(6)*params(31)/(1+params(6));
T4409 = T151*T78*exp((-y(9)))*params(32)*params(6)/(1+params(6));
T4428 = (-T129)+T80*T89*T78*params(4)*params(5)*params(29)*T112*T116/(T126*T221);
T4439 = (-((1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*params(5)*params(34)/(T408*T80*params(3)*T379)));
T4452 = (-(T215*T94*T89*T78*params(4)*params(5)*params(29)*T112*T209/T80))+T215*T80*T89*T78*params(4)*params(5)*params(29)*T112*T209/T221;
T4458 = T209-T215*T80*T89*T209*T112*params(5)*params(29)/(params(3)*T80);
T4464 = (-((T213-1)*T80*T89*T209*T112*params(29)*params(5)*params(34)/T422));
T4467 = T215*T80*T89*T209*T112*params(5)*params(29)/(params(3)*T80)-T215*T80*T89*T209*T112*params(5)*params(29)/T80;
T4482 = (-((1+params(27))*(1+params(25))*exp(y(42))*params(29)*params(34)/(T379*T408)));
T4515 = (-(T598*T593*T586*T475*params(12)*params(13)/(T622*y(30))))+T622*T593*T586*T475*params(12)*params(13)/T691;
T4525 = (-(T622*T593*T475*params(13)/(T622*y(30))))+T622*T593*T475*params(13)/(T622*params(3)*y(30));
T4530 = T673*T593*T586*exp((-y(25)))*params(14)*params(37)/(1+params(14));
T4538 = T657*T586*exp((-y(26)))*params(38)*params(14)/(1+params(14));
T4555 = (-T632)+T593*T586*T475*params(12)*params(13)*params(28)*T618*T622/(T629*T713);
T4566 = (-((1+params(26))*(1+params(24))*T622*T593*T618*T475*params(28)*params(13)*params(39)/(T882*T622*params(3)*T853)));
T4579 = (-(T707*T598*T593*T586*T475*params(12)*params(13)*params(28)*T701/T622))+T707*T622*T593*T586*T475*params(12)*params(13)*params(28)*T701/T713;
T4585 = T701-T707*T622*T593*T701*T475*params(13)*params(28)/(params(3)*T622);
T4591 = (-((T705-1)*T622*T593*T701*T475*params(28)*params(13)*params(39)/T896));
T4594 = T707*T622*T593*T701*T475*params(13)*params(28)/(params(3)*T622)-T707*T622*T593*T701*T475*params(13)*params(28)/T622;
T4609 = (-((1+params(26))*(1+params(24))*exp(y(49))*params(28)*params(39)/(T853*T882)));
lhs =y(160);
rhs =params(1)*y(5)+params(2)*y(6);
residual(1)= lhs-rhs;
lhs =y(161);
rhs =y(160)+y(161)*params(3);
residual(2)= lhs-rhs;
lhs =y(1);
rhs =y(5)+params(3)*y(1);
residual(3)= lhs-rhs;
lhs =y(2);
rhs =y(6)+params(3)*y(2);
residual(4)= lhs-rhs;
lhs =y(3);
rhs =y(21);
residual(5)= lhs-rhs;
lhs =y(4);
rhs =y(40);
residual(6)= lhs-rhs;
lhs =y(42);
rhs =y(17);
residual(7)= lhs-rhs;
lhs =y(43);
rhs =y(21);
residual(8)= lhs-rhs;
lhs =y(44);
rhs =y(22);
residual(9)= lhs-rhs;
lhs =y(45);
rhs =y(19);
residual(10)= lhs-rhs;
lhs =y(46);
rhs =y(18);
residual(11)= lhs-rhs;
lhs =y(47);
rhs =y(12);
residual(12)= lhs-rhs;
lhs =y(48);
rhs =y(10);
residual(13)= lhs-rhs;
lhs =y(49);
rhs =y(34);
residual(14)= lhs-rhs;
lhs =y(50);
rhs =y(38);
residual(15)= lhs-rhs;
lhs =y(51);
rhs =y(39);
residual(16)= lhs-rhs;
lhs =y(52);
rhs =y(36);
residual(17)= lhs-rhs;
lhs =y(53);
rhs =y(35);
residual(18)= lhs-rhs;
lhs =y(54);
rhs =y(29);
residual(19)= lhs-rhs;
lhs =y(55);
rhs =y(27);
residual(20)= lhs-rhs;
residual(21) = T78/T80+T78*y(82)-y(84)*T129-T78*y(78)/T80-T153-T94*T78*params(4)*params(50)*y(107)*params(49)*params(51)*exp((-y(19)))+T183-T94*T89*T78*T112*params(4)*params(5)*y(79)/(T80*y(13))+T80*T89*T78*T112*params(4)*params(5)*y(79)/T199-T94*T211*T215/T80+T215*T80*T211/T221+T233;
residual(22) = (-y(88))*exp(y(8))-exp(y(8))*y(82)*T240*T245*T254-T183;
residual(23) = y(90)+y(92)-y(110)*exp(y(40))/y(37)+y(37)*y(109)*exp(y(23))/T274;
residual(24) = y(87)*exp(y(17))-params(3)*y(64)-T290;
residual(25) = y(64)-params(29)*y(87)*exp(y(42))/T126;
residual(26) = (-(y(37)*y(109)*exp(y(23))))/y(20);
residual(27) = y(89)*exp(y(11))-y(88)*exp(y(11));
residual(28) = y(85)*T209+T116*y(83)*exp((-y(15)))-T323;
residual(29) = y(84)*T116-T116*y(83)*exp((-y(15)))-T334;
residual(30) = T153-T254*exp(y(9))*y(82)*T249*T339-exp(y(9))*y(102)*params(33);
residual(31) = y(91)*exp((-y(43)))*exp(y(21))-params(3)*y(65)-y(62);
residual(32) = y(65)-y(91)*exp((-y(43)))*exp(y(21));
residual(33) = params(3)*(-y(66))-y(92)*exp((-y(44)))*exp(y(22));
residual(34) = y(66)+y(92)*exp((-y(44)))*exp(y(22));
residual(35) = params(29)*params(34)*y(86)/T383-T91*y(91)*exp((-y(48)))-T89*y(90)*exp((-y(47)))+T80*T89*T112*params(5)*y(79)/T399-T410-T423-T436;
residual(36) = y(83)*T440*T444*T446+y(86)*T440*(params(29)-1)/T452-(params(29)-1)*(1+params(27))*(1+params(25))*y(87)*T440/T460;
residual(37) = y(108)*T465-params(3)*y(67)-T112*exp((-y(19)))*y(95)+T465*y(81)*T475+T465*y(109)*exp((-y(45)))+T80*params(50)*y(107)*params(49)*params(51)*exp((-y(19)));
residual(38) = y(67)-T465*y(109)*exp((-y(45)));
residual(39) = params(3)*(-y(68))-y(79)/T494;
residual(40) = y(68);
residual(41) = T323+T334+T89*y(80)*T500-y(84)*T514-T112*exp((-y(19)))*y(95)-params(3)*y(69)-T89*exp((-y(47)))*y(13)*y(90)-T80*T89*T112*params(5)*y(79)/(T80*y(13))+T80*T89*T112*params(5)*y(79)/(T80*params(3)*y(13))-T215*T80*T89*T209*T112*params(29)*params(5)*y(85)/T80;
residual(42) = y(69)+T89*exp((-y(47)))*y(13)*y(90);
residual(43) = T91*y(88)-y(84)*T550-params(3)*y(70)-T91*exp((-y(48)))*y(13)*y(91)-T91*y(85)*(1+params(35)*exp(y(58)))/params(27)-T91*y(89)*params(7)*exp(y(56))-T579;
residual(44) = y(70)+T91*exp((-y(48)))*y(13)*y(91);
residual(45) = y(96)*T586-y(98)*T632+T598*T586*params(12)*y(107)*params(47)*params(48)-T659+T675-T598*T593*T586*T475*params(12)*params(13)*y(93)/(T622*y(30))+T622*T593*T586*T475*params(12)*params(13)*y(93)/T691-T598*T703*T707/T622+T707*T622*T703/T713+T725;
residual(46) = (-y(102))*exp(y(25))-exp(y(25))*y(96)*T731*T736*T745-T675;
residual(47) = y(104)+y(106)-y(109)*exp(y(23))/y(20)+exp(y(40))*y(110)*y(20)/T758;
residual(48) = y(101)*exp(y(34))-params(3)*y(71);
residual(49) = y(71)-params(28)*y(101)*exp(y(49))/T629;
residual(50) = (-y(63))-exp(y(40))*y(110)*y(20)/y(37);
residual(51) = y(103)*exp(y(28))-y(102)*exp(y(28));
residual(52) = y(99)*T701+T618*y(97)*exp((-y(32)))-T801;
residual(53) = y(98)*T618-T618*y(97)*exp((-y(32)))-T812;
residual(54) = T659-T745*exp(y(26))*y(96)*T740*T817-y(88)*exp(y(26))/params(33);
residual(55) = y(105)*exp((-y(50)))*exp(y(38))-params(3)*y(72);
residual(56) = y(72)-y(105)*exp((-y(50)))*exp(y(38));
residual(57) = params(3)*(-y(73))-y(106)*exp((-y(51)))*exp(y(39));
residual(58) = y(73)+y(106)*exp((-y(51)))*exp(y(39));
residual(59) = params(28)*params(39)*y(100)/T857-T595*y(105)*exp((-y(55)))-T593*y(104)*exp((-y(54)))+T622*T593*T475*params(13)*y(93)/T873-T884-T897-T910;
residual(60) = y(97)*T914*T918*T920+y(100)*T914*(params(28)-1)/T926-(params(28)-1)*(1+params(26))*(1+params(24))*y(101)*T914/T934;
residual(61) = y(108)*exp((-y(36)))-params(3)*y(74)+y(110)*exp((-y(52)))*exp(y(36));
residual(62) = y(74)-y(110)*exp((-y(52)))*exp(y(36));
residual(63) = params(3)*(-y(75))-y(93)/T957;
residual(64) = y(75);
residual(65) = T801+T812+T593*y(94)*T963-y(98)*T977-params(3)*y(76)-T465*y(81)*T475-T593*exp((-y(54)))*y(30)*y(104)-T622*T593*T475*params(13)*y(93)/(T622*y(30))+T622*T593*T475*params(13)*y(93)/(T622*params(3)*y(30))-T707*T622*T593*T701*T475*params(28)*params(13)*y(99)/T622;
residual(66) = y(76)+T593*exp((-y(54)))*y(30)*y(104);
residual(67) = y(102)*T595-y(98)*T1013-params(3)*y(77)-T595*exp((-y(55)))*y(30)*y(105)-T595*y(99)*(1+params(40)*exp(y(61)))/params(26)-T595*y(103)*params(15)*exp(y(59));
residual(68) = y(77)+T595*exp((-y(55)))*y(30)*y(105);
residual(69) = y(62);
residual(70) = y(78)-params(5)*y(78)/params(3);
residual(71) = T78*y(131)-T129*y(133)-T78*y(127)/T80-T151*T78*exp((-y(9)))*params(32)*params(6)*y(130)/(1+params(6))-T94*T78*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)*y(156)+T1080-T94*T89*T78*T112*params(4)*params(5)*y(128)/(T80*y(13))+T80*T89*T78*T112*params(4)*params(5)*y(128)/T199-T215*T94*T1099/T80+T215*T80*T1099/T221+T80*T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)/(T126*T221);
residual(72) = exp(y(8))*(-y(137))-T254*T245*exp(y(8))*T240*y(131)-T1080;
residual(73) = y(139)+y(141)-exp(y(40))*y(159)/y(37)+exp(y(23))*y(37)*y(158)/T274;
residual(74) = exp(y(17))*y(136)-params(3)*y(113);
residual(75) = y(113)-exp(y(42))*params(29)*y(136)/T126;
residual(76) = (-(exp(y(23))*y(37)*y(158)))/y(20);
residual(77) = exp(y(11))*y(138)-exp(y(11))*y(137);
residual(78) = T209*y(134)+T116*exp((-y(15)))*y(132)-T1172;
residual(79) = T116*y(133)-T116*exp((-y(15)))*y(132)-T1183;
residual(80) = T151*T78*exp((-y(9)))*params(32)*params(6)*y(130)/(1+params(6))-T254*T339*exp(y(9))*T249*y(131)-exp(y(9))*params(33)*y(151);
residual(81) = exp(y(21))*exp((-y(43)))*y(140)-params(3)*y(114)-y(111);
residual(82) = y(114)-exp(y(21))*exp((-y(43)))*y(140);
residual(83) = params(3)*(-y(115))-exp(y(22))*exp((-y(44)))*y(141);
residual(84) = y(115)+exp(y(22))*exp((-y(44)))*y(141);
residual(85) = params(29)*params(34)*y(135)/T383-T91*exp((-y(48)))*y(140)-T89*exp((-y(47)))*y(139)+T80*T89*T112*params(5)*y(128)/T399-T1237-T1246-T1256;
residual(86) = T446*T444*T440*y(132)+(params(29)-1)*T440*y(135)/T452-(params(29)-1)*(1+params(27))*(1+params(25))*T440*y(136)/T460;
residual(87) = T465*y(157)-params(3)*y(116)-T112*exp((-y(19)))*y(144)+T465*T475*y(130)+T465*exp((-y(45)))*y(158)+T80*exp((-y(19)))*params(51)*params(50)*params(49)*y(156);
residual(88) = y(116)-T465*exp((-y(45)))*y(158);
residual(89) = params(3)*(-y(117))-y(128)/T494;
residual(90) = y(117);
residual(91) = T1172+T1183+T500*T89*y(129)-T514*y(133)-T112*exp((-y(19)))*y(144)-params(3)*y(118)-T89*exp((-y(47)))*y(13)*y(139)-T80*T89*T112*params(5)*y(128)/(T80*y(13))+T80*T89*T112*params(5)*y(128)/(T80*params(3)*y(13))-T215*T80*T89*T209*T112*params(29)*params(5)*y(134)/T80;
residual(92) = y(118)+T89*exp((-y(47)))*y(13)*y(139);
residual(93) = T91*y(137)-T550*y(133)-params(3)*y(119)-T91*exp((-y(48)))*y(13)*y(140)-(1+params(35)*exp(y(58)))*T91*y(134)/params(27)-T91*exp(y(56))*params(7)*y(138);
residual(94) = y(119)+T91*exp((-y(48)))*y(13)*y(140);
residual(95) = T586/T622+T586*y(145)-T632*y(147)+T598*T586*y(156)*params(12)*params(47)*params(48)-T1364+T1373-T598*T593*T586*T475*params(12)*params(13)*y(142)/(T622*y(30))+T622*T593*T586*T475*params(12)*params(13)*y(142)/T691-T707*T598*T1392/T622+T707*T622*T1392/T713+T622*T593*T618*T586*T475*params(28)*params(12)*params(13)*y(147)/(T629*T713);
residual(96) = exp(y(25))*(-y(151))-T745*T736*exp(y(25))*T731*y(145)-T1373;
residual(97) = y(153)+y(155)-exp(y(23))*y(158)/y(20)+exp(y(40))*y(20)*y(159)/T758;
residual(98) = exp(y(34))*y(150)-params(3)*y(120)-T1442;
residual(99) = y(120)-exp(y(49))*params(28)*y(150)/T629;
residual(100) = (-y(112))-exp(y(40))*y(20)*y(159)/y(37);
residual(101) = exp(y(28))*y(152)-exp(y(28))*y(151);
residual(102) = T701*y(148)+T618*exp((-y(32)))*y(146)-T1472;
residual(103) = T618*y(147)-T618*exp((-y(32)))*y(146)-T1483;
residual(104) = T1364-T745*T817*exp(y(26))*T740*y(145)-exp(y(26))*y(137)/params(33);
residual(105) = exp(y(38))*exp((-y(50)))*y(154)-params(3)*y(121);
residual(106) = y(121)-exp(y(38))*exp((-y(50)))*y(154);
residual(107) = params(3)*(-y(122))-exp(y(39))*exp((-y(51)))*y(155);
residual(108) = y(122)+exp(y(39))*exp((-y(51)))*y(155);
residual(109) = params(28)*params(39)*y(149)/T857-T595*exp((-y(55)))*y(154)-T593*exp((-y(54)))*y(153)+T622*T593*T475*params(13)*y(142)/T873-T1534-T1543-T1553;
residual(110) = T920*T918*T914*y(146)+(params(28)-1)*T914*y(149)/T926-(params(28)-1)*(1+params(26))*(1+params(24))*T914*y(150)/T934;
residual(111) = exp((-y(36)))*y(157)-params(3)*y(123)+exp(y(36))*exp((-y(52)))*y(159);
residual(112) = y(123)-exp(y(36))*exp((-y(52)))*y(159);
residual(113) = params(3)*(-y(124))-y(142)/T957;
residual(114) = y(124);
residual(115) = T1472+T1483+T963*T593*y(143)-T977*y(147)-params(3)*y(125)-T465*T475*y(130)-T593*exp((-y(54)))*y(30)*y(153)-T622*T593*T475*params(13)*y(142)/(T622*y(30))+T622*T593*T475*params(13)*y(142)/(T622*params(3)*y(30))-T707*T622*T593*T701*T475*params(28)*params(13)*y(148)/T622;
residual(116) = y(125)+T593*exp((-y(54)))*y(30)*y(153);
residual(117) = T595*y(151)-T1013*y(147)-params(3)*y(126)-T595*exp((-y(55)))*y(30)*y(154)-(1+params(40)*exp(y(61)))*T595*y(148)/params(26)-T595*exp(y(59))*params(15)*y(152)-T1631;
residual(118) = y(126)+T595*exp((-y(55)))*y(30)*y(154);
residual(119) = y(112);
residual(120) = y(127)-params(5)*y(127)/params(3);
lhs =y(41);
rhs =T1644+params(5)*y(41);
residual(121)= lhs-rhs;
lhs =1/(1+y(18));
rhs =params(5)*T1651/T1651/y(13);
residual(122)= lhs-rhs;
lhs =T89*T1657^T149;
rhs =1;
residual(123)= lhs-rhs;
lhs =T465/T593;
rhs =T1663^T149;
residual(124)= lhs-rhs;
lhs =T78;
rhs =T253^(1+params(6));
residual(125)= lhs-rhs;
lhs =T440^(1+params(25)*T213);
rhs =T116/T209;
residual(126)= lhs-rhs;
lhs =T116;
rhs =T91*T1676/T1651+T116*T1680*T1684;
residual(127)= lhs-rhs;
lhs =T209;
rhs =T91*(1+params(35)*exp(y(58)))/params(27)+T209*T215*T1680;
residual(128)= lhs-rhs;
lhs =(1-params(29))*T440^T1696+params(29)*T122^T1696;
rhs =1;
residual(129)= lhs-rhs;
lhs =exp(y(17));
rhs =(1-params(29))*T440^T1683+exp(y(42))*params(29)*T1684;
residual(130)= lhs-rhs;
lhs =T91;
rhs =exp(y(8))+exp(y(11))+exp(y(26))*1/params(33);
residual(131)= lhs-rhs;
lhs =exp(y(11));
rhs =exp(y(56))*T91*params(7);
residual(132)= lhs-rhs;
lhs =y(20);
rhs =y(13)*T89/exp(y(47));
residual(133)= lhs-rhs;
lhs =exp(y(21))/exp(y(43));
rhs =T91*y(13)/exp(y(48));
residual(134)= lhs-rhs;
lhs =y(20);
rhs =exp(y(22))/exp(y(44));
residual(135)= lhs-rhs;
lhs =1/(1+y(35));
rhs =params(13)*T1733/T1733/y(30);
residual(136)= lhs-rhs;
lhs =T593*T1739^T655;
rhs =1;
residual(137)= lhs-rhs;
lhs =1/T465/T89;
rhs =T1746^T655;
residual(138)= lhs-rhs;
lhs =T586;
rhs =T744^(1+params(14));
residual(139)= lhs-rhs;
lhs =T914^(1+params(24)*T705);
rhs =T618/T701;
residual(140)= lhs-rhs;
lhs =T618;
rhs =T595*T1759/T1733+T618*T1763*T1767;
residual(141)= lhs-rhs;
lhs =T701;
rhs =T595*(1+params(40)*exp(y(61)))/params(26)+T701*T707*T1763;
residual(142)= lhs-rhs;
lhs =(1-params(28))*T914^T1779+params(28)*T625^T1779;
rhs =1;
residual(143)= lhs-rhs;
lhs =exp(y(34));
rhs =(1-params(28))*T914^T1766+exp(y(49))*params(28)*T1767;
residual(144)= lhs-rhs;
lhs =T595;
rhs =exp(y(25))+exp(y(28))+exp(y(9))*params(33);
residual(145)= lhs-rhs;
lhs =exp(y(28));
rhs =exp(y(59))*T595*params(15);
residual(146)= lhs-rhs;
lhs =y(37);
rhs =y(30)*T593/exp(y(54));
residual(147)= lhs-rhs;
lhs =exp(y(38))/exp(y(50));
rhs =T595*y(30)/exp(y(55));
residual(148)= lhs-rhs;
lhs =y(37);
rhs =exp(y(39))/exp(y(51));
residual(149)= lhs-rhs;
lhs =params(48)*params(47)/T1732;
rhs =params(51)*params(50)*params(49)/T465/T1650;
residual(150)= lhs-rhs;
lhs =T465;
rhs =1/exp(y(36));
residual(151)= lhs-rhs;
lhs =T465/exp(y(45));
rhs =y(37)*exp(y(23))/y(20);
residual(152)= lhs-rhs;
lhs =exp(y(36))/exp(y(52));
rhs =exp(y(40))*y(20)/y(37);
residual(153)= lhs-rhs;
lhs =y(5);
rhs =T1644-T1836;
residual(154)= lhs-rhs;
lhs =y(6);
rhs =T586^(1-params(12))/(1-params(12))-T1847;
residual(155)= lhs-rhs;
lhs =y(56);
rhs =y(56)*params(8)+params(9)*x(1);
residual(156)= lhs-rhs;
lhs =y(57);
rhs =y(57)*params(10)+params(11)*x(2);
residual(157)= lhs-rhs;
lhs =y(58);
rhs =y(58)*params(22)+params(23)*x(6);
residual(158)= lhs-rhs;
lhs =y(59);
rhs =y(59)*params(16)+params(17)*x(3);
residual(159)= lhs-rhs;
lhs =y(60);
rhs =y(60)*params(18)+params(19)*x(4);
residual(160)= lhs-rhs;
lhs =y(61);
rhs =y(61)*params(20)+params(21)*x(5);
residual(161)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(161, 161);

  %
  % Jacobian matrix
  %

  g1(1,5)=(-params(1));
  g1(1,6)=(-params(2));
  g1(1,160)=1;
  g1(2,160)=(-1);
  g1(2,161)=1-params(3);
  g1(3,1)=1-params(3);
  g1(3,5)=(-1);
  g1(4,2)=1-params(3);
  g1(4,6)=(-1);
  g1(5,3)=1;
  g1(5,21)=(-1);
  g1(6,4)=1;
  g1(6,40)=(-1);
  g1(7,17)=(-1);
  g1(7,42)=1;
  g1(8,21)=(-1);
  g1(8,43)=1;
  g1(9,22)=(-1);
  g1(9,44)=1;
  g1(10,19)=(-1);
  g1(10,45)=1;
  g1(11,18)=(-1);
  g1(11,46)=1;
  g1(12,12)=(-1);
  g1(12,47)=1;
  g1(13,10)=(-1);
  g1(13,48)=1;
  g1(14,34)=(-1);
  g1(14,49)=1;
  g1(15,38)=(-1);
  g1(15,50)=1;
  g1(16,39)=(-1);
  g1(16,51)=1;
  g1(17,36)=(-1);
  g1(17,52)=1;
  g1(18,35)=(-1);
  g1(18,53)=1;
  g1(19,29)=(-1);
  g1(19,54)=1;
  g1(20,27)=(-1);
  g1(20,55)=1;
  g1(21,7)=T78*y(82)+(T78*T80-T78*T1896)/(T80*T80)-y(84)*T1918-(T80*T78*y(78)-T78*y(78)*T1896)/(T80*T80)-T1930-(T94*T78*params(4)*params(50)*y(107)*params(49)*params(51)*exp((-y(19)))+T78*params(4)*params(50)*y(107)*params(49)*params(51)*exp((-y(19)))*T1904)+T1939-(T80*y(13)*(T94*T89*T78*T112*params(4)*params(5)*y(79)+T89*T78*T112*params(4)*params(5)*y(79)*T1904)-T94*T89*T78*T112*params(4)*params(5)*y(79)*y(13)*T1896)/(T80*y(13)*T80*y(13))+(T199*(T80*T89*T78*T112*params(4)*params(5)*y(79)+T89*T78*T112*params(4)*params(5)*y(79)*T1896)-T80*T89*T78*T112*params(4)*params(5)*y(79)*params(3)*y(13)*T78*getPowerDeriv(T78,1+params(4),1))/(T199*T199)-(T80*T215*(T94*T211+T211*T1904)-T94*T211*T215*T1896)/(T80*T80)+(T221*T215*(T80*T211+T211*T1896)-T215*T80*T211*T1972)/(T221*T221)+(T126*T221*(T80*T89*T116*T78*T112*params(29)*params(4)*y(84)*params(5)+T89*T116*T78*T112*params(29)*params(4)*y(84)*params(5)*T1896)-T80*T89*T116*T78*T112*params(29)*params(4)*y(84)*params(5)*T126*T1972)/(T126*T221*T126*T221);
  g1(21,8)=T2240;
  g1(21,9)=(-T2295);
  g1(21,10)=(-(y(84)*T2342));
  g1(21,12)=T183+(-(y(84)*T2414))-T94*(T89*T78*T112*params(4)*params(5)*y(79)+T89*T78*params(4)*params(5)*y(79)*(-T112))/(T80*y(13))+T80*(T89*T78*T112*params(4)*params(5)*y(79)+T89*T78*params(4)*params(5)*y(79)*(-T112))/T199-T215*T94*(T211+T89*T209*T78*params(29)*params(4)*params(5)*y(85)*(-T112))/T80+T215*T80*(T211+T89*T209*T78*params(29)*params(4)*params(5)*y(85)*(-T112))/T221+T80*(T89*T116*T78*T112*params(29)*params(4)*y(84)*params(5)+T89*T116*T78*params(29)*params(4)*y(84)*params(5)*(-T112))/(T126*T221);
  g1(21,13)=(-(y(84)*T2639))-(-(T80*T94*T89*T78*T112*params(4)*params(5)*y(79)))/(T80*y(13)*T80*y(13))+(-(T80*T89*T78*T112*params(4)*params(5)*y(79)*T221))/(T199*T199)-T94*T211*T2651/T80+T80*T211*T2651/T221+(-(T80*T89*T116*T78*T112*params(29)*params(4)*y(84)*params(5)*T221*T2635))/(T126*T221*T126*T221);
  g1(21,14)=T233+(-(y(84)*T128));
  g1(21,15)=T215*T80*T211/T221+(-(T94*T211*T215/T80));
  g1(21,19)=(-(T94*T78*params(4)*params(50)*y(107)*params(49)*params(51)*(-exp((-y(19))))));
  g1(21,57)=(-(y(84)*(1+params(27))*T78*params(4)*params(30)*T89*T91*T94*T4233/params(27)));
  g1(21,78)=(-(T78/T80));
  g1(21,79)=T4388;
  g1(21,80)=T4403;
  g1(21,81)=(-T4409);
  g1(21,82)=T78;
  g1(21,84)=T4428;
  g1(21,85)=T4452;
  g1(21,107)=(-(T94*T78*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)));
  g1(22,7)=(-T1939);
  g1(22,8)=(-y(88))*exp(y(8))-(T254*(exp(y(8))*y(82)*T240*T245+exp(y(8))*y(82)*T240*exp(y(8))*getPowerDeriv(exp(y(8)),T243-1,1))+exp(y(8))*y(82)*T240*T245*T2249)-T2240;
  g1(22,9)=(-(exp(y(8))*y(82)*T240*T245*T2300));
  g1(22,12)=(-T183);
  g1(22,80)=(-T4403);
  g1(22,82)=(-(T254*T245*exp(y(8))*T240));
  g1(22,88)=(-exp(y(8)));
  g1(23,20)=(-(y(37)*y(109)*exp(y(23))*2*y(20)))/(T274*T274);
  g1(23,23)=y(37)*y(109)*exp(y(23))/T274;
  g1(23,37)=(-((-(y(110)*exp(y(40))))/(y(37)*y(37))))+y(109)*exp(y(23))/T274;
  g1(23,40)=(-(y(110)*exp(y(40))/y(37)));
  g1(23,90)=1;
  g1(23,92)=1;
  g1(23,109)=y(37)*exp(y(23))/T274;
  g1(23,110)=T2996;
  g1(24,10)=(-(params(30)*exp(y(17))*T91*getPowerDeriv(T91,1+params(25),1)/T289));
  g1(24,17)=y(87)*exp(y(17))-T290;
  g1(24,57)=(-((-(params(30)*exp(y(17))*T285*(1+params(25))*exp(y(57))*getPowerDeriv(exp(y(57)),params(25),1)))/(T289*T289)));
  g1(24,64)=(-params(3));
  g1(24,87)=exp(y(17));
  g1(25,13)=(-((-(params(29)*y(87)*exp(y(42))*T2635))/(T126*T126)));
  g1(25,42)=(-(params(29)*y(87)*exp(y(42))/T126));
  g1(25,64)=1;
  g1(25,87)=(-(params(29)*exp(y(42))/T126));
  g1(26,20)=y(37)*y(109)*exp(y(23))/(y(20)*y(20));
  g1(26,23)=(-(y(37)*y(109)*exp(y(23))))/y(20);
  g1(26,37)=(-(y(109)*exp(y(23))))/y(20);
  g1(26,109)=(-(y(37)*exp(y(23))))/y(20);
  g1(27,11)=y(89)*exp(y(11))-y(88)*exp(y(11));
  g1(27,88)=(-exp(y(11)));
  g1(27,89)=exp(y(11));
  g1(28,7)=(-T1996);
  g1(28,12)=(-T2456);
  g1(28,13)=(-T2669);
  g1(28,14)=T116*y(83)*exp((-y(15)));
  g1(28,15)=y(85)*T209+T116*y(83)*(-exp((-y(15))))-T323;
  g1(28,83)=T116*exp((-y(15)));
  g1(28,85)=T4458;
  g1(29,7)=(-T2004);
  g1(29,12)=(-T2463);
  g1(29,13)=(-T2674);
  g1(29,14)=y(84)*T116-T116*y(83)*exp((-y(15)))-T334;
  g1(29,15)=(-(T116*y(83)*(-exp((-y(15))))));
  g1(29,83)=(-(T116*exp((-y(15)))));
  g1(29,84)=T116-T80*T89*T116*T112*params(5)*params(29)/(T126*params(3)*T80);
  g1(30,7)=T1930;
  g1(30,8)=(-(exp(y(9))*y(82)*T249*T339*T2249));
  g1(30,9)=T2295-(exp(y(9))*y(82)*T249*T339*T2300+T254*(exp(y(9))*y(82)*T249*T339+exp(y(9))*y(82)*T249*exp(y(9))*getPowerDeriv(exp(y(9)),T243-1,1)))-exp(y(9))*y(102)*params(33);
  g1(30,81)=T4409;
  g1(30,82)=(-(T254*T339*T249*exp(y(9))));
  g1(30,102)=(-(exp(y(9))*params(33)));
  g1(31,21)=y(91)*exp((-y(43)))*exp(y(21));
  g1(31,43)=exp(y(21))*y(91)*(-exp((-y(43))));
  g1(31,62)=(-1);
  g1(31,65)=(-params(3));
  g1(31,91)=exp((-y(43)))*exp(y(21));
  g1(32,21)=(-(y(91)*exp((-y(43)))*exp(y(21))));
  g1(32,43)=(-(exp(y(21))*y(91)*(-exp((-y(43))))));
  g1(32,65)=1;
  g1(32,91)=(-(exp((-y(43)))*exp(y(21))));
  g1(33,22)=(-(y(92)*exp((-y(44)))*exp(y(22))));
  g1(33,44)=(-(exp(y(22))*y(92)*(-exp((-y(44))))));
  g1(33,66)=(-params(3));
  g1(33,92)=(-(exp((-y(44)))*exp(y(22))));
  g1(34,22)=y(92)*exp((-y(44)))*exp(y(22));
  g1(34,44)=exp(y(22))*y(92)*(-exp((-y(44))));
  g1(34,66)=1;
  g1(34,92)=exp((-y(44)))*exp(y(22));
  g1(35,7)=(T399*T89*T112*params(5)*y(79)*T1896-T80*T89*T112*params(5)*y(79)*T2007)/(T399*T399)-(T422*(T213-1)*T89*T209*T112*params(29)*y(85)*params(5)*params(34)*T1896-T80*T89*T209*T112*params(29)*y(85)*params(5)*params(34)*(T213-1)*T122^T213*T2007)/(T422*T422)-(T408*T80*params(3)*T379*(1+params(27))*(1+params(25))*T89*T116*T112*params(29)*y(84)*params(5)*params(34)*T1896-(1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*y(84)*params(5)*params(34)*T408*params(3)*T379*T1896)/(T408*T80*params(3)*T379*T408*T80*params(3)*T379);
  g1(35,10)=(-(T91*y(91)*exp((-y(48)))));
  g1(35,12)=(-(T89*y(90)*exp((-y(47)))))+T80*(T89*T112*params(5)*y(79)+T89*params(5)*y(79)*(-T112))/T399-(T213-1)*T80*(T89*T209*T112*params(29)*y(85)*params(5)*params(34)+T89*T209*params(29)*y(85)*params(5)*params(34)*(-T112))/T422-(1+params(27))*(1+params(25))*T80*(T89*T116*T112*params(29)*y(84)*params(5)*params(34)+T89*T116*params(29)*y(84)*params(5)*params(34)*(-T112))/(T408*T80*params(3)*T379);
  g1(35,13)=(-(params(29)*params(34)*y(86)*(T382*params(27)*2*y(13)+T379*T2633*getPowerDeriv(T122,T381,1))))/(T383*T383)+(-(T80*T89*T112*params(5)*y(79)*T80*params(3)*2*y(13)))/(T399*T399)-(-((1+params(27))*(1+params(25))*exp(y(42))*params(29)*params(34)*y(87)*(T408*params(27)*2*y(13)+T379*T2633*getPowerDeriv(T122,1+T125,1))))/(T379*T408*T379*T408)-(-(T80*T89*T209*T112*params(29)*y(85)*params(5)*params(34)*(T213-1)*T2707))/(T422*T422)-(-((1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*y(84)*params(5)*params(34)*T2716))/(T408*T80*params(3)*T379*T408*T80*params(3)*T379);
  g1(35,14)=(-T436);
  g1(35,15)=(-T423);
  g1(35,42)=(-T410);
  g1(35,47)=(-(T89*y(90)*(-exp((-y(47))))));
  g1(35,48)=(-(T91*y(91)*(-exp((-y(48))))));
  g1(35,79)=T80*T89*params(5)*T112/T399;
  g1(35,84)=T4439;
  g1(35,85)=T4464;
  g1(35,86)=params(29)*params(34)/T383;
  g1(35,87)=T4482;
  g1(35,90)=(-(T89*exp((-y(47)))));
  g1(35,91)=(-(T91*exp((-y(48)))));
  g1(36,16)=T446*(y(83)*T440*T444+y(83)*T440*T2868)+(y(86)*T440*(params(29)-1)*T452-y(86)*T440*(params(29)-1)*params(27)*T440*getPowerDeriv(T440,T381,1))/(T452*T452)-((params(29)-1)*(1+params(27))*(1+params(25))*y(87)*T440*T460-(params(29)-1)*(1+params(27))*(1+params(25))*y(87)*T440*params(27)*T440*getPowerDeriv(T440,1+T125,1))/(T460*T460);
  g1(36,83)=T446*T440*T444;
  g1(36,86)=T440*(params(29)-1)/T452;
  g1(36,87)=(-((params(29)-1)*(1+params(27))*(1+params(25))*T440/T460));
  g1(37,7)=params(50)*y(107)*params(49)*params(51)*exp((-y(19)))*T1896;
  g1(37,12)=(-(exp((-y(19)))*y(95)*(-T112)));
  g1(37,19)=T465*y(109)*exp((-y(45)))+T465*y(81)*T475+y(108)*T465-T112*y(95)*(-exp((-y(19))))+T80*params(50)*y(107)*params(49)*params(51)*(-exp((-y(19))));
  g1(37,29)=T465*y(81)*(-T475);
  g1(37,45)=T465*y(109)*(-exp((-y(45))));
  g1(37,67)=(-params(3));
  g1(37,81)=T465*T475;
  g1(37,95)=(-(T112*exp((-y(19)))));
  g1(37,107)=T80*exp((-y(19)))*params(51)*params(50)*params(49);
  g1(37,108)=T465;
  g1(37,109)=T465*exp((-y(45)));
  g1(38,19)=(-(T465*y(109)*exp((-y(45)))));
  g1(38,45)=(-(T465*y(109)*(-exp((-y(45))))));
  g1(38,67)=1;
  g1(38,109)=(-(T465*exp((-y(45)))));
  g1(39,18)=(-((-(y(79)*2*(1+y(18))))/(T494*T494)));
  g1(39,68)=(-params(3));
  g1(39,79)=(-(1/T494));
  g1(40,68)=1;
  g1(41,7)=T1996+T2004+T89*y(80)*T2035-y(84)*T2046-(T80*y(13)*T89*T112*params(5)*y(79)*T1896-T80*T89*T112*params(5)*y(79)*y(13)*T1896)/(T80*y(13)*T80*y(13))+(T80*params(3)*y(13)*T89*T112*params(5)*y(79)*T1896-T80*T89*T112*params(5)*y(79)*params(3)*y(13)*T1896)/(T80*params(3)*y(13)*T80*params(3)*y(13))-(T80*T215*T89*T209*T112*params(29)*params(5)*y(85)*T1896-T215*T80*T89*T209*T112*params(29)*params(5)*y(85)*T1896)/(T80*T80);
  g1(41,8)=T89*y(80)*T2257;
  g1(41,10)=(-(y(84)*T2354));
  g1(41,12)=T2456+T2463+T89*y(80)*T500-y(84)*T2497-exp((-y(19)))*y(95)*(-T112)-T89*exp((-y(47)))*y(13)*y(90)-T80*(T89*T112*params(5)*y(79)+T89*params(5)*y(79)*(-T112))/(T80*y(13))+T80*(T89*T112*params(5)*y(79)+T89*params(5)*y(79)*(-T112))/(T80*params(3)*y(13))-T215*T80*(T89*T209*T112*params(29)*params(5)*y(85)+T89*T209*params(29)*params(5)*y(85)*(-T112))/T80;
  g1(41,13)=T2669+T2674+(-(y(84)*T2723))-T89*y(90)*exp((-y(47)))-(-(T80*T80*T89*T112*params(5)*y(79)))/(T80*y(13)*T80*y(13))+(-(params(3)*T80*T80*T89*T112*params(5)*y(79)))/(T80*params(3)*y(13)*T80*params(3)*y(13))-T80*T89*T209*T112*params(29)*params(5)*y(85)*T2651/T80;
  g1(41,14)=T334-y(84)*T513;
  g1(41,15)=T323-T215*T80*T89*T209*T112*params(29)*params(5)*y(85)/T80;
  g1(41,19)=(-(T112*y(95)*(-exp((-y(19))))));
  g1(41,47)=(-(T89*y(13)*y(90)*(-exp((-y(47))))));
  g1(41,57)=(-(y(84)*T4249));
  g1(41,69)=(-params(3));
  g1(41,79)=T4398;
  g1(41,80)=T89*T500;
  g1(41,84)=T80*T89*T116*T112*params(5)*params(29)/(T126*params(3)*T80)-T514;
  g1(41,85)=T4467;
  g1(41,90)=(-(T89*y(13)*exp((-y(47)))));
  g1(41,95)=(-(T112*exp((-y(19)))));
  g1(42,12)=T89*exp((-y(47)))*y(13)*y(90);
  g1(42,13)=T89*y(90)*exp((-y(47)));
  g1(42,47)=T89*y(13)*y(90)*(-exp((-y(47))));
  g1(42,69)=1;
  g1(42,90)=T89*y(13)*exp((-y(47)));
  g1(43,7)=(-(y(84)*T2072));
  g1(43,10)=T91*y(88)-y(84)*T2369-T91*exp((-y(48)))*y(13)*y(91)-T91*y(85)*(1+params(35)*exp(y(58)))/params(27)-T91*y(89)*params(7)*exp(y(56))-(T578+T91*params(30)*exp(y(17))*T91*getPowerDeriv(T91,params(25),1))/T288;
  g1(43,12)=(-(y(84)*T550));
  g1(43,13)=(-(T91*y(91)*exp((-y(48)))));
  g1(43,17)=(-T579);
  g1(43,48)=(-(T91*y(13)*y(91)*(-exp((-y(48))))));
  g1(43,56)=(-(T91*y(89)*params(7)*exp(y(56))));
  g1(43,57)=(-(y(84)*T4261))-(-(T578*exp(y(57))*getPowerDeriv(exp(y(57)),params(25),1)))/(T288*T288);
  g1(43,58)=(-(T91*y(85)*params(35)*exp(y(58))/params(27)));
  g1(43,70)=(-params(3));
  g1(43,84)=(-T550);
  g1(43,85)=(-(T91*(1+params(35)*exp(y(58)))/params(27)));
  g1(43,88)=T91;
  g1(43,89)=(-(T91*params(7)*exp(y(56))));
  g1(43,91)=(-(T91*y(13)*exp((-y(48)))));
  g1(44,10)=T91*exp((-y(48)))*y(13)*y(91);
  g1(44,13)=T91*y(91)*exp((-y(48)));
  g1(44,48)=T91*y(13)*y(91)*(-exp((-y(48))));
  g1(44,70)=1;
  g1(44,91)=T91*y(13)*exp((-y(48)));
  g1(45,24)=y(96)*T586-y(98)*T3022+T598*T586*params(12)*y(107)*params(47)*params(48)+T586*params(12)*y(107)*params(47)*params(48)*T3006-T3032+T3038-(T622*y(30)*(T598*T593*T586*T475*params(12)*params(13)*y(93)+T593*T586*T475*params(12)*params(13)*y(93)*T3006)-T598*T593*T586*T475*params(12)*params(13)*y(93)*y(30)*T3015)/(T622*y(30)*T622*y(30))+(T691*(T622*T593*T586*T475*params(12)*params(13)*y(93)+T593*T586*T475*params(12)*params(13)*y(93)*T3015)-T622*T593*T586*T475*params(12)*params(13)*y(93)*params(3)*y(30)*T586*getPowerDeriv(T586,1+params(12),1))/(T691*T691)-(T622*T707*(T598*T703+T703*T3006)-T598*T703*T707*T3015)/(T622*T622)+(T713*T707*(T622*T703+T703*T3015)-T707*T622*T703*T3072)/(T713*T713)+(T629*T713*(T622*T593*T618*T586*T475*params(28)*params(12)*y(98)*params(13)+T593*T618*T586*T475*params(28)*params(12)*y(98)*params(13)*T3015)-T622*T593*T618*T586*T475*params(28)*params(12)*y(98)*params(13)*T629*T3072)/(T629*T713*T629*T713);
  g1(45,25)=T3337;
  g1(45,26)=(-T3392);
  g1(45,27)=(-(y(98)*T3439));
  g1(45,29)=T675+(-(y(98)*T3513))-T598*(T593*T586*T475*params(12)*params(13)*y(93)+T593*T586*params(12)*params(13)*y(93)*(-T475))/(T622*y(30))+T622*(T593*T586*T475*params(12)*params(13)*y(93)+T593*T586*params(12)*params(13)*y(93)*(-T475))/T691-T707*T598*(T703+T593*T701*T586*params(28)*params(12)*params(13)*y(99)*(-T475))/T622+T707*T622*(T703+T593*T701*T586*params(28)*params(12)*params(13)*y(99)*(-T475))/T713+T622*(T593*T618*T586*T475*params(28)*params(12)*y(98)*params(13)+T593*T618*T586*params(28)*params(12)*y(98)*params(13)*(-T475))/(T629*T713);
  g1(45,30)=(-(y(98)*T3736))-(-(T622*T598*T593*T586*T475*params(12)*params(13)*y(93)))/(T622*y(30)*T622*y(30))+(-(T622*T593*T586*T475*params(12)*params(13)*y(93)*T713))/(T691*T691)-T598*T703*T3748/T622+T622*T703*T3748/T713+(-(T622*T593*T618*T586*T475*params(28)*params(12)*y(98)*params(13)*T713*T3732))/(T629*T713*T629*T713);
  g1(45,31)=T725+(-(y(98)*T631));
  g1(45,32)=T707*T622*T703/T713+(-(T598*T703*T707/T622));
  g1(45,60)=(-(y(98)*(1+params(26))*T586*params(36)*params(12)*T593*T595*T598*T4307/params(26)));
  g1(45,93)=T4515;
  g1(45,94)=T4530;
  g1(45,95)=(-T4538);
  g1(45,96)=T586;
  g1(45,98)=T4555;
  g1(45,99)=T4579;
  g1(45,107)=T598*T586*params(12)*params(47)*params(48);
  g1(46,24)=(-T3038);
  g1(46,25)=(-y(102))*exp(y(25))-(T745*(exp(y(25))*y(96)*T731*T736+exp(y(25))*y(96)*T731*exp(y(25))*getPowerDeriv(exp(y(25)),T734-1,1))+exp(y(25))*y(96)*T731*T736*T3346)-T3337;
  g1(46,26)=(-(exp(y(25))*y(96)*T731*T736*T3397));
  g1(46,29)=(-T675);
  g1(46,94)=(-T4530);
  g1(46,96)=(-(T745*T736*exp(y(25))*T731));
  g1(46,102)=(-exp(y(25)));
  g1(47,20)=(-((-(y(109)*exp(y(23))))/(y(20)*y(20))))+y(110)*exp(y(40))/T758;
  g1(47,23)=(-(y(109)*exp(y(23))/y(20)));
  g1(47,37)=(-(exp(y(40))*y(110)*y(20)*2*y(37)))/(T758*T758);
  g1(47,40)=exp(y(40))*y(110)*y(20)/T758;
  g1(47,104)=1;
  g1(47,106)=1;
  g1(47,109)=T4063;
  g1(47,110)=exp(y(40))*y(20)/T758;
  g1(48,34)=y(101)*exp(y(34));
  g1(48,71)=(-params(3));
  g1(48,101)=exp(y(34));
  g1(49,30)=(-((-(params(28)*y(101)*exp(y(49))*T3732))/(T629*T629)));
  g1(49,49)=(-(params(28)*y(101)*exp(y(49))/T629));
  g1(49,71)=1;
  g1(49,101)=(-(params(28)*exp(y(49))/T629));
  g1(50,20)=(-(y(110)*exp(y(40))/y(37)));
  g1(50,37)=(-((-(exp(y(40))*y(110)*y(20)))/(y(37)*y(37))));
  g1(50,40)=(-(exp(y(40))*y(110)*y(20)/y(37)));
  g1(50,63)=(-1);
  g1(50,110)=T4074;
  g1(51,28)=y(103)*exp(y(28))-y(102)*exp(y(28));
  g1(51,102)=(-exp(y(28)));
  g1(51,103)=exp(y(28));
  g1(52,24)=(-T3096);
  g1(52,29)=(-T3555);
  g1(52,30)=(-T3766);
  g1(52,31)=T618*y(97)*exp((-y(32)));
  g1(52,32)=y(99)*T701+T618*y(97)*(-exp((-y(32))))-T801;
  g1(52,97)=T618*exp((-y(32)));
  g1(52,99)=T4585;
  g1(53,24)=(-T3104);
  g1(53,29)=(-T3562);
  g1(53,30)=(-T3771);
  g1(53,31)=y(98)*T618-T618*y(97)*exp((-y(32)))-T812;
  g1(53,32)=(-(T618*y(97)*(-exp((-y(32))))));
  g1(53,97)=(-(T618*exp((-y(32)))));
  g1(53,98)=T618-T622*T593*T618*T475*params(13)*params(28)/(T629*params(3)*T622);
  g1(54,24)=T3032;
  g1(54,25)=(-(exp(y(26))*y(96)*T740*T817*T3346));
  g1(54,26)=T3392-(exp(y(26))*y(96)*T740*T817*T3397+T745*(exp(y(26))*y(96)*T740*T817+exp(y(26))*y(96)*T740*exp(y(26))*getPowerDeriv(exp(y(26)),T734-1,1)))-y(88)*exp(y(26))/params(33);
  g1(54,88)=(-(exp(y(26))/params(33)));
  g1(54,95)=T4538;
  g1(54,96)=(-(T745*T817*T740*exp(y(26))));
  g1(55,38)=y(105)*exp((-y(50)))*exp(y(38));
  g1(55,50)=exp(y(38))*y(105)*(-exp((-y(50))));
  g1(55,72)=(-params(3));
  g1(55,105)=exp((-y(50)))*exp(y(38));
  g1(56,38)=(-(y(105)*exp((-y(50)))*exp(y(38))));
  g1(56,50)=(-(exp(y(38))*y(105)*(-exp((-y(50))))));
  g1(56,72)=1;
  g1(56,105)=(-(exp((-y(50)))*exp(y(38))));
  g1(57,39)=(-(y(106)*exp((-y(51)))*exp(y(39))));
  g1(57,51)=(-(exp(y(39))*y(106)*(-exp((-y(51))))));
  g1(57,73)=(-params(3));
  g1(57,106)=(-(exp((-y(51)))*exp(y(39))));
  g1(58,39)=y(106)*exp((-y(51)))*exp(y(39));
  g1(58,51)=exp(y(39))*y(106)*(-exp((-y(51))));
  g1(58,73)=1;
  g1(58,106)=exp((-y(51)))*exp(y(39));
  g1(59,24)=(T873*T593*T475*params(13)*y(93)*T3015-T622*T593*T475*params(13)*y(93)*T3107)/(T873*T873)-(T896*(T705-1)*T593*T701*T475*params(28)*y(99)*params(13)*params(39)*T3015-T622*T593*T701*T475*params(28)*y(99)*params(13)*params(39)*(T705-1)*T625^T705*T3107)/(T896*T896)-(T882*T622*params(3)*T853*(1+params(26))*(1+params(24))*T593*T618*T475*params(28)*y(98)*params(13)*params(39)*T3015-(1+params(26))*(1+params(24))*T622*T593*T618*T475*params(28)*y(98)*params(13)*params(39)*T882*params(3)*T853*T3015)/(T882*T622*params(3)*T853*T882*T622*params(3)*T853);
  g1(59,27)=(-(T595*y(105)*exp((-y(55)))));
  g1(59,29)=(-(T593*y(104)*exp((-y(54)))))+T622*(T593*T475*params(13)*y(93)+T593*params(13)*y(93)*(-T475))/T873-(T705-1)*T622*(T593*T701*T475*params(28)*y(99)*params(13)*params(39)+T593*T701*params(28)*y(99)*params(13)*params(39)*(-T475))/T896-(1+params(26))*(1+params(24))*T622*(T593*T618*T475*params(28)*y(98)*params(13)*params(39)+T593*T618*params(28)*y(98)*params(13)*params(39)*(-T475))/(T882*T622*params(3)*T853);
  g1(59,30)=(-(params(28)*params(39)*y(100)*(T856*params(26)*2*y(30)+T853*T3730*getPowerDeriv(T625,T855,1))))/(T857*T857)+(-(T622*T593*T475*params(13)*y(93)*T622*params(3)*2*y(30)))/(T873*T873)-(-((1+params(26))*(1+params(24))*exp(y(49))*params(28)*params(39)*y(101)*(T882*params(26)*2*y(30)+T853*T3730*getPowerDeriv(T625,1+T628,1))))/(T853*T882*T853*T882)-(-(T622*T593*T701*T475*params(28)*y(99)*params(13)*params(39)*(T705-1)*T3804))/(T896*T896)-(-((1+params(26))*(1+params(24))*T622*T593*T618*T475*params(28)*y(98)*params(13)*params(39)*T3813))/(T882*T622*params(3)*T853*T882*T622*params(3)*T853);
  g1(59,31)=(-T910);
  g1(59,32)=(-T897);
  g1(59,49)=(-T884);
  g1(59,54)=(-(T593*y(104)*(-exp((-y(54))))));
  g1(59,55)=(-(T595*y(105)*(-exp((-y(55))))));
  g1(59,93)=T622*T593*T475*params(13)/T873;
  g1(59,98)=T4566;
  g1(59,99)=T4591;
  g1(59,100)=params(28)*params(39)/T857;
  g1(59,101)=T4609;
  g1(59,104)=(-(T593*exp((-y(54)))));
  g1(59,105)=(-(T595*exp((-y(55)))));
  g1(60,33)=T920*(y(97)*T914*T918+y(97)*T914*T3965)+(y(100)*T914*(params(28)-1)*T926-y(100)*T914*(params(28)-1)*params(26)*T914*getPowerDeriv(T914,T855,1))/(T926*T926)-((params(28)-1)*(1+params(26))*(1+params(24))*y(101)*T914*T934-(params(28)-1)*(1+params(26))*(1+params(24))*y(101)*T914*params(26)*T914*getPowerDeriv(T914,1+T628,1))/(T934*T934);
  g1(60,97)=T920*T914*T918;
  g1(60,100)=T914*(params(28)-1)/T926;
  g1(60,101)=(-((params(28)-1)*(1+params(26))*(1+params(24))*T914/T934));
  g1(61,36)=y(110)*exp((-y(52)))*exp(y(36))+y(108)*(-exp((-y(36))));
  g1(61,52)=exp(y(36))*y(110)*(-exp((-y(52))));
  g1(61,74)=(-params(3));
  g1(61,108)=exp((-y(36)));
  g1(61,110)=exp((-y(52)))*exp(y(36));
  g1(62,36)=(-(y(110)*exp((-y(52)))*exp(y(36))));
  g1(62,52)=(-(exp(y(36))*y(110)*(-exp((-y(52))))));
  g1(62,74)=1;
  g1(62,110)=(-(exp((-y(52)))*exp(y(36))));
  g1(63,35)=(-((-(y(93)*2*(1+y(35))))/(T957*T957)));
  g1(63,75)=(-params(3));
  g1(63,93)=(-(1/T957));
  g1(64,75)=1;
  g1(65,19)=(-(T465*y(81)*T475));
  g1(65,24)=T3096+T3104+T593*y(94)*T3134-y(98)*T3145-(T622*y(30)*T593*T475*params(13)*y(93)*T3015-T622*T593*T475*params(13)*y(93)*y(30)*T3015)/(T622*y(30)*T622*y(30))+(T622*params(3)*y(30)*T593*T475*params(13)*y(93)*T3015-T622*T593*T475*params(13)*y(93)*params(3)*y(30)*T3015)/(T622*params(3)*y(30)*T622*params(3)*y(30))-(T622*T707*T593*T701*T475*params(28)*params(13)*y(99)*T3015-T707*T622*T593*T701*T475*params(28)*params(13)*y(99)*T3015)/(T622*T622);
  g1(65,25)=T593*y(94)*T3354;
  g1(65,27)=(-(y(98)*T3446));
  g1(65,29)=T3555+T3562+T593*y(94)*T963-y(98)*T3594-T465*y(81)*(-T475)-T593*exp((-y(54)))*y(30)*y(104)-T622*(T593*T475*params(13)*y(93)+T593*params(13)*y(93)*(-T475))/(T622*y(30))+T622*(T593*T475*params(13)*y(93)+T593*params(13)*y(93)*(-T475))/(T622*params(3)*y(30))-T707*T622*(T593*T701*T475*params(28)*params(13)*y(99)+T593*T701*params(28)*params(13)*y(99)*(-T475))/T622;
  g1(65,30)=T3766+T3771+(-(y(98)*T3820))-T593*y(104)*exp((-y(54)))-(-(T622*T622*T593*T475*params(13)*y(93)))/(T622*y(30)*T622*y(30))+(-(params(3)*T622*T622*T593*T475*params(13)*y(93)))/(T622*params(3)*y(30)*T622*params(3)*y(30))-T622*T593*T701*T475*params(28)*params(13)*y(99)*T3748/T622;
  g1(65,31)=T812-y(98)*T976;
  g1(65,32)=T801-T707*T622*T593*T701*T475*params(28)*params(13)*y(99)/T622;
  g1(65,54)=(-(T593*y(30)*y(104)*(-exp((-y(54))))));
  g1(65,60)=(-(y(98)*T4315));
  g1(65,76)=(-params(3));
  g1(65,81)=(-(T465*T475));
  g1(65,93)=T4525;
  g1(65,94)=T593*T963;
  g1(65,98)=T622*T593*T618*T475*params(13)*params(28)/(T629*params(3)*T622)-T977;
  g1(65,99)=T4594;
  g1(65,104)=(-(T593*y(30)*exp((-y(54)))));
  g1(66,29)=T593*exp((-y(54)))*y(30)*y(104);
  g1(66,30)=T593*y(104)*exp((-y(54)));
  g1(66,54)=T593*y(30)*y(104)*(-exp((-y(54))));
  g1(66,76)=1;
  g1(66,104)=T593*y(30)*exp((-y(54)));
  g1(67,24)=(-(y(98)*T3171));
  g1(67,27)=y(102)*T595-y(98)*T3461-T595*exp((-y(55)))*y(30)*y(105)-T595*y(99)*(1+params(40)*exp(y(61)))/params(26)-T595*y(103)*params(15)*exp(y(59));
  g1(67,29)=(-(y(98)*T1013));
  g1(67,30)=(-(T595*y(105)*exp((-y(55)))));
  g1(67,55)=(-(T595*y(30)*y(105)*(-exp((-y(55))))));
  g1(67,59)=(-(T595*y(103)*params(15)*exp(y(59))));
  g1(67,60)=(-(y(98)*T4327));
  g1(67,61)=(-(T595*y(99)*params(40)*exp(y(61))/params(26)));
  g1(67,77)=(-params(3));
  g1(67,98)=(-T1013);
  g1(67,99)=(-(T595*(1+params(40)*exp(y(61)))/params(26)));
  g1(67,102)=T595;
  g1(67,103)=(-(T595*params(15)*exp(y(59))));
  g1(67,105)=(-(T595*y(30)*exp((-y(55)))));
  g1(68,27)=T595*exp((-y(55)))*y(30)*y(105);
  g1(68,30)=T595*y(105)*exp((-y(55)));
  g1(68,55)=T595*y(30)*y(105)*(-exp((-y(55))));
  g1(68,77)=1;
  g1(68,105)=T595*y(30)*exp((-y(55)));
  g1(69,62)=1;
  g1(70,78)=1-params(5)/params(3);
  g1(71,7)=T78*y(131)-y(133)*T1918-(T80*T78*y(127)-T78*y(127)*T1896)/(T80*T80)-T2084-(T94*T78*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)*y(156)+T78*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)*y(156)*T1904)+T2091-(T80*y(13)*(T94*T89*T78*T112*params(4)*params(5)*y(128)+T89*T78*T112*params(4)*params(5)*y(128)*T1904)-T94*T89*T78*T112*params(4)*params(5)*y(128)*y(13)*T1896)/(T80*y(13)*T80*y(13))+(T199*(T80*T89*T78*T112*params(4)*params(5)*y(128)+T89*T78*T112*params(4)*params(5)*y(128)*T1896)-T80*T89*T78*T112*params(4)*params(5)*y(128)*params(3)*y(13)*T78*getPowerDeriv(T78,1+params(4),1))/(T199*T199)-(T80*T215*(T94*T1099+T1099*T1904)-T215*T94*T1099*T1896)/(T80*T80)+(T221*T215*(T80*T1099+T1099*T1896)-T215*T80*T1099*T1972)/(T221*T221)+(T126*T221*(T80*T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)+T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)*T1896)-T80*T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)*T126*T1972)/(T126*T221*T126*T221);
  g1(71,8)=T2265;
  g1(71,9)=(-T2317);
  g1(71,10)=(-(y(133)*T2342));
  g1(71,12)=T1080+(-(y(133)*T2414))-T94*(T89*T78*T112*params(4)*params(5)*y(128)+T89*T78*params(4)*params(5)*y(128)*(-T112))/(T80*y(13))+T80*(T89*T78*T112*params(4)*params(5)*y(128)+T89*T78*params(4)*params(5)*y(128)*(-T112))/T199-T215*T94*(T1099+T89*T209*T78*params(29)*params(4)*params(5)*y(134)*(-T112))/T80+T215*T80*(T1099+T89*T209*T78*params(29)*params(4)*params(5)*y(134)*(-T112))/T221+T80*(T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)+T89*T116*T78*params(29)*params(4)*params(5)*y(133)*(-T112))/(T126*T221);
  g1(71,13)=(-(y(133)*T2639))-(-(T80*T94*T89*T78*T112*params(4)*params(5)*y(128)))/(T80*y(13)*T80*y(13))+(-(T221*T80*T89*T78*T112*params(4)*params(5)*y(128)))/(T199*T199)-T94*T1099*T2651/T80+T80*T1099*T2651/T221+(-(T80*T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)*T221*T2635))/(T126*T221*T126*T221);
  g1(71,14)=T80*T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)/(T126*T221)+(-(T128*y(133)));
  g1(71,15)=T215*T80*T1099/T221+(-(T215*T94*T1099/T80));
  g1(71,19)=(-(T94*T78*params(4)*params(51)*params(50)*params(49)*y(156)*(-exp((-y(19))))));
  g1(71,57)=(-(y(133)*(1+params(27))*T78*params(4)*params(30)*T89*T91*T94*T4233/params(27)));
  g1(71,127)=(-(T78/T80));
  g1(71,128)=T4388;
  g1(71,129)=T4403;
  g1(71,130)=(-T4409);
  g1(71,131)=T78;
  g1(71,133)=T4428;
  g1(71,134)=T4452;
  g1(71,156)=(-(T94*T78*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)));
  g1(72,7)=(-T2091);
  g1(72,8)=exp(y(8))*(-y(137))-(T245*exp(y(8))*T240*y(131)*T2249+T254*(T245*exp(y(8))*T240*y(131)+exp(y(8))*T240*y(131)*exp(y(8))*getPowerDeriv(exp(y(8)),T243-1,1)))-T2265;
  g1(72,9)=(-(T245*exp(y(8))*T240*y(131)*T2300));
  g1(72,12)=(-T1080);
  g1(72,129)=(-T4403);
  g1(72,131)=(-(T254*T245*exp(y(8))*T240));
  g1(72,137)=(-exp(y(8)));
  g1(73,20)=(-(exp(y(23))*y(37)*y(158)*2*y(20)))/(T274*T274);
  g1(73,23)=exp(y(23))*y(37)*y(158)/T274;
  g1(73,37)=(-((-(exp(y(40))*y(159)))/(y(37)*y(37))))+exp(y(23))*y(158)/T274;
  g1(73,40)=(-(exp(y(40))*y(159)/y(37)));
  g1(73,139)=1;
  g1(73,141)=1;
  g1(73,158)=y(37)*exp(y(23))/T274;
  g1(73,159)=T2996;
  g1(74,17)=exp(y(17))*y(136);
  g1(74,113)=(-params(3));
  g1(74,136)=exp(y(17));
  g1(75,13)=(-((-(exp(y(42))*params(29)*y(136)*T2635))/(T126*T126)));
  g1(75,42)=(-(exp(y(42))*params(29)*y(136)/T126));
  g1(75,113)=1;
  g1(75,136)=(-(params(29)*exp(y(42))/T126));
  g1(76,20)=exp(y(23))*y(37)*y(158)/(y(20)*y(20));
  g1(76,23)=(-(exp(y(23))*y(37)*y(158)))/y(20);
  g1(76,37)=(-(exp(y(23))*y(158)))/y(20);
  g1(76,158)=(-(y(37)*exp(y(23))))/y(20);
  g1(77,11)=exp(y(11))*y(138)-exp(y(11))*y(137);
  g1(77,137)=(-exp(y(11)));
  g1(77,138)=exp(y(11));
  g1(78,7)=(-T2136);
  g1(78,12)=(-T2552);
  g1(78,13)=(-T2764);
  g1(78,14)=T116*exp((-y(15)))*y(132);
  g1(78,15)=T209*y(134)+T116*y(132)*(-exp((-y(15))))-T1172;
  g1(78,132)=T116*exp((-y(15)));
  g1(78,134)=T4458;
  g1(79,7)=(-T2142);
  g1(79,12)=(-T2559);
  g1(79,13)=(-T2768);
  g1(79,14)=T116*y(133)-T116*exp((-y(15)))*y(132)-T1183;
  g1(79,15)=(-(T116*y(132)*(-exp((-y(15))))));
  g1(79,132)=(-(T116*exp((-y(15)))));
  g1(79,133)=T116-T80*T89*T116*T112*params(5)*params(29)/(T126*params(3)*T80);
  g1(80,7)=T2084;
  g1(80,8)=(-(T339*exp(y(9))*T249*y(131)*T2249));
  g1(80,9)=T2317-(T339*exp(y(9))*T249*y(131)*T2300+T254*(T339*exp(y(9))*T249*y(131)+exp(y(9))*T249*y(131)*exp(y(9))*getPowerDeriv(exp(y(9)),T243-1,1)))-exp(y(9))*params(33)*y(151);
  g1(80,130)=T4409;
  g1(80,131)=(-(T254*T339*T249*exp(y(9))));
  g1(80,151)=(-(exp(y(9))*params(33)));
  g1(81,21)=exp(y(21))*exp((-y(43)))*y(140);
  g1(81,43)=exp(y(21))*y(140)*(-exp((-y(43))));
  g1(81,111)=(-1);
  g1(81,114)=(-params(3));
  g1(81,140)=exp((-y(43)))*exp(y(21));
  g1(82,21)=(-(exp(y(21))*exp((-y(43)))*y(140)));
  g1(82,43)=(-(exp(y(21))*y(140)*(-exp((-y(43))))));
  g1(82,114)=1;
  g1(82,140)=(-(exp((-y(43)))*exp(y(21))));
  g1(83,22)=(-(exp(y(22))*exp((-y(44)))*y(141)));
  g1(83,44)=(-(exp(y(22))*y(141)*(-exp((-y(44))))));
  g1(83,115)=(-params(3));
  g1(83,141)=(-(exp((-y(44)))*exp(y(22))));
  g1(84,22)=exp(y(22))*exp((-y(44)))*y(141);
  g1(84,44)=exp(y(22))*y(141)*(-exp((-y(44))));
  g1(84,115)=1;
  g1(84,141)=exp((-y(44)))*exp(y(22));
  g1(85,7)=(T399*T89*T112*params(5)*y(128)*T1896-T80*T89*T112*params(5)*y(128)*T2007)/(T399*T399)-(T422*(T213-1)*T89*T209*T112*params(29)*params(5)*params(34)*y(134)*T1896-(T213-1)*T80*T89*T209*T112*params(29)*params(5)*params(34)*y(134)*T122^T213*T2007)/(T422*T422)-(T408*T80*params(3)*T379*(1+params(27))*(1+params(25))*T89*T116*T112*params(29)*params(5)*params(34)*y(133)*T1896-(1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*params(5)*params(34)*y(133)*T408*params(3)*T379*T1896)/(T408*T80*params(3)*T379*T408*T80*params(3)*T379);
  g1(85,10)=(-(T91*exp((-y(48)))*y(140)));
  g1(85,12)=(-(T89*exp((-y(47)))*y(139)))+T80*(T89*T112*params(5)*y(128)+T89*params(5)*y(128)*(-T112))/T399-(T213-1)*T80*(T89*T209*T112*params(29)*params(5)*params(34)*y(134)+T89*T209*params(29)*params(5)*params(34)*y(134)*(-T112))/T422-(1+params(27))*(1+params(25))*T80*(T89*T116*T112*params(29)*params(5)*params(34)*y(133)+T89*T116*params(29)*params(5)*params(34)*y(133)*(-T112))/(T408*T80*params(3)*T379);
  g1(85,13)=(-(params(29)*params(34)*y(135)*(T382*params(27)*2*y(13)+T379*T2633*getPowerDeriv(T122,T381,1))))/(T383*T383)+(-(T80*T89*T112*params(5)*y(128)*T80*params(3)*2*y(13)))/(T399*T399)-(-((1+params(27))*(1+params(25))*exp(y(42))*params(29)*params(34)*y(136)*(T408*params(27)*2*y(13)+T379*T2633*getPowerDeriv(T122,1+T125,1))))/(T379*T408*T379*T408)-(-((T213-1)*T80*T89*T209*T112*params(29)*params(5)*params(34)*y(134)*T2707))/(T422*T422)-(-((1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*params(5)*params(34)*y(133)*T2716))/(T408*T80*params(3)*T379*T408*T80*params(3)*T379);
  g1(85,14)=(-T1256);
  g1(85,15)=(-T1246);
  g1(85,42)=(-T1237);
  g1(85,47)=(-(T89*y(139)*(-exp((-y(47))))));
  g1(85,48)=(-(T91*y(140)*(-exp((-y(48))))));
  g1(85,128)=T80*T89*params(5)*T112/T399;
  g1(85,133)=T4439;
  g1(85,134)=T4464;
  g1(85,135)=params(29)*params(34)/T383;
  g1(85,136)=T4482;
  g1(85,139)=(-(T89*exp((-y(47)))));
  g1(85,140)=(-(T91*exp((-y(48)))));
  g1(86,16)=T446*(T444*T440*y(132)+T440*y(132)*T2868)+(T452*(params(29)-1)*T440*y(135)-(params(29)-1)*T440*y(135)*params(27)*T440*getPowerDeriv(T440,T381,1))/(T452*T452)-(T460*(params(29)-1)*(1+params(27))*(1+params(25))*T440*y(136)-(params(29)-1)*(1+params(27))*(1+params(25))*T440*y(136)*params(27)*T440*getPowerDeriv(T440,1+T125,1))/(T460*T460);
  g1(86,132)=T446*T440*T444;
  g1(86,135)=T440*(params(29)-1)/T452;
  g1(86,136)=(-((params(29)-1)*(1+params(27))*(1+params(25))*T440/T460));
  g1(87,7)=exp((-y(19)))*params(51)*params(50)*params(49)*y(156)*T1896;
  g1(87,12)=(-(exp((-y(19)))*y(144)*(-T112)));
  g1(87,19)=T465*exp((-y(45)))*y(158)+T465*T475*y(130)+T465*y(157)-T112*y(144)*(-exp((-y(19))))+T80*params(51)*params(50)*params(49)*y(156)*(-exp((-y(19))));
  g1(87,29)=T465*y(130)*(-T475);
  g1(87,45)=T465*y(158)*(-exp((-y(45))));
  g1(87,116)=(-params(3));
  g1(87,130)=T465*T475;
  g1(87,144)=(-(T112*exp((-y(19)))));
  g1(87,156)=T80*exp((-y(19)))*params(51)*params(50)*params(49);
  g1(87,157)=T465;
  g1(87,158)=T465*exp((-y(45)));
  g1(88,19)=(-(T465*exp((-y(45)))*y(158)));
  g1(88,45)=(-(T465*y(158)*(-exp((-y(45))))));
  g1(88,116)=1;
  g1(88,158)=(-(T465*exp((-y(45)))));
  g1(89,18)=(-((-(y(128)*2*(1+y(18))))/(T494*T494)));
  g1(89,117)=(-params(3));
  g1(89,128)=(-(1/T494));
  g1(90,117)=1;
  g1(91,7)=T2136+T2142+T89*y(129)*T2035-y(133)*T2046-(T80*y(13)*T89*T112*params(5)*y(128)*T1896-T80*T89*T112*params(5)*y(128)*y(13)*T1896)/(T80*y(13)*T80*y(13))+(T80*params(3)*y(13)*T89*T112*params(5)*y(128)*T1896-T80*T89*T112*params(5)*y(128)*params(3)*y(13)*T1896)/(T80*params(3)*y(13)*T80*params(3)*y(13))-(T80*T215*T89*T209*T112*params(29)*params(5)*y(134)*T1896-T215*T80*T89*T209*T112*params(29)*params(5)*y(134)*T1896)/(T80*T80);
  g1(91,8)=T89*y(129)*T2257;
  g1(91,10)=(-(y(133)*T2354));
  g1(91,12)=T2552+T2559+T500*T89*y(129)-y(133)*T2497-exp((-y(19)))*y(144)*(-T112)-T89*exp((-y(47)))*y(13)*y(139)-T80*(T89*T112*params(5)*y(128)+T89*params(5)*y(128)*(-T112))/(T80*y(13))+T80*(T89*T112*params(5)*y(128)+T89*params(5)*y(128)*(-T112))/(T80*params(3)*y(13))-T215*T80*(T89*T209*T112*params(29)*params(5)*y(134)+T89*T209*params(29)*params(5)*y(134)*(-T112))/T80;
  g1(91,13)=T2764+T2768+(-(y(133)*T2723))-T89*exp((-y(47)))*y(139)-(-(T80*T80*T89*T112*params(5)*y(128)))/(T80*y(13)*T80*y(13))+(-(params(3)*T80*T80*T89*T112*params(5)*y(128)))/(T80*params(3)*y(13)*T80*params(3)*y(13))-T80*T89*T209*T112*params(29)*params(5)*y(134)*T2651/T80;
  g1(91,14)=T1183-T513*y(133);
  g1(91,15)=T1172-T215*T80*T89*T209*T112*params(29)*params(5)*y(134)/T80;
  g1(91,19)=(-(T112*y(144)*(-exp((-y(19))))));
  g1(91,47)=(-(T89*y(13)*y(139)*(-exp((-y(47))))));
  g1(91,57)=(-(y(133)*T4249));
  g1(91,118)=(-params(3));
  g1(91,128)=T4398;
  g1(91,129)=T89*T500;
  g1(91,133)=T80*T89*T116*T112*params(5)*params(29)/(T126*params(3)*T80)-T514;
  g1(91,134)=T4467;
  g1(91,139)=(-(T89*y(13)*exp((-y(47)))));
  g1(91,144)=(-(T112*exp((-y(19)))));
  g1(92,12)=T89*exp((-y(47)))*y(13)*y(139);
  g1(92,13)=T89*exp((-y(47)))*y(139);
  g1(92,47)=T89*y(13)*y(139)*(-exp((-y(47))));
  g1(92,118)=1;
  g1(92,139)=T89*y(13)*exp((-y(47)));
  g1(93,7)=(-(y(133)*T2072));
  g1(93,10)=T91*y(137)-y(133)*T2369-T91*exp((-y(48)))*y(13)*y(140)-(1+params(35)*exp(y(58)))*T91*y(134)/params(27)-T91*exp(y(56))*params(7)*y(138);
  g1(93,12)=(-(T550*y(133)));
  g1(93,13)=(-(T91*exp((-y(48)))*y(140)));
  g1(93,48)=(-(T91*y(13)*y(140)*(-exp((-y(48))))));
  g1(93,56)=(-(T91*exp(y(56))*params(7)*y(138)));
  g1(93,57)=(-(y(133)*T4261));
  g1(93,58)=(-(params(35)*exp(y(58))*T91*y(134)/params(27)));
  g1(93,119)=(-params(3));
  g1(93,133)=(-T550);
  g1(93,134)=(-(T91*(1+params(35)*exp(y(58)))/params(27)));
  g1(93,137)=T91;
  g1(93,138)=(-(T91*params(7)*exp(y(56))));
  g1(93,140)=(-(T91*y(13)*exp((-y(48)))));
  g1(94,10)=T91*exp((-y(48)))*y(13)*y(140);
  g1(94,13)=T91*exp((-y(48)))*y(140);
  g1(94,48)=T91*y(13)*y(140)*(-exp((-y(48))));
  g1(94,119)=1;
  g1(94,140)=T91*y(13)*exp((-y(48)));
  g1(95,24)=T586*y(145)+(T586*T622-T586*T3015)/(T622*T622)-y(147)*T3022+T598*T586*y(156)*params(12)*params(47)*params(48)+T586*y(156)*params(12)*params(47)*params(48)*T3006-T3186+T3190-(T622*y(30)*(T598*T593*T586*T475*params(12)*params(13)*y(142)+T593*T586*T475*params(12)*params(13)*y(142)*T3006)-T598*T593*T586*T475*params(12)*params(13)*y(142)*y(30)*T3015)/(T622*y(30)*T622*y(30))+(T691*(T622*T593*T586*T475*params(12)*params(13)*y(142)+T593*T586*T475*params(12)*params(13)*y(142)*T3015)-T622*T593*T586*T475*params(12)*params(13)*y(142)*params(3)*y(30)*T586*getPowerDeriv(T586,1+params(12),1))/(T691*T691)-(T622*T707*(T598*T1392+T1392*T3006)-T707*T598*T1392*T3015)/(T622*T622)+(T713*T707*(T622*T1392+T1392*T3015)-T707*T622*T1392*T3072)/(T713*T713)+(T629*T713*(T622*T593*T618*T586*T475*params(28)*params(12)*params(13)*y(147)+T593*T618*T586*T475*params(28)*params(12)*params(13)*y(147)*T3015)-T622*T593*T618*T586*T475*params(28)*params(12)*params(13)*y(147)*T629*T3072)/(T629*T713*T629*T713);
  g1(95,25)=T3362;
  g1(95,26)=(-T3414);
  g1(95,27)=(-(y(147)*T3439));
  g1(95,29)=T1373+(-(y(147)*T3513))-T598*(T593*T586*T475*params(12)*params(13)*y(142)+T593*T586*params(12)*params(13)*y(142)*(-T475))/(T622*y(30))+T622*(T593*T586*T475*params(12)*params(13)*y(142)+T593*T586*params(12)*params(13)*y(142)*(-T475))/T691-T707*T598*(T1392+T593*T701*T586*params(28)*params(12)*params(13)*y(148)*(-T475))/T622+T707*T622*(T1392+T593*T701*T586*params(28)*params(12)*params(13)*y(148)*(-T475))/T713+T622*(T593*T618*T586*T475*params(28)*params(12)*params(13)*y(147)+T593*T618*T586*params(28)*params(12)*params(13)*y(147)*(-T475))/(T629*T713);
  g1(95,30)=(-(y(147)*T3736))-(-(T622*T598*T593*T586*T475*params(12)*params(13)*y(142)))/(T622*y(30)*T622*y(30))+(-(T713*T622*T593*T586*T475*params(12)*params(13)*y(142)))/(T691*T691)-T598*T1392*T3748/T622+T622*T1392*T3748/T713+(-(T622*T593*T618*T586*T475*params(28)*params(12)*params(13)*y(147)*T713*T3732))/(T629*T713*T629*T713);
  g1(95,31)=T622*T593*T618*T586*T475*params(28)*params(12)*params(13)*y(147)/(T629*T713)+(-(T631*y(147)));
  g1(95,32)=T707*T622*T1392/T713+(-(T707*T598*T1392/T622));
  g1(95,60)=(-(y(147)*(1+params(26))*T586*params(36)*params(12)*T593*T595*T598*T4307/params(26)));
  g1(95,142)=T4515;
  g1(95,143)=T4530;
  g1(95,144)=(-T4538);
  g1(95,145)=T586;
  g1(95,147)=T4555;
  g1(95,148)=T4579;
  g1(95,156)=T598*T586*params(12)*params(47)*params(48);
  g1(96,24)=(-T3190);
  g1(96,25)=exp(y(25))*(-y(151))-(T736*exp(y(25))*T731*y(145)*T3346+T745*(T736*exp(y(25))*T731*y(145)+exp(y(25))*T731*y(145)*exp(y(25))*getPowerDeriv(exp(y(25)),T734-1,1)))-T3362;
  g1(96,26)=(-(T736*exp(y(25))*T731*y(145)*T3397));
  g1(96,29)=(-T1373);
  g1(96,143)=(-T4530);
  g1(96,145)=(-(T745*T736*exp(y(25))*T731));
  g1(96,151)=(-exp(y(25)));
  g1(97,20)=(-((-(exp(y(23))*y(158)))/(y(20)*y(20))))+exp(y(40))*y(159)/T758;
  g1(97,23)=(-(exp(y(23))*y(158)/y(20)));
  g1(97,37)=(-(exp(y(40))*y(20)*y(159)*2*y(37)))/(T758*T758);
  g1(97,40)=exp(y(40))*y(20)*y(159)/T758;
  g1(97,153)=1;
  g1(97,155)=1;
  g1(97,158)=T4063;
  g1(97,159)=exp(y(40))*y(20)/T758;
  g1(98,27)=(-(params(36)*exp(y(34))*T595*getPowerDeriv(T595,1+params(24),1)/T1441));
  g1(98,34)=exp(y(34))*y(150)-T1442;
  g1(98,60)=(-((-(params(36)*exp(y(34))*T1437*(1+params(24))*exp(y(60))*getPowerDeriv(exp(y(60)),params(24),1)))/(T1441*T1441)));
  g1(98,120)=(-params(3));
  g1(98,150)=exp(y(34));
  g1(99,30)=(-((-(exp(y(49))*params(28)*y(150)*T3732))/(T629*T629)));
  g1(99,49)=(-(exp(y(49))*params(28)*y(150)/T629));
  g1(99,120)=1;
  g1(99,150)=(-(params(28)*exp(y(49))/T629));
  g1(100,20)=(-(exp(y(40))*y(159)/y(37)));
  g1(100,37)=(-((-(exp(y(40))*y(20)*y(159)))/(y(37)*y(37))));
  g1(100,40)=(-(exp(y(40))*y(20)*y(159)/y(37)));
  g1(100,112)=(-1);
  g1(100,159)=T4074;
  g1(101,28)=exp(y(28))*y(152)-exp(y(28))*y(151);
  g1(101,151)=(-exp(y(28)));
  g1(101,152)=exp(y(28));
  g1(102,24)=(-T3235);
  g1(102,29)=(-T3651);
  g1(102,30)=(-T3861);
  g1(102,31)=T618*exp((-y(32)))*y(146);
  g1(102,32)=T701*y(148)+T618*y(146)*(-exp((-y(32))))-T1472;
  g1(102,146)=T618*exp((-y(32)));
  g1(102,148)=T4585;
  g1(103,24)=(-T3241);
  g1(103,29)=(-T3658);
  g1(103,30)=(-T3865);
  g1(103,31)=T618*y(147)-T618*exp((-y(32)))*y(146)-T1483;
  g1(103,32)=(-(T618*y(146)*(-exp((-y(32))))));
  g1(103,146)=(-(T618*exp((-y(32)))));
  g1(103,147)=T618-T622*T593*T618*T475*params(13)*params(28)/(T629*params(3)*T622);
  g1(104,24)=T3186;
  g1(104,25)=(-(T817*exp(y(26))*T740*y(145)*T3346));
  g1(104,26)=T3414-(T817*exp(y(26))*T740*y(145)*T3397+T745*(T817*exp(y(26))*T740*y(145)+exp(y(26))*T740*y(145)*exp(y(26))*getPowerDeriv(exp(y(26)),T734-1,1)))-exp(y(26))*y(137)/params(33);
  g1(104,137)=(-(exp(y(26))/params(33)));
  g1(104,144)=T4538;
  g1(104,145)=(-(T745*T817*T740*exp(y(26))));
  g1(105,38)=exp(y(38))*exp((-y(50)))*y(154);
  g1(105,50)=exp(y(38))*y(154)*(-exp((-y(50))));
  g1(105,121)=(-params(3));
  g1(105,154)=exp((-y(50)))*exp(y(38));
  g1(106,38)=(-(exp(y(38))*exp((-y(50)))*y(154)));
  g1(106,50)=(-(exp(y(38))*y(154)*(-exp((-y(50))))));
  g1(106,121)=1;
  g1(106,154)=(-(exp((-y(50)))*exp(y(38))));
  g1(107,39)=(-(exp(y(39))*exp((-y(51)))*y(155)));
  g1(107,51)=(-(exp(y(39))*y(155)*(-exp((-y(51))))));
  g1(107,122)=(-params(3));
  g1(107,155)=(-(exp((-y(51)))*exp(y(39))));
  g1(108,39)=exp(y(39))*exp((-y(51)))*y(155);
  g1(108,51)=exp(y(39))*y(155)*(-exp((-y(51))));
  g1(108,122)=1;
  g1(108,155)=exp((-y(51)))*exp(y(39));
  g1(109,24)=(T873*T593*T475*params(13)*y(142)*T3015-T622*T593*T475*params(13)*y(142)*T3107)/(T873*T873)-(T896*(T705-1)*T593*T701*T475*params(28)*params(13)*params(39)*y(148)*T3015-(T705-1)*T622*T593*T701*T475*params(28)*params(13)*params(39)*y(148)*T625^T705*T3107)/(T896*T896)-(T882*T622*params(3)*T853*(1+params(26))*(1+params(24))*T593*T618*T475*params(28)*params(13)*params(39)*y(147)*T3015-(1+params(26))*(1+params(24))*T622*T593*T618*T475*params(28)*params(13)*params(39)*y(147)*T882*params(3)*T853*T3015)/(T882*T622*params(3)*T853*T882*T622*params(3)*T853);
  g1(109,27)=(-(T595*exp((-y(55)))*y(154)));
  g1(109,29)=(-(T593*exp((-y(54)))*y(153)))+T622*(T593*T475*params(13)*y(142)+T593*params(13)*y(142)*(-T475))/T873-(T705-1)*T622*(T593*T701*T475*params(28)*params(13)*params(39)*y(148)+T593*T701*params(28)*params(13)*params(39)*y(148)*(-T475))/T896-(1+params(26))*(1+params(24))*T622*(T593*T618*T475*params(28)*params(13)*params(39)*y(147)+T593*T618*params(28)*params(13)*params(39)*y(147)*(-T475))/(T882*T622*params(3)*T853);
  g1(109,30)=(-(params(28)*params(39)*y(149)*(T856*params(26)*2*y(30)+T853*T3730*getPowerDeriv(T625,T855,1))))/(T857*T857)+(-(T622*T593*T475*params(13)*y(142)*T622*params(3)*2*y(30)))/(T873*T873)-(-((1+params(26))*(1+params(24))*exp(y(49))*params(28)*params(39)*y(150)*(T882*params(26)*2*y(30)+T853*T3730*getPowerDeriv(T625,1+T628,1))))/(T853*T882*T853*T882)-(-((T705-1)*T622*T593*T701*T475*params(28)*params(13)*params(39)*y(148)*T3804))/(T896*T896)-(-((1+params(26))*(1+params(24))*T622*T593*T618*T475*params(28)*params(13)*params(39)*y(147)*T3813))/(T882*T622*params(3)*T853*T882*T622*params(3)*T853);
  g1(109,31)=(-T1553);
  g1(109,32)=(-T1543);
  g1(109,49)=(-T1534);
  g1(109,54)=(-(T593*y(153)*(-exp((-y(54))))));
  g1(109,55)=(-(T595*y(154)*(-exp((-y(55))))));
  g1(109,142)=T622*T593*T475*params(13)/T873;
  g1(109,147)=T4566;
  g1(109,148)=T4591;
  g1(109,149)=params(28)*params(39)/T857;
  g1(109,150)=T4609;
  g1(109,153)=(-(T593*exp((-y(54)))));
  g1(109,154)=(-(T595*exp((-y(55)))));
  g1(110,33)=T920*(T918*T914*y(146)+T914*y(146)*T3965)+(T926*(params(28)-1)*T914*y(149)-(params(28)-1)*T914*y(149)*params(26)*T914*getPowerDeriv(T914,T855,1))/(T926*T926)-(T934*(params(28)-1)*(1+params(26))*(1+params(24))*T914*y(150)-(params(28)-1)*(1+params(26))*(1+params(24))*T914*y(150)*params(26)*T914*getPowerDeriv(T914,1+T628,1))/(T934*T934);
  g1(110,146)=T920*T914*T918;
  g1(110,149)=T914*(params(28)-1)/T926;
  g1(110,150)=(-((params(28)-1)*(1+params(26))*(1+params(24))*T914/T934));
  g1(111,36)=exp(y(36))*exp((-y(52)))*y(159)+y(157)*(-exp((-y(36))));
  g1(111,52)=exp(y(36))*y(159)*(-exp((-y(52))));
  g1(111,123)=(-params(3));
  g1(111,157)=exp((-y(36)));
  g1(111,159)=exp((-y(52)))*exp(y(36));
  g1(112,36)=(-(exp(y(36))*exp((-y(52)))*y(159)));
  g1(112,52)=(-(exp(y(36))*y(159)*(-exp((-y(52))))));
  g1(112,123)=1;
  g1(112,159)=(-(exp((-y(52)))*exp(y(36))));
  g1(113,35)=(-((-(y(142)*2*(1+y(35))))/(T957*T957)));
  g1(113,124)=(-params(3));
  g1(113,142)=(-(1/T957));
  g1(114,124)=1;
  g1(115,19)=(-(T465*T475*y(130)));
  g1(115,24)=T3235+T3241+T593*y(143)*T3134-y(147)*T3145-(T622*y(30)*T593*T475*params(13)*y(142)*T3015-T622*T593*T475*params(13)*y(142)*y(30)*T3015)/(T622*y(30)*T622*y(30))+(T622*params(3)*y(30)*T593*T475*params(13)*y(142)*T3015-T622*T593*T475*params(13)*y(142)*params(3)*y(30)*T3015)/(T622*params(3)*y(30)*T622*params(3)*y(30))-(T622*T707*T593*T701*T475*params(28)*params(13)*y(148)*T3015-T707*T622*T593*T701*T475*params(28)*params(13)*y(148)*T3015)/(T622*T622);
  g1(115,25)=T593*y(143)*T3354;
  g1(115,27)=(-(y(147)*T3446));
  g1(115,29)=T3651+T3658+T963*T593*y(143)-y(147)*T3594-T465*y(130)*(-T475)-T593*exp((-y(54)))*y(30)*y(153)-T622*(T593*T475*params(13)*y(142)+T593*params(13)*y(142)*(-T475))/(T622*y(30))+T622*(T593*T475*params(13)*y(142)+T593*params(13)*y(142)*(-T475))/(T622*params(3)*y(30))-T707*T622*(T593*T701*T475*params(28)*params(13)*y(148)+T593*T701*params(28)*params(13)*y(148)*(-T475))/T622;
  g1(115,30)=T3861+T3865+(-(y(147)*T3820))-T593*exp((-y(54)))*y(153)-(-(T622*T622*T593*T475*params(13)*y(142)))/(T622*y(30)*T622*y(30))+(-(params(3)*T622*T622*T593*T475*params(13)*y(142)))/(T622*params(3)*y(30)*T622*params(3)*y(30))-T622*T593*T701*T475*params(28)*params(13)*y(148)*T3748/T622;
  g1(115,31)=T1483-T976*y(147);
  g1(115,32)=T1472-T707*T622*T593*T701*T475*params(28)*params(13)*y(148)/T622;
  g1(115,54)=(-(T593*y(30)*y(153)*(-exp((-y(54))))));
  g1(115,60)=(-(y(147)*T4315));
  g1(115,125)=(-params(3));
  g1(115,130)=(-(T465*T475));
  g1(115,142)=T4525;
  g1(115,143)=T593*T963;
  g1(115,147)=T622*T593*T618*T475*params(13)*params(28)/(T629*params(3)*T622)-T977;
  g1(115,148)=T4594;
  g1(115,153)=(-(T593*y(30)*exp((-y(54)))));
  g1(116,29)=T593*exp((-y(54)))*y(30)*y(153);
  g1(116,30)=T593*exp((-y(54)))*y(153);
  g1(116,54)=T593*y(30)*y(153)*(-exp((-y(54))));
  g1(116,125)=1;
  g1(116,153)=T593*y(30)*exp((-y(54)));
  g1(117,24)=(-(y(147)*T3171));
  g1(117,27)=T595*y(151)-y(147)*T3461-T595*exp((-y(55)))*y(30)*y(154)-(1+params(40)*exp(y(61)))*T595*y(148)/params(26)-T595*exp(y(59))*params(15)*y(152)-(T1630+T595*params(36)*exp(y(34))*T595*getPowerDeriv(T595,params(24),1))/T1440;
  g1(117,29)=(-(T1013*y(147)));
  g1(117,30)=(-(T595*exp((-y(55)))*y(154)));
  g1(117,34)=(-T1631);
  g1(117,55)=(-(T595*y(30)*y(154)*(-exp((-y(55))))));
  g1(117,59)=(-(T595*exp(y(59))*params(15)*y(152)));
  g1(117,60)=(-(y(147)*T4327))-(-(T1630*exp(y(60))*getPowerDeriv(exp(y(60)),params(24),1)))/(T1440*T1440);
  g1(117,61)=(-(params(40)*exp(y(61))*T595*y(148)/params(26)));
  g1(117,126)=(-params(3));
  g1(117,147)=(-T1013);
  g1(117,148)=(-(T595*(1+params(40)*exp(y(61)))/params(26)));
  g1(117,151)=T595;
  g1(117,152)=(-(T595*params(15)*exp(y(59))));
  g1(117,154)=(-(T595*y(30)*exp((-y(55)))));
  g1(118,27)=T595*exp((-y(55)))*y(30)*y(154);
  g1(118,30)=T595*exp((-y(55)))*y(154);
  g1(118,55)=T595*y(30)*y(154)*(-exp((-y(55))));
  g1(118,126)=1;
  g1(118,154)=T595*y(30)*exp((-y(55)));
  g1(119,112)=1;
  g1(120,127)=1-params(5)/params(3);
  g1(121,7)=T2190;
  g1(121,41)=1-params(5);
  g1(122,7)=(-((T1651*params(5)*T2193-params(5)*T1651*T2193)/(T1651*T1651)/y(13)));
  g1(122,12)=(-((T1651*params(5)*T2603-params(5)*T1651*T2603)/(T1651*T1651)/y(13)));
  g1(122,13)=(-((-(params(5)*T1651/T1651))/(y(13)*y(13))));
  g1(122,18)=(-1)/((1+y(18))*(1+y(18)));
  g1(123,7)=T89*T1657*getPowerDeriv(T1657,T149,1);
  g1(123,8)=T89*getPowerDeriv(T1657,T149,1)*(-(exp(y(8))*T78*params(31)))/(exp(y(8))*exp(y(8)));
  g1(123,12)=T89*T1657^T149;
  g1(124,7)=(-(T1663*getPowerDeriv(T1663,T149,1)));
  g1(124,9)=(-(getPowerDeriv(T1663,T149,1)*(-(exp(y(9))*T78*params(32)))/(exp(y(9))*exp(y(9)))));
  g1(124,19)=T465/T593;
  g1(124,29)=(-(T465*T593))/(T593*T593);
  g1(125,7)=T78;
  g1(125,8)=(-(T240*exp(y(8))*getPowerDeriv(exp(y(8)),T243,1)*getPowerDeriv(T253,1+params(6),1)));
  g1(125,9)=(-(getPowerDeriv(T253,1+params(6),1)*T249*exp(y(9))*getPowerDeriv(exp(y(9)),T243,1)));
  g1(126,14)=(-(T116/T209));
  g1(126,15)=(-((-(T116*T209))/(T209*T209)));
  g1(126,16)=T440*getPowerDeriv(T440,1+params(25)*T213,1);
  g1(127,7)=(-(T91*(-(T1676*T2193))/(T1651*T1651)+T116*T1684*(T1651*params(5)*params(29)*T2193-params(5)*params(29)*T1651*T2193)/(T1651*T1651)));
  g1(127,10)=(-(T91*T1676/T1651+T91*params(30)*T213*T91/exp(y(57))*T2391/T1651));
  g1(127,12)=(-(T91*(-(T1676*T2603))/(T1651*T1651)+T116*T1684*(T1651*params(5)*params(29)*T2603-params(5)*params(29)*T1651*T2603)/(T1651*T1651)));
  g1(127,13)=(-(T116*T1680*T2633*getPowerDeriv(T122,T1683,1)));
  g1(127,14)=T116-T116*T1680*T1684;
  g1(127,57)=(-(T91*params(30)*T213*T2391*(-(T91*exp(y(57))))/(exp(y(57))*exp(y(57)))/T1651));
  g1(128,7)=(-(T209*T215*(T1651*params(5)*params(29)*T2193-params(5)*params(29)*T1651*T2193)/(T1651*T1651)));
  g1(128,10)=(-(T91*(1+params(35)*exp(y(58)))/params(27)));
  g1(128,12)=(-(T209*T215*(T1651*params(5)*params(29)*T2603-params(5)*params(29)*T1651*T2603)/(T1651*T1651)));
  g1(128,13)=(-(T209*T1680*T2651));
  g1(128,15)=T209-T209*T215*T1680;
  g1(128,58)=(-(T91*params(35)*exp(y(58))/params(27)));
  g1(129,13)=params(29)*T2633*getPowerDeriv(T122,T1696,1);
  g1(129,16)=(1-params(29))*T440*getPowerDeriv(T440,T1696,1);
  g1(130,13)=(-(exp(y(42))*params(29)*T2633*getPowerDeriv(T122,T1683,1)));
  g1(130,16)=(-((1-params(29))*T440*getPowerDeriv(T440,T1683,1)));
  g1(130,17)=exp(y(17));
  g1(130,42)=(-(exp(y(42))*params(29)*T1684));
  g1(131,8)=(-exp(y(8)));
  g1(131,10)=T91;
  g1(131,11)=(-exp(y(11)));
  g1(131,26)=(-(exp(y(26))*1/params(33)));
  g1(132,10)=(-(exp(y(56))*T91*params(7)));
  g1(132,11)=exp(y(11));
  g1(132,56)=(-(exp(y(56))*T91*params(7)));
  g1(133,12)=(-(y(13)*T89/exp(y(47))));
  g1(133,13)=(-(T89/exp(y(47))));
  g1(133,20)=1;
  g1(133,47)=(-(y(13)*(-(T89*exp(y(47))))/(exp(y(47))*exp(y(47)))));
  g1(134,10)=(-(T91*y(13)/exp(y(48))));
  g1(134,13)=(-(T91/exp(y(48))));
  g1(134,21)=exp(y(21))/exp(y(43));
  g1(134,43)=(-(exp(y(21))*exp(y(43))))/(exp(y(43))*exp(y(43)));
  g1(134,48)=(-((-(T91*y(13)*exp(y(48))))/(exp(y(48))*exp(y(48)))));
  g1(135,20)=1;
  g1(135,22)=(-(exp(y(22))/exp(y(44))));
  g1(135,44)=(-((-(exp(y(22))*exp(y(44))))/(exp(y(44))*exp(y(44)))));
  g1(136,24)=(-((T1733*params(13)*T3287-params(13)*T1733*T3287)/(T1733*T1733)/y(30)));
  g1(136,29)=(-((T1733*params(13)*T3703-params(13)*T1733*T3703)/(T1733*T1733)/y(30)));
  g1(136,30)=(-((-(params(13)*T1733/T1733))/(y(30)*y(30))));
  g1(136,35)=(-1)/((1+y(35))*(1+y(35)));
  g1(137,24)=T593*T1739*getPowerDeriv(T1739,T655,1);
  g1(137,25)=T593*getPowerDeriv(T1739,T655,1)*(-(exp(y(25))*T586*params(37)))/(exp(y(25))*exp(y(25)));
  g1(137,29)=T593*T1739^T655;
  g1(138,12)=(-(T89*1/T465))/(T89*T89);
  g1(138,19)=(-T465)/(T465*T465)/T89;
  g1(138,24)=(-(T1746*getPowerDeriv(T1746,T655,1)));
  g1(138,26)=(-(getPowerDeriv(T1746,T655,1)*(-(exp(y(26))*T586*params(38)))/(exp(y(26))*exp(y(26)))));
  g1(139,24)=T586;
  g1(139,25)=(-(T731*exp(y(25))*getPowerDeriv(exp(y(25)),T734,1)*getPowerDeriv(T744,1+params(14),1)));
  g1(139,26)=(-(getPowerDeriv(T744,1+params(14),1)*T740*exp(y(26))*getPowerDeriv(exp(y(26)),T734,1)));
  g1(140,31)=(-(T618/T701));
  g1(140,32)=(-((-(T618*T701))/(T701*T701)));
  g1(140,33)=T914*getPowerDeriv(T914,1+params(24)*T705,1);
  g1(141,24)=(-(T595*(-(T1759*T3287))/(T1733*T1733)+T618*T1767*(T1733*params(13)*params(28)*T3287-params(13)*params(28)*T1733*T3287)/(T1733*T1733)));
  g1(141,27)=(-(T595*T1759/T1733+T595*params(36)*T705*T595/exp(y(60))*T3488/T1733));
  g1(141,29)=(-(T595*(-(T1759*T3703))/(T1733*T1733)+T618*T1767*(T1733*params(13)*params(28)*T3703-params(13)*params(28)*T1733*T3703)/(T1733*T1733)));
  g1(141,30)=(-(T618*T1763*T3730*getPowerDeriv(T625,T1766,1)));
  g1(141,31)=T618-T618*T1763*T1767;
  g1(141,60)=(-(T595*params(36)*T705*T3488*(-(T595*exp(y(60))))/(exp(y(60))*exp(y(60)))/T1733));
  g1(142,24)=(-(T701*T707*(T1733*params(13)*params(28)*T3287-params(13)*params(28)*T1733*T3287)/(T1733*T1733)));
  g1(142,27)=(-(T595*(1+params(40)*exp(y(61)))/params(26)));
  g1(142,29)=(-(T701*T707*(T1733*params(13)*params(28)*T3703-params(13)*params(28)*T1733*T3703)/(T1733*T1733)));
  g1(142,30)=(-(T701*T1763*T3748));
  g1(142,32)=T701-T701*T707*T1763;
  g1(142,61)=(-(T595*params(40)*exp(y(61))/params(26)));
  g1(143,30)=params(28)*T3730*getPowerDeriv(T625,T1779,1);
  g1(143,33)=(1-params(28))*T914*getPowerDeriv(T914,T1779,1);
  g1(144,30)=(-(exp(y(49))*params(28)*T3730*getPowerDeriv(T625,T1766,1)));
  g1(144,33)=(-((1-params(28))*T914*getPowerDeriv(T914,T1766,1)));
  g1(144,34)=exp(y(34));
  g1(144,49)=(-(exp(y(49))*params(28)*T1767));
  g1(145,9)=(-(exp(y(9))*params(33)));
  g1(145,25)=(-exp(y(25)));
  g1(145,27)=T595;
  g1(145,28)=(-exp(y(28)));
  g1(146,27)=(-(exp(y(59))*T595*params(15)));
  g1(146,28)=exp(y(28));
  g1(146,59)=(-(exp(y(59))*T595*params(15)));
  g1(147,29)=(-(y(30)*T593/exp(y(54))));
  g1(147,30)=(-(T593/exp(y(54))));
  g1(147,37)=1;
  g1(147,54)=(-(y(30)*(-(T593*exp(y(54))))/(exp(y(54))*exp(y(54)))));
  g1(148,27)=(-(T595*y(30)/exp(y(55))));
  g1(148,30)=(-(T595/exp(y(55))));
  g1(148,38)=exp(y(38))/exp(y(50));
  g1(148,50)=(-(exp(y(38))*exp(y(50))))/(exp(y(50))*exp(y(50)));
  g1(148,55)=(-((-(T595*y(30)*exp(y(55))))/(exp(y(55))*exp(y(55)))));
  g1(149,37)=1;
  g1(149,39)=(-(exp(y(39))/exp(y(51))));
  g1(149,51)=(-((-(exp(y(39))*exp(y(51))))/(exp(y(51))*exp(y(51)))));
  g1(150,7)=(-(params(51)*(-(params(50)*params(49)/T465*T78*getPowerDeriv(T78,(-params(4)),1)))/(T1650*T1650)));
  g1(150,19)=(-(params(51)*params(50)*(-(params(49)*T465))/(T465*T465)/T1650));
  g1(150,24)=params(48)*(-(params(47)*T586*getPowerDeriv(T586,(-params(12)),1)))/(T1732*T1732);
  g1(151,19)=T465;
  g1(151,36)=(-((-exp(y(36)))/(exp(y(36))*exp(y(36)))));
  g1(152,19)=T465/exp(y(45));
  g1(152,20)=(-((-(y(37)*exp(y(23))))/(y(20)*y(20))));
  g1(152,23)=(-(y(37)*exp(y(23))/y(20)));
  g1(152,37)=T4063;
  g1(152,45)=(-(T465*exp(y(45))))/(exp(y(45))*exp(y(45)));
  g1(153,20)=T2996;
  g1(153,36)=exp(y(36))/exp(y(52));
  g1(153,37)=(-((-(exp(y(40))*y(20)))/(y(37)*y(37))));
  g1(153,40)=T4074;
  g1(153,52)=(-(exp(y(36))*exp(y(52))))/(exp(y(52))*exp(y(52)));
  g1(154,5)=1;
  g1(154,7)=T2190;
  g1(154,10)=exp(y(17))*params(30)*exp(y(57))^(-params(25))*T91*getPowerDeriv(T91,1+params(25),1)/(1+params(25));
  g1(154,17)=T1836;
  g1(154,57)=exp(y(17))*T285*params(30)*exp(y(57))*getPowerDeriv(exp(y(57)),(-params(25)),1)/(1+params(25));
  g1(155,6)=1;
  g1(155,24)=(-(T586*getPowerDeriv(T586,1-params(12),1)/(1-params(12))));
  g1(155,27)=exp(y(34))*params(36)*exp(y(60))^(-params(24))*T595*getPowerDeriv(T595,1+params(24),1)/(1+params(24));
  g1(155,34)=T1847;
  g1(155,60)=exp(y(34))*T1437*params(36)*exp(y(60))*getPowerDeriv(exp(y(60)),(-params(24)),1)/(1+params(24));
  g1(156,56)=1-params(8);
  g1(157,57)=1-params(10);
  g1(158,58)=1-params(22);
  g1(159,59)=1-params(16);
  g1(160,60)=1-params(18);
  g1(161,61)=1-params(20);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],161,25921);
end
end
