function [residual, g1, g2] = BBCDLmodelcomp_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Inputs : 
%   y         [M_.endo_nbr by 1] double    vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1] double     vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1] double   vector of parameter values in declaration order
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the static model equations 
%                                          in order of declaration of the equations
%   g1        [M_.endo_nbr by M_.endo_nbr] double    Jacobian matrix of the static model equations;
%                                                    columns: equations in order of declaration
%                                                    rows: variables in declaration order
%   g2        [M_.endo_nbr by (M_.endo_nbr)^2] double   Hessian matrix of the static model equations;
%                                                       columns: equations in order of declaration
%                                                       rows: variables in declaration order
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 43, 1);

%
% Model equations
%

T14 = ((1+y(14))/(1+params(38)))^params(40);
T17 = y(9)/params(31);
T19 = T17^params(41);
T36 = ((1+y(31))/(1+params(39)))^params(42);
T39 = y(26)/params(36);
T41 = T39^params(43);
T58 = exp(y(3))^(1-params(1))/(1-params(1));
T65 = exp(y(3))^(-params(1));
T68 = T65/exp(y(8));
T77 = exp(y(3))*params(28)/exp(y(4));
T80 = params(3)/(1+params(3));
T93 = exp(y(3))*params(29)/exp(y(5));
T97 = 1/(1+params(3));
T103 = params(28)^T80*exp(y(4))^T97+params(29)^T80*exp(y(5))^T97;
T127 = exp(y(6))/exp(y(39));
T129 = (1+params(24))/params(24)*params(27)*T127^params(22);
T135 = T68*params(2)*params(26)/T68;
T136 = params(31)/y(9);
T140 = (-(1+params(24)))/params(24)*(1+params(22));
T141 = T136^T140;
T154 = T136^(1-(1+params(24))/params(24));
T160 = (-1)/params(24);
T207 = exp(y(20))^(-params(9));
T208 = T207/exp(y(25));
T217 = exp(y(20))*params(34)/exp(y(21));
T220 = params(11)/(1+params(11));
T228 = exp(y(20))*params(35)/exp(y(22));
T232 = 1/(1+params(11));
T238 = params(34)^T220*exp(y(21))^T232+params(35)^T220*exp(y(22))^T232;
T262 = exp(y(23))/exp(y(42));
T264 = (1+params(23))/params(23)*params(33)*T262^params(21);
T270 = T208*params(10)*params(25)/T208;
T271 = params(36)/y(26);
T275 = (-(1+params(23)))/params(23)*(1+params(21));
T276 = T271^T275;
T289 = T271^(1-(1+params(23))/params(23));
T295 = (-1)/params(23);
T365 = exp(y(13))*params(27)*exp(y(39))^(-params(22))*exp(y(6))^(1+params(22))/(1+params(22));
T378 = exp(y(30))*params(33)*exp(y(42))^(-params(21))*exp(y(23))^(1+params(21))/(1+params(21));
T426 = (-(exp(y(3))*getPowerDeriv(exp(y(3)),1-params(1),1)/(1-params(1))));
T429 = exp(y(3))*getPowerDeriv(exp(y(3)),(-params(1)),1)/exp(y(8));
T512 = (-(T65*exp(y(8))))/(exp(y(8))*exp(y(8)));
T558 = (-params(31))/(y(9)*y(9))*getPowerDeriv(T136,T140,1);
T621 = exp(y(20))*getPowerDeriv(exp(y(20)),(-params(9)),1)/exp(y(25));
T710 = (-(exp(y(25))*T207))/(exp(y(25))*exp(y(25)));
T753 = (-params(36))/(y(26)*y(26))*getPowerDeriv(T271,T275,1);
lhs =y(14);
rhs =(1+params(38))*T14*(T17*T19)^(1-params(40))*(1+x(7))-1;
residual(1)= lhs-rhs;
lhs =y(31);
rhs =(1+params(39))*T36*(T39*T41)^(1-params(42))*(1+x(8))-1;
residual(2)= lhs-rhs;
lhs =y(37);
rhs =T58+y(37)*params(2);
residual(3)= lhs-rhs;
lhs =1/(1+y(14));
rhs =params(2)*T68/T68/y(9);
residual(4)= lhs-rhs;
lhs =exp(y(8))*T77^T80;
rhs =1;
residual(5)= lhs-rhs;
lhs =exp(y(15))/exp(y(25));
rhs =T93^T80;
residual(6)= lhs-rhs;
lhs =exp(y(3));
rhs =T103^(1+params(3));
residual(7)= lhs-rhs;
lhs =exp(y(12))^(1+(1+params(24))/params(24)*params(22));
rhs =exp(y(10))/exp(y(11));
residual(8)= lhs-rhs;
lhs =exp(y(10));
rhs =exp(y(6))*T129/T68+exp(y(10))*T135*T141;
residual(9)= lhs-rhs;
lhs =exp(y(11));
rhs =exp(y(6))*(1+params(32)*exp(y(40)))/params(24)+exp(y(11))*T135*T154;
residual(10)= lhs-rhs;
lhs =(1-params(26))*exp(y(12))^T160+params(26)*T136^T160;
rhs =1;
residual(11)= lhs-rhs;
lhs =exp(y(13));
rhs =(1-params(26))*exp(y(12))^T140+exp(y(13))*params(26)*T141;
residual(12)= lhs-rhs;
lhs =exp(y(6));
rhs =exp(y(4))+exp(y(7))+1/params(30)*exp(y(22));
residual(13)= lhs-rhs;
lhs =exp(y(7));
rhs =exp(y(6))*params(4)*exp(y(38));
residual(14)= lhs-rhs;
lhs =y(16);
rhs =y(9);
residual(15)= lhs-rhs;
lhs =1;
rhs =y(9)*exp(y(6))/exp(y(6));
residual(16)= lhs-rhs;
lhs =y(16);
rhs =1;
residual(17)= lhs-rhs;
lhs =1/(1+y(31));
rhs =params(10)*T208/T208/y(26);
residual(18)= lhs-rhs;
lhs =exp(y(25))*T217^T220;
rhs =1;
residual(19)= lhs-rhs;
lhs =1/exp(y(15))/exp(y(8));
rhs =T228^T220;
residual(20)= lhs-rhs;
lhs =exp(y(20));
rhs =T238^(1+params(11));
residual(21)= lhs-rhs;
lhs =exp(y(29))^(1+(1+params(23))/params(23)*params(21));
rhs =exp(y(27))/exp(y(28));
residual(22)= lhs-rhs;
lhs =exp(y(27));
rhs =exp(y(23))*T264/T208+exp(y(27))*T270*T276;
residual(23)= lhs-rhs;
lhs =exp(y(28));
rhs =exp(y(23))*(1+params(37)*exp(y(43)))/params(23)+exp(y(28))*T270*T289;
residual(24)= lhs-rhs;
lhs =(1-params(25))*exp(y(29))^T295+params(25)*T271^T295;
rhs =1;
residual(25)= lhs-rhs;
lhs =exp(y(30));
rhs =(1-params(25))*exp(y(29))^T275+exp(y(30))*params(25)*T276;
residual(26)= lhs-rhs;
lhs =exp(y(23));
rhs =exp(y(21))+exp(y(24))+exp(y(5))*params(30);
residual(27)= lhs-rhs;
lhs =exp(y(24));
rhs =exp(y(23))*params(12)*exp(y(41));
residual(28)= lhs-rhs;
lhs =y(33);
rhs =y(26);
residual(29)= lhs-rhs;
lhs =1;
rhs =y(26)*exp(y(23))/exp(y(23));
residual(30)= lhs-rhs;
lhs =y(33);
rhs =1;
residual(31)= lhs-rhs;
lhs =params(44)/T207*params(45);
rhs =params(46)/exp(y(15))*params(47)/T65*params(48);
residual(32)= lhs-rhs;
lhs =exp(y(15));
rhs =1/exp(y(32));
residual(33)= lhs-rhs;
lhs =1;
rhs =y(33)*exp(y(19))/y(16);
residual(34)= lhs-rhs;
lhs =1;
rhs =y(16)*exp(y(36))/y(33);
residual(35)= lhs-rhs;
lhs =y(1);
rhs =T58-T365;
residual(36)= lhs-rhs;
lhs =y(2);
rhs =exp(y(20))^(1-params(9))/(1-params(9))-T378;
residual(37)= lhs-rhs;
lhs =y(38);
rhs =y(38)*params(5)+params(6)*x(1);
residual(38)= lhs-rhs;
lhs =y(39);
rhs =y(39)*params(7)+params(8)*x(2);
residual(39)= lhs-rhs;
lhs =y(40);
rhs =y(40)*params(19)+params(20)*x(6);
residual(40)= lhs-rhs;
lhs =y(41);
rhs =y(41)*params(13)+params(14)*x(3);
residual(41)= lhs-rhs;
lhs =y(42);
rhs =y(42)*params(15)+params(16)*x(4);
residual(42)= lhs-rhs;
lhs =y(43);
rhs =y(43)*params(17)+params(18)*x(5);
residual(43)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(43, 43);

  %
  % Jacobian matrix
  %

  g1(1,9)=(-((1+x(7))*(1+params(38))*T14*(T19*1/params(31)+T17*1/params(31)*getPowerDeriv(T17,params(41),1))*getPowerDeriv(T17*T19,1-params(40),1)));
  g1(1,14)=1-(1+x(7))*(1+params(38))*(T17*T19)^(1-params(40))*1/(1+params(38))*getPowerDeriv((1+y(14))/(1+params(38)),params(40),1);
  g1(2,26)=(-((1+x(8))*(1+params(39))*T36*(T41*1/params(36)+T39*1/params(36)*getPowerDeriv(T39,params(43),1))*getPowerDeriv(T39*T41,1-params(42),1)));
  g1(2,31)=1-(1+x(8))*(1+params(39))*(T39*T41)^(1-params(42))*1/(1+params(39))*getPowerDeriv((1+y(31))/(1+params(39)),params(42),1);
  g1(3,3)=T426;
  g1(3,37)=1-params(2);
  g1(4,3)=(-((T68*params(2)*T429-params(2)*T68*T429)/(T68*T68)/y(9)));
  g1(4,8)=(-((T68*params(2)*T512-params(2)*T68*T512)/(T68*T68)/y(9)));
  g1(4,9)=(-((-(params(2)*T68/T68))/(y(9)*y(9))));
  g1(4,14)=(-1)/((1+y(14))*(1+y(14)));
  g1(5,3)=exp(y(8))*T77*getPowerDeriv(T77,T80,1);
  g1(5,4)=exp(y(8))*getPowerDeriv(T77,T80,1)*(-(exp(y(3))*params(28)*exp(y(4))))/(exp(y(4))*exp(y(4)));
  g1(5,8)=exp(y(8))*T77^T80;
  g1(6,3)=(-(T93*getPowerDeriv(T93,T80,1)));
  g1(6,5)=(-(getPowerDeriv(T93,T80,1)*(-(exp(y(3))*params(29)*exp(y(5))))/(exp(y(5))*exp(y(5)))));
  g1(6,15)=exp(y(15))/exp(y(25));
  g1(6,25)=(-(exp(y(15))*exp(y(25))))/(exp(y(25))*exp(y(25)));
  g1(7,3)=exp(y(3));
  g1(7,4)=(-(params(28)^T80*exp(y(4))*getPowerDeriv(exp(y(4)),T97,1)*getPowerDeriv(T103,1+params(3),1)));
  g1(7,5)=(-(getPowerDeriv(T103,1+params(3),1)*params(29)^T80*exp(y(5))*getPowerDeriv(exp(y(5)),T97,1)));
  g1(8,10)=(-(exp(y(10))/exp(y(11))));
  g1(8,11)=(-((-(exp(y(10))*exp(y(11))))/(exp(y(11))*exp(y(11)))));
  g1(8,12)=exp(y(12))*getPowerDeriv(exp(y(12)),1+(1+params(24))/params(24)*params(22),1);
  g1(9,3)=(-(exp(y(6))*(-(T129*T429))/(T68*T68)+exp(y(10))*T141*(T68*params(2)*params(26)*T429-T68*params(2)*params(26)*T429)/(T68*T68)));
  g1(9,6)=(-(exp(y(6))*T129/T68+exp(y(6))*(1+params(24))/params(24)*params(27)*T127*getPowerDeriv(T127,params(22),1)/T68));
  g1(9,8)=(-(exp(y(6))*(-(T129*T512))/(T68*T68)+exp(y(10))*T141*(T68*params(2)*params(26)*T512-T68*params(2)*params(26)*T512)/(T68*T68)));
  g1(9,9)=(-(exp(y(10))*T135*T558));
  g1(9,10)=exp(y(10))-exp(y(10))*T135*T141;
  g1(9,39)=(-(exp(y(6))*(1+params(24))/params(24)*params(27)*getPowerDeriv(T127,params(22),1)*(-(exp(y(6))*exp(y(39))))/(exp(y(39))*exp(y(39)))/T68));
  g1(10,3)=(-(exp(y(11))*T154*(T68*params(2)*params(26)*T429-T68*params(2)*params(26)*T429)/(T68*T68)));
  g1(10,6)=(-(exp(y(6))*(1+params(32)*exp(y(40)))/params(24)));
  g1(10,8)=(-(exp(y(11))*T154*(T68*params(2)*params(26)*T512-T68*params(2)*params(26)*T512)/(T68*T68)));
  g1(10,9)=(-(exp(y(11))*T135*(-params(31))/(y(9)*y(9))*getPowerDeriv(T136,1-(1+params(24))/params(24),1)));
  g1(10,11)=exp(y(11))-exp(y(11))*T135*T154;
  g1(10,40)=(-(exp(y(6))*params(32)*exp(y(40))/params(24)));
  g1(11,9)=params(26)*(-params(31))/(y(9)*y(9))*getPowerDeriv(T136,T160,1);
  g1(11,12)=(1-params(26))*exp(y(12))*getPowerDeriv(exp(y(12)),T160,1);
  g1(12,9)=(-(exp(y(13))*params(26)*T558));
  g1(12,12)=(-((1-params(26))*exp(y(12))*getPowerDeriv(exp(y(12)),T140,1)));
  g1(12,13)=exp(y(13))-exp(y(13))*params(26)*T141;
  g1(13,4)=(-exp(y(4)));
  g1(13,6)=exp(y(6));
  g1(13,7)=(-exp(y(7)));
  g1(13,22)=(-(1/params(30)*exp(y(22))));
  g1(14,6)=(-(exp(y(6))*params(4)*exp(y(38))));
  g1(14,7)=exp(y(7));
  g1(14,38)=(-(exp(y(6))*params(4)*exp(y(38))));
  g1(15,9)=(-1);
  g1(15,16)=1;
  g1(16,9)=(-1);
  g1(17,16)=1;
  g1(18,20)=(-((T208*params(10)*T621-params(10)*T208*T621)/(T208*T208)/y(26)));
  g1(18,25)=(-((T208*params(10)*T710-params(10)*T208*T710)/(T208*T208)/y(26)));
  g1(18,26)=(-((-(params(10)*T208/T208))/(y(26)*y(26))));
  g1(18,31)=(-1)/((1+y(31))*(1+y(31)));
  g1(19,20)=exp(y(25))*T217*getPowerDeriv(T217,T220,1);
  g1(19,21)=exp(y(25))*getPowerDeriv(T217,T220,1)*(-(exp(y(20))*params(34)*exp(y(21))))/(exp(y(21))*exp(y(21)));
  g1(19,25)=exp(y(25))*T217^T220;
  g1(20,8)=(-(exp(y(8))*1/exp(y(15))))/(exp(y(8))*exp(y(8)));
  g1(20,15)=(-exp(y(15)))/(exp(y(15))*exp(y(15)))/exp(y(8));
  g1(20,20)=(-(T228*getPowerDeriv(T228,T220,1)));
  g1(20,22)=(-(getPowerDeriv(T228,T220,1)*(-(exp(y(22))*exp(y(20))*params(35)))/(exp(y(22))*exp(y(22)))));
  g1(21,20)=exp(y(20));
  g1(21,21)=(-(params(34)^T220*exp(y(21))*getPowerDeriv(exp(y(21)),T232,1)*getPowerDeriv(T238,1+params(11),1)));
  g1(21,22)=(-(getPowerDeriv(T238,1+params(11),1)*params(35)^T220*exp(y(22))*getPowerDeriv(exp(y(22)),T232,1)));
  g1(22,27)=(-(exp(y(27))/exp(y(28))));
  g1(22,28)=(-((-(exp(y(27))*exp(y(28))))/(exp(y(28))*exp(y(28)))));
  g1(22,29)=exp(y(29))*getPowerDeriv(exp(y(29)),1+(1+params(23))/params(23)*params(21),1);
  g1(23,20)=(-(exp(y(23))*(-(T264*T621))/(T208*T208)+exp(y(27))*T276*(T208*params(10)*params(25)*T621-T208*params(10)*params(25)*T621)/(T208*T208)));
  g1(23,23)=(-(exp(y(23))*T264/T208+exp(y(23))*(1+params(23))/params(23)*params(33)*T262*getPowerDeriv(T262,params(21),1)/T208));
  g1(23,25)=(-(exp(y(23))*(-(T264*T710))/(T208*T208)+exp(y(27))*T276*(T208*params(10)*params(25)*T710-T208*params(10)*params(25)*T710)/(T208*T208)));
  g1(23,26)=(-(exp(y(27))*T270*T753));
  g1(23,27)=exp(y(27))-exp(y(27))*T270*T276;
  g1(23,42)=(-(exp(y(23))*(1+params(23))/params(23)*params(33)*getPowerDeriv(T262,params(21),1)*(-(exp(y(23))*exp(y(42))))/(exp(y(42))*exp(y(42)))/T208));
  g1(24,20)=(-(exp(y(28))*T289*(T208*params(10)*params(25)*T621-T208*params(10)*params(25)*T621)/(T208*T208)));
  g1(24,23)=(-(exp(y(23))*(1+params(37)*exp(y(43)))/params(23)));
  g1(24,25)=(-(exp(y(28))*T289*(T208*params(10)*params(25)*T710-T208*params(10)*params(25)*T710)/(T208*T208)));
  g1(24,26)=(-(exp(y(28))*T270*(-params(36))/(y(26)*y(26))*getPowerDeriv(T271,1-(1+params(23))/params(23),1)));
  g1(24,28)=exp(y(28))-exp(y(28))*T270*T289;
  g1(24,43)=(-(exp(y(23))*params(37)*exp(y(43))/params(23)));
  g1(25,26)=params(25)*(-params(36))/(y(26)*y(26))*getPowerDeriv(T271,T295,1);
  g1(25,29)=(1-params(25))*exp(y(29))*getPowerDeriv(exp(y(29)),T295,1);
  g1(26,26)=(-(exp(y(30))*params(25)*T753));
  g1(26,29)=(-((1-params(25))*exp(y(29))*getPowerDeriv(exp(y(29)),T275,1)));
  g1(26,30)=exp(y(30))-exp(y(30))*params(25)*T276;
  g1(27,5)=(-(exp(y(5))*params(30)));
  g1(27,21)=(-exp(y(21)));
  g1(27,23)=exp(y(23));
  g1(27,24)=(-exp(y(24)));
  g1(28,23)=(-(exp(y(23))*params(12)*exp(y(41))));
  g1(28,24)=exp(y(24));
  g1(28,41)=(-(exp(y(23))*params(12)*exp(y(41))));
  g1(29,26)=(-1);
  g1(29,33)=1;
  g1(30,26)=(-1);
  g1(31,33)=1;
  g1(32,3)=(-(params(48)*(-(params(46)/exp(y(15))*params(47)*exp(y(3))*getPowerDeriv(exp(y(3)),(-params(1)),1)))/(T65*T65)));
  g1(32,15)=(-(params(48)*params(47)*(-(exp(y(15))*params(46)))/(exp(y(15))*exp(y(15)))/T65));
  g1(32,20)=params(45)*(-(params(44)*exp(y(20))*getPowerDeriv(exp(y(20)),(-params(9)),1)))/(T207*T207);
  g1(33,15)=exp(y(15));
  g1(33,32)=(-((-exp(y(32)))/(exp(y(32))*exp(y(32)))));
  g1(34,16)=(-((-(y(33)*exp(y(19))))/(y(16)*y(16))));
  g1(34,19)=(-(y(33)*exp(y(19))/y(16)));
  g1(34,33)=(-(exp(y(19))/y(16)));
  g1(35,16)=(-(exp(y(36))/y(33)));
  g1(35,33)=(-((-(y(16)*exp(y(36))))/(y(33)*y(33))));
  g1(35,36)=(-(y(16)*exp(y(36))/y(33)));
  g1(36,1)=1;
  g1(36,3)=T426;
  g1(36,6)=exp(y(13))*params(27)*exp(y(39))^(-params(22))*exp(y(6))*getPowerDeriv(exp(y(6)),1+params(22),1)/(1+params(22));
  g1(36,13)=T365;
  g1(36,39)=exp(y(13))*exp(y(6))^(1+params(22))*params(27)*exp(y(39))*getPowerDeriv(exp(y(39)),(-params(22)),1)/(1+params(22));
  g1(37,2)=1;
  g1(37,20)=(-(exp(y(20))*getPowerDeriv(exp(y(20)),1-params(9),1)/(1-params(9))));
  g1(37,23)=exp(y(30))*params(33)*exp(y(42))^(-params(21))*exp(y(23))*getPowerDeriv(exp(y(23)),1+params(21),1)/(1+params(21));
  g1(37,30)=T378;
  g1(37,42)=exp(y(30))*exp(y(23))^(1+params(21))*params(33)*exp(y(42))*getPowerDeriv(exp(y(42)),(-params(21)),1)/(1+params(21));
  g1(38,38)=1-params(5);
  g1(39,39)=1-params(7);
  g1(40,40)=1-params(19);
  g1(41,41)=1-params(13);
  g1(42,42)=1-params(15);
  g1(43,43)=1-params(17);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],43,1849);
end
end
